Sat Oct 11 20:32:09 1997  David Byers  <davby@sen2.ida.liu.se>

	* Release av 0.45.1

Sat Oct 11 13:05:26 1997  David Byers  <davby@ida.liu.se>

	* defvar.el (def-kom-var): Om variabeln redan är definierad så
 	skall den inte läsas från user-arean.

	* review.el (lyskom-get-texts-by-generic): Flyttade innehållet i
 	lyskom-get-texts-by hit.
	(lyskom-get-texts-by): Använd lyskom-get-texts-by-generic.
	(lyskom-get-texts-by-to): Vi kan återse brev till någon annan.

Fri Oct 10 15:47:22 1997  David Byers  <davby@sen2.ida.liu.se>

	* Kanske release av 0.45.1

Tue Oct  7 12:30:30 1997  David Byers  <davby@ida.liu.se>

	* parse.el (lyskom-parse-vector): Klara att parsea 0 { }. 

Mon Oct  6 21:19:41 1997  David Byers  <davby@litefix.ida.liu.se>

	* view-text.el (lyskom-view-text): Handle aux-items. Sort of.

Wed Oct  1 14:30:39 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (kom-server-aliases): Lade till TokKOM

Sun Sep 28 13:09:28 1997  David Byers  <davby@ida.liu.se>

	* services.el (def-kom-service): Nytt makro.
	(lyskom-server-call): Dito.
	(initiate-add-recipient): Kan lägga till BCC-recpt.
	(initiate-*): Omgärda med lyskom-server-call.

Sat Sep 27 18:19:12 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (kom-ding-pause-amount): Ny variabel.
	
	* lyskom-rest.el (lyskom-beep): Använd kom-ding-pause-amount.

Fri Sep 26 11:18:57 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (kom-text-footer-format): Ny variabel.

	* view-text.el (lyskom-format-text-footer): Ny funktion.

	* vars.el.in (kom-text-footer-format): Ny variabel.

	* view-text.el (lyskom-deferred-insert-footer): Använd
 	lyskom-format-text-footer.

	* lyskom-rest.el (lyskom-fill-message): Bryt inte stycken där alla
 	rader börjar med ett ord och ett kolon.

Wed Sep 24 15:32:03 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-format-prompt): Använd eq, inte = för att
 	jämföra tecken.

	* flags.el (kom-edit-options-send): Fixade buggen som gjorde att
 	defaultvärdena sparades.

Tue Sep 23 16:41:30 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (lyskom-face-schemes): Nya färger.

1997-09-23  David Byers  <davby@sen2.ida.liu.se>

	* commands2.el (lyskom-help): Fungera i Gnu Emacs.

1997-09-22  David Byers  <davby@ida.liu.se>

	* commands2.el (lyskom-next-kom): Ny funktion.
	(kom-next-unread-kom): Använd lyskom-next-kom.
	(kom-previous-kom): Använd lyskom-previous-kom.
	(kom-next-kom): Använd lyskom-next-kom.
	(lyskom-previous-kom): Ny funktion.

	* command.el (lyskom-end-of-command): Sätt inte buffert här.
	(def-kom-emacs-command): Kör lyskom-end-of-command i samma buffert
 	som lyskom-start-of-command.
	(def-kom-command): Dito.

	* swedish-strings.el (lyskom-command): Lade till
 	kom-next-unread-kom.
	(lyskom-message): Lade till strängar för kom-next-kom mfl

	* vars.el.in (lyskom-commands): Lade till kom-next-unread-kom.

Sun Sep 21 10:25:51 1997  David Byers  <davby@ida.liu.se>

	* command.el (def-kom-emacs-command): Nytt makro.
	(def-kom-command): Skrev om med backquote.

	* lyskom-rest.el (silent-read): Sätt enable-multibyte-characters
 	till nil.

	* startup.el (lyskom): Använd lyskom-generate-new-buffer

	* lyskom-rest.el (lyskom-format-enriched): Använd
 	lyskom-generate-new-buffer.

	* cache.el (cache-initiate-who-info-buffer): Använd
 	lyskom-get-buffer-create.

	* buffers.el (lyskom-generate-new-buffer): Ny funktion.
	(lyskom-get-buffer-create): Sätt enable-multibyte-characters i
 	bufferten.

	* defvar.el (lyskom-setup-minibuffer-variables): Sätt
 	enable-multibyte-characters i minibufferten.

	* commands1.el (lyskom-quit): Få tyst på elint.

	* edit-text.el (lyskom-edit-error): Få tyst på elint.
	(lyskom-edit-text-abort): Dito.

	* completing-read.el (lyskom-completing-use-dynamic-info): Ge
 	variabeln ett värde.

Fri Sep 19 08:34:01 1997  David Byers  <davby@ida.liu.se>

	* TODO: Gjorde om i outline-mode.

	* macros.el (lyskom-ignore-errors): Nytt makro.

	* command.el (lyskom-end-of-command): Välj lyskom-buffer innan vi
 	kör kroppen.

Thu Sep 18 17:51:10 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el: Gjorde om lyskom-edit-mode-till en minor-mode. Det
 	innebar ändringar i flera funktioner. Se instanser av
 	lyskom-edit-sending-mode, lyskom-edit-sent-mode och
 	lyskom-edit-mode.

	* utilities.el: (lyskom-overlay-keys): Ny funktion.
	(lyskom-overlay-keymap): Dito.
	(lyskom-lookup-key): Dito.

	* lyskom-rest.el (j-or-n-p): Använd nya lyskom-lookup-key

Wed Sep 17 13:56:29 1997  David Byers  <davby@ida.liu.se>

	* swedish-strings.el ((and (boundp 'kom-tell-phrases)
 	kom-tell-phrases)): Låt innehållet i variabeln kom-tell-phrases
 	åverrajda det som sätts som default.
	(lyskom-sv-edit-mode-map): Lade tillbaks C-c } k

Wed Sep 17 22:25:50 1997  David Byers  <davby@litefix.ida.liu.se>

	* edit-text.el (lyskom-edit-add-aux-item-flag): Ny funktion.
	(lyskom-edit-on-aux-item): Dito.
	(lyskom-edit-extract-aux-item-flags): Dito.
	(lyskom-edit-parse-headers): Hantera aux-items på ett nytt sätt.

Tue Sep 16 20:21:42 1997  David Byers  <davby@litefix.ida.liu.se>

	* swedish-strings.el (lyskom-message): Lade till aux-item
 	headertexter.

	* lyskom-rest.el (lyskom-format-object): Stöd aux-items.
	(lyskom-format-aux-item-flags): Ny funktion.
	(lyskom-format-aux-item): Ny funktion.

	* services.el (initiate-modify-system-info): Ny funktion.
	(initiate-query-predefined-aux-items): Ny funktion.
	(initiate-set-expire): Ny funktion.

	* parse.el (lyskom-parse-server-info-old): Bytte namn från
 	lyskom-parse-server-info.

	* services.el (initiate-get-conf-stat): Hantera aux-items.
	(initiate-get-text-stat): Dito.
	(initiate-modify-conf-info): Ny funktion.
	(initiate-modify-text-info): Dito.
	(initiate-get-server-info): Hantera aux-items.

	* startup.el (lyskom-create-new-person): Skicka aux-items till
 	create-pers.

	* commands1.el (kom-create-conf): Skicka aux-items till
 	create-conf.

	* services.el (initiate-create-conf): Hantera aux-items.
	(initiate-create-text): Dito.
	(initiate-create-anonymous-text): Dito.
	(initiate-create-person): Dito.

	* edit-text.el (lyskom-edit-send): Skicka med aux-items till
 	send-function.

	* flags.el (kom-edit-options-send): Skicka med aux-items till
 	initiate-create-text.
	(lyskom-save-options): Dito.

	* commands2.el (kom-sync-database): Hindra kommandot baserat på
 	protokollversion. Inte lika bra, men det är bara ett hack i alla
 	fall.

	* startup.el (lyskom): Tog bort lyskom-server-versioon.

	* vars.el.in (lyskom-server-features): Nytt format baserat på
 	protokollversion.

	* startup.el (lyskom-setup-client-for-server-version): Hantera
 	nytt format på lyskom-server-supports.

	* swedish-strings.el (lyskom-message): Lade till tooo-old-server

	* vars.el.in (lyskom-server-version-info): Ny variabel.

	* commands2.el (kom-who-am-i): Använd version-info.

	* startup.el (lyskom): Hämta versionsinfo från servern.

	* async.el (lyskom-parse-async): Använd lyskom-parse-test-stat-old

	* services.el (initiate-get-text-stat): Använd
 	lyskom-parse-text-stat-old.
	(initiate-get-conf-stat): Använd lyskom-parse-conf-stat-old

	* parse.el (lyskom-parse-aux-item-flags): Ny funktion.
	(lyskom-parse-aux-item): Ny funktion.
	(lyskom-parse-aux-item-list): Ny funktion.
	(lyskom-parse-conf-stat-old): Bytte från lyskom-parse-conf-stat
	(lyskom-parse-text-stat-old): Bytte från lyskom-parse-text-stat

	* komtypes.el (aux-item): Ny typ.
	(aux-item-flags): Ny typ.
	(conf-stat): Lade till expire och aux-items.

Tue Sep 16 11:24:24 1997  David Byers  <davby@ida.liu.se>

	* commands2.el (kom-previous-kom): Använd def-kom-command.
	(kom-next-kom): Dito.

	* lyskom-rest.el (lyskom-format-aux-help): Fixade fel i %C.

	* english-strings.el,swedish-strings.el (lyskom-command): Lade
 	till kom-next-kom och kom-previous-kom

	* vars.el.in (lyskom-commands): Dito.

	* lyskom.el: Release av version 0.45.

	* envcheck.el: Snyggare meddelanden.

	* edit-text.el (lyskom-edit-add-recipient/copy): Lade tillbaks
 	save-excursion kring funktionen.

Sat Sep 13 15:31:51 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-edit-insert-commented): Hämta
 	kom-cite-string mha lyskom-default-value.

Fri Sep 12 12:25:37 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-create-text-handler): Spara senast skrivna
 	text.

	* commands1.el (kom-write-footnote): Smartare defaulttext.

	* swedish-strings.el,english-strings.el (lyskom-message): Lade
 	till what-footnote-no

Wed Sep 10 11:23:33 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-edit-replace-miscs): Ny funktion.
	(lyskom-edit-translate-miscs): Ny funktion.
	(lyskom-edit-move-recipients): Ny funktion.
	(kom-edit-move-recipients): Ny funktion.
	(lyskom-edit-add-recipient/copy): Tar ett extra argument
 	what-to-do.

	* compatibility.el (lyskom-xemacs-keysym): Lade till C-å och C-ä
	(lyskom-gnu-keysym): Dito.
	(characerp): Lade till definition för icke-MULEiserade Emacsen.

	* english-strings.el,swedish-strings.el (lyskom-sv-edit-mode-map):
 	Bytte ut alla C-c <bokstav> mot C-c C-<bokstav>

	* edit-text.el (kom-edit-add-comment): Ny funktion.

	* swedish-strings.el (lyskom-message): Lade till text-to-comment-q

	* edit-text.el (kom-edit-insert-text): Lade till window-argumented
 	till kom-edit-insert-text.

Tue Sep  9 12:05:32 1997  David Byers  <davby@ida.liu.se>

	* commands2.el (lyskom-help): Fixade buggen.

Mon Sep  8 15:49:30 1997  David Byers  <davby@ida.liu.se>

	* english-strings.el,swedish-strings.el (lyskom-sv-edit-mode-map):
 	Bind förhelvete inte C-c k!

Thu Sep  4 18:07:14 1997  David Byers  <davby@ida.liu.se>

	* commands1.el (kom-add-bcc): Nytt kommando

	* services.el (initiate-add-recipient): Stöd för bcc-recpt.

	* lyskom-rest.el (lyskom-format-misc-item): Stöd för bcc-recpt.

	* vars.el.in (lyskom-bcc-flag): Ny variabel.

	* edit-text.el (kom-edit-add-bcc): Ny funktion.

	* vars.el.in (lyskom-last-added-bccrcpt): Ny variabel.

	* commands1.el (lyskom-comment-recipients): Lade till stöd för
 	bcc-recpt.
	(lyskom-add-sub-recipient): Dito.

	* english-strings.el, swedish-strings.el (lyskom-message): Lade
 	till BCC-RECPT relaterade strängar.

	* view-text.el (lyskom-view-text): Hantera BCC-RECPT
	(lyskom-text-read-p): Dito.
	(lyskom-text-read-at-least-once-p): Dito.
	(lyskom-mark-as-read): Dito.
	(lyskom-print-header-recpt): Dito.

	* prefetch.el (lyskom-prefetch-text-all-handler): Hantera BCC-RECPT
	(lyskom-prefetch-texttree-handler): Dito.
	(lyskom-prefetch-texts-handler): Dito.

	* lyskom-rest.el (lyskom-is-read-handler): Hantera BCC-RECPT.

	* komtypes.el (lyskom-create-misc-info): Uppdaterade doc-strängen.

	* filter.el (kom-super-jump): Hantera BCC-RECPT

	* commands1.el (lyskom-get-recipients-from-misc-list): Hantera
 	BCC-RECPT

	* async.el (lyskom-async-new-text): Stöd för BCC-RECPT

	* filter.el (lyskom-filter-text-p-2): Stöd för BCC-RECPT

	* parse.el (lyskom-parse-misc-info-list-sub): Parsea bcc-recpt.

Mon Aug 18 10:15:45 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (find-face): Deklarerade extern.

	* option-edit.el (widget-default-format-handler): Deklarerade extern.

	* menus.el (set-buffer-menubar): Deklarerade extern
	(popup-menu): Dito.
	(toplevel): Lade till clientversion

	* lyskom-buttons.el (glyph-property): Deklarerade extern.
	(wiget-at): Dito
	(wiget-get): Dito
	(w3-widget-button-click): Dito
	(w3-popup-menu): Dito
	(Info-goto-node): Dito
	(term-char-mode): Dito

	* view-mode.el (view-major-mode): Lade till som extern fn.

	* vars.el.in (lyskom-text-buttons): Lade till info-node.

	* english-strings.el,swedish-strings.el (lyskom-button-actions):
 	Lade till info-node
 	(Teddy)

	* lyskom-buttons.el (lyskom-button-goto-info-node): Ny funktion
 	(Teddy)
	(lyskom-button-transform-text): Lade till info-node (Teddy)

	* compatibility.el (buffer-live-p): Lade till.

Mon Aug 11 11:03:21 1997  David Byers  <davby@ida.liu.se>

	* parse.el (lyskom-parse-bitstring): Testa characters med eq, inte
 	=.

Fri Aug  8 13:40:06 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-message): Workaround för bug i
 	fill-region.

Thu Aug  7 09:33:16 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-message): Nu fungerar det att sätta
 	kom-autowrap till en siffra.

Fri Aug  1 10:44:59 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (lyskom-text-buttons): Byt plats på URL och e-mail.

Tue Jul 29 11:30:48 1997  David Byers  <davby@ida.liu.se>

	* filter.el (kom-super-jump): Hoppa över Fwd: också.

	* parse.el (lyskom-parse-num): FIXADE BUGGEN!

	* lyskom-rest.el (lyskom-fill-message): kom-autowrap kan vara ett
 	nummer.

	* option-edit.el (lyskom-custom-variables): Fixade kom-autowrap.

	* vars.el.in (lyskom-text-buttons): JySKom-enhancements tillåter
 	vi utan den extra parentesen.

	* filter.el (kom-super-jump): Luddig matching av mellanslag och
 	Re:

Fri Jul 25 09:43:04 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el: Definiera några ispell-variabler vid
 	kompileringen.

	* commands1.el (lyskom-quit): (setq lyskom-proc nil) är bättre än
 	ett felmeddelande.

Wed Jul 23 16:52:42 1997  David Byers  <davby@ida.liu.se>

	* swedish-strings.el (lyskom-button-actions): Lade till Återse
 	omodifierat.

	* lyskom-buttons.el (lyskom-button-review-noconversion): Ny
 	funktion.

Sat Jul 19 13:55:29 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (lyskom-language-history): Ny variabel.

	* commands2.el (kom-change-language): Använd
 	lyskom-language-history.

	* lyskom-rest.el (lyskom-read-number): Lade till history-argument.
	(ja-or-nej-p): Ingen history.

	* commands2.el (lyskom-send-message): Använd lyskom-message-history.

	* lyskom-rest.el (lyskom-read-string): Lade till history-argument.

	* vars.el.in (lyskom-command-history): Ny variabel.
	(lyskom-expression-history): Dito.
	(lyskom-message-history): Dito.

	* command.el (lyskom-read-extended-command): Använd
 	lyskom-command-history.

	* utilities.el (lyskom-try-require): Ny funktion.

	* commands2.el (lyskom-expr-history): Ny variabel.
	(kom-calculate): Ny funktion.

	* english-strings.el,swedish-strings.el (lyskom-command): Lade
 	till kom-calculate.
 	(lyskom-message): Lade till need-library och calc-expression.
	
	* vars.el.in (lyskom-commands): Lade till kom-calculate.

Fri Jul 18 13:01:15 1997  David Byers  <davby@ida.liu.se>

	* startup.el (lyskom): Skicka HTTP/1.0 också.

Thu Jul 17 09:55:37 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-dispatch-edit-text): Kasta undoinformation
 	före insättning av miscs.

	* lyskom-rest.el (lyskom-next-command): Bugga inte om kommandot är
 	nil.
	(lyskom-format-aux-help): Skriv ut kommandot nil också.
	(lyskom-what-to-do-when-done): nil är inte ett giltigt kommando.
	(lyskom-what-to-do-when-done): kom-display-time får man om man
 	inget annat har i listan.

	* startup.el (lyskom): Fixade så www-proxy faktist fungerade.

Wed Jul 16 11:05:21 1997  David Byers  <davby@ida.liu.se>

	* startup.el (lyskom): Kunna köra genom www-proxy.

	* buffers.el (lyskom-undisplay-buffer): Ändra inte
 	fönsterkonfigurationen bufferten inte är roten i hierarkin man
 	håller på döda.

	* lyskom-rest.el (lyskom-filter): Sätt bara buffert till
 	old-buffer om den fortfarande är vid liv.

Tue Jul 15 10:56:50 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-format-format): Lägg till D,S och C i
 	regexpen.

	* english-strings.el,swedish-strings.el (kom-tell-phrases): Använd
 	användarens kom-tell-phrases om den finns.

	* vars.el.in (lyskom-line-start-chars): Sätt till nil.

	* lyskom-rest.el (lyskom-line-start-chars): Sätt värdet här.

	* edit-text.el (lyskom-edit-get-commented): Skicka med
 	edit-fönstret till thendo.
	(lyskom-edit-show-commented): Bibehåll valt fönster.
	(lyskom-edit-insert-commented): Ta emot ett till argument.

	* vars.el.in (kom-print-number-of-unread-on-entrance): Ärv
 	variabeln.
	(kom-show-author-at-end): Dito.
	(kom-dashed-lines): Dito.
	(kom-reading-puts-comments-in-pointers-last): Dito.

Mon Jul 14 11:24:09 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-fill-message): Klara att fill-column inte
 	är ett heltal.

	* command.el (lyskom-read-extended-command): Visa prefixargumentet
 	(om det finns.)
	(kom-extended-command): Skicka prefixargument till
 	lyskom-read-extended-command.

	* commands1.el (kom-list-clients): Använd
 	dynamic-session-info. Prefix gör att man får osynliga användare.

	* lyskom-rest.el (forward-text): Sätt paragraph-ignore-fill-prefix
 	till t.
	(backward-text): Dito.

	* commands1.el (kom-list-clients): Skriv ut total-users istf
 	total-visible-users.

	* lyskom-rest.el (lyskom-fill-message): Bindestreck och plus kan
 	också inleda stycken.

	* vars.el.in (lyskom-line-start-chars): Definiera från
 	lyskom-line-start-chars-string.
	(lyskom-line-start-chars-string): Ny variabel.
	(kom-dont-read-saved-variables): Läs inte lyskom-login-hook från
 	servern.

	* english-strings.el,swedish-strings.el (lyskom-message): Minde
 	whitespace efter återse hur många etc.

	* lyskom-rest.el (lyskom-fill-message): Nu bryter vi tvåradare med
 	nollskild konstant radlängdsskillnad.
	(lyskom-minimum-triagle-size): Ny variabel.
	(lyskom-fill-message): Massera fill-column lite snyggare.

	* edit-text.el (lyskom-edit-send): Kör användarhookar efter att ha
 	kollat ärende osv.

	* swedish-strings.el,english-strings.el (lyskom-edit-mode-map):
 	Bind mouse-2 till kom-button-click-or-yank.

	* lyskom-buttons.el (kom-button-click-or-yank): Ny funktion.
	(kom-button-click): Lade till do-default-argumentet.

	* option-edit.el: Lägg till kom-show-namedays.

	* vars.el.in (kom-show-namedays): Sätt defaultvärdet till nil och
 	spara i servern.

	* prioritize.el (lyskom-prioritize-current-entry): Hantera att
 	markören inte står i början av raden.
	(kom-prioritize-select): Flytta inte markören när man markerar.

	* swedish-strings.el,english-strings.el (lyskom-message): I
 	priority-q skriv ut vad prioritet noll betyder.
	(lyskom-sv-prioritize-mode-map): Bind kom-next-link och
 	kom-previous-link.

	* commands1.el (lyskom-try-add-member): Tillåt att man explicit
 	anger prioritet noll.

Sun Jul 13 12:06:20 1997  David Byers  <davby@ida.liu.se>

	* menus.el (lyskom-do-popup-menu): Försök inte anropa nil.

	* view-mode.el: Flyttade om lite i filen så att keymappen
 	definieras innan moden.
	(lyskom-view-base-mode): Fifflade så att det fungerar även om
 	view-mode är en minor mode och det inte finns en view-major-mode.
	
	* compatibility.el (lyskom-gnu-keysym): Fixade en typo.
	(lyskom-xemacs-keysym): Dito.
	(lyskom-keysym): Skrev om så den fungerar i Gnu Emacs.

	* option-edit.el (kom-customize): Då inte bara för att
 	kom-active-face inte finns.
	(lyskom-create-widget): Sätt menu-tag.
	(lyskom-make-menu-tag): Ny funktion.

	* check-strings.el (lcs-dont-check-ending-categories): Ny
 	variabel.
	(lcs-check-strings): Kontrollera att strängar avslutas på samma
 	sätt. Radbrytningar, punkt, kolon, frågetecken mm skall vara lika
 	i alla språk.
	(lcs-match-endings): Ny variabel.
	(lcs-check-string-ending): Ny funktion.

	* english-strings.el,swedish-strings.el: Synkroniserade, fixade
 	icke-matchande avslutningar.

	* Makefile, distribution-Makefile (SOURCES): Lade till
 	view-mode.el.

	* swedish-strings.el (lyskom-message): Lade till
 	more-than-one-root och more-than-one-root-review.

	* review.el (kom-find-root-review): Varna om det finns mer än ett
 	urinlägg.
	(kom-find-root): Visa alla urinlägg.

	* vars.el.in (kom-show-namedays): Lade till kom-show-namedays.

	* commands1.el (kom-display-time): Visa namnsdagar enbart om
 	kom-show-nameday är satt.

	* option-edit.el (lyskom-create-widget): Lägg till help-echo
	(lyskom-create-widget): Dito.
	(lyskom-widget-help-format-handler): Hantera nytt argsformat.
	(lyskom-widget-help-action): Dito, byt ut help-echo.
	(lyskom-custom-variables): Lade till help-echo på några variabler.
	(lyskom-url-viewer-widget): Lade till help-echo
	(lyskom-ding-widget): Dito
	(lyskom-name): Dito.
	(lyskom-command): Dito.

	* macros.el: Require custom och widget för att undvika fel pga att
 	man har autoloads definierade för en massa andra
 	widget-funktioner.

Sat Jul 12 12:46:46 1997  David Byers  <davby@ida.liu.se>

	* english-strings.el,swedish-strings.el (lyskom-custom-strings):
 	Lade till dokumentation och tag för kom-autowrap.

	* edit-text.el: Zappa lite varningar.

	* option-edit.el: Dito.

	* menus.el: Dito.

	* lyskom-buttons.el: Dito.

	* commands1.el (kom-display-time): Bind
 	lyskom-last-text-format-flags.

	* remote-control.el (lyskom-remote-set-message): Dito.

	* ansaphone.el (kom-change-auto-reply): Dito.

	* async.el (lyskom-format-as-personal-message): Dito.

	* commands2.el (lyskom-send-message): Dito.

	* view-text.el (lyskom-print-text): Skriv ut om texten är
 	omformatterad.
	(lyskom-deferred-insert-footer): Dito.
	(lyskom-view-text): Bind lyskom-last-text-format-flags.

	* english-strings.el, swedish-strings.el (lyskom-message): Lade
 	till reformat-*

	* lyskom-rest.el (lyskom-fill-message): Ny funktion.
	(lyskom-format-text-body): Anropa lyskom-fill-message.
	(lyskom-signal-reformatted-text): Ny funktion.

	* vars.el.in (kom-autowrap): Ny variabel.
	(lyskom-line-start-chars): Ny variabel.

	* review.el (kom-review-noconversion): Slå av massor av
 	formattering.

	* swedish-strings.el (lyskom-sv-edit-mode-map): Bind [å] mfl även
 	i XEmacs, men bind *dessutom* aring och liknande.
	(lyskom-sv-mode-map): Dito.

Fri Jul 11 09:17:28 1997  David Byers  <davby@ida.liu.se>

	* compatibility.el: Tog bort popup-menu eftersom vissa Gnu Emacs
 	definierar en okompatibel variant av den här funktionen. Vi
 	använder lyskom-do-popup-menu istället.

	* lyskom-buttons.el (lyskom-button-menu): Använd
 	lyskom-do-popup-menu.

	* menus.el (lyskom-background-menu): Tog bort event-argumentet
 	från anropet.
	(lyskom-do-popup-menu): Ny funktion. 
	(lyskom-background-menu): Använd den.

	* lyskom-rest.el (lyskom-w3-region): Ny funktion.

	* lyskom-buttons.el (lyskom-button-menu): Tog bort
 	event-argumentet från popup-menu.

	* compatibility.el (next-text-property-bounds): Lade till igen
 	tack vare den eländiga danske faan.

	* option-edit.el (lyskom-customize-send): Skriv ut listor mm med
 	quote.

	* edit-text.el (kom-ispell-message): Requirea ispell.

	* macros.el (define-widget): Wrappa med lyskom-widget-wrapper.

	* compatibility.el (char-to-int): Function, not subst, and things
 	work better.

	* english-strings.el,swedish-strings.el (lyskom-custom-strings):
 	Lade till kom-ispell-dictionary-doc och kom-ispell-dictionary-tag.

	* option-edit.el (lyskom-ispell-dictionary-widget): Ny funktion.
	(lyskom-customize-buffer-format): Lade till kom-ispell-dictionary
	(lyskom-custom-variables): Dito.
	(lyskom-widget-functions): Lade till ispell-dictionary

	* menus.el (lyskom-edit-menu-template): Lägg in kom-ispell-message
 	i edit-text-menyn.

	* english-strings.el,swedish-strings.el (lyskom-menu): Text för
 	kom-ispell-message.
	
	* edit-text.el (lyskom-edit-send): Avsluta med
 	lyskom-edit-text-abort.
	(kom-ispell-message): Nytt kommando.
	(lyskom-ispell-text): Använd kom-ispell-message

	* macros.el (lyskom-widget-wrapper): Nytt makro.
	(widget-setup): Definiera med l-w-w
	(widget-at): Dito
	(widget-value): Dito
	(widget-button-click): Dito
	(widget-value-set): Dito
	(widget-insert): Dito
	(widget-create): Dito
	(widget-get): Dito
	(widget-put): Dito.

	* vars.el.in (lyskom-text-buttons): Fixade liten regexpbug.

Thu Jul 10 10:16:35 1997  David Byers  <davby@ida.liu.se>

	* utilities.el (lyskom-set-face-scheme): Testa att console-type
 	inte är tty. Det är antagligen marginellt bättre än att testa
 	explicit för x eller win32.

	* slow.el (kom-expand-slow-or-next-command): Slå av undo vid
 	exekvering av kommando.
	(lyskom-get-entered-slow-command): Försök hantera att prompten
 	saknas.
	(kom-parse-command-and-execute): Disabla undo medan man kör
 	kommandot.

	* command.el (lyskom-end-of-command): Slå på undo efter prompten
 	är utskriven.

	* lyskom-rest.el (lyskom-update-prompt): Gör prompten read-only om
 	man har långsamma kommandon på.

	* vars.el.in (lyskom-saved-read-only): Ny variabel.
	(lyskom-slow-mode): Ny variabel.

Wed Jul  9 11:55:47 1997  David Byers  <davby@ida.liu.se>

	* utilities.el (lyskom-default-collate-table): Rättat strängen som
 	någon hade förstört.

	* compatibility.el (char-to-int): Nu kompatibilitetssubst.

	* utilities.el (lyskom-unicase-char): Använd char-to-int.

	* vars.el.in (kom-dont-read-saved-variables): Ny variabel.

	* flags.el (lyskom-maybe-set-var-from-string): Ny funktion.

	* vars.el.in (lyskom-change-conf-hook): Ny variabel.

	* commands1.el (lyskom-go-to-empty-conf): Kör den.
	(lyskom-sub-member): Kör den.

	* lyskom-rest.el (lyskom-enter-conf): Kör den.

	* startup.el (kom-start-anew): Kör den.

	* prioritize.el (kom-prioritize-set-priority): Fixade en bug.

Mon Jul  7 17:25:46 1997  David Byers  <davby@ida.liu.se>

	* Makefile: Rensade sånt som inte fungerade, gjorde lite mer lik
 	distribution-Makefile

Sun Jul  6 14:41:16 1997  David Byers  <davby@ida.liu.se>

	* lyskom-rest.el (lyskom-format-html): Markera bara att texten 
	är HTML. 
	(lyskom-do-insert): Ny funktion. Rätt onödig just nu, men bra 
	om man skall experimentera.
	(lyskom-insert): Använd den.
	(lyskom-insert-at-point): Använd den.
	(lyskom-insert-before-prompt): Använd den.

	* language.el (lyskom-set-language): Byt bara om språket finns.

	* option-edit.el (lyskom-language-widget): Använd 
	lyskom-language-name

	* english-strings.el (lyskom-language-codes): Ny variabel.

	* vars.el.in (lyskom-language-codes): Ny variabel.

	* startup.el (kom-start-anew): Skriv ut språkbyte.

	* swedish-strings.el (lyskom-message): Lade till 
	changing-language-to

	* english-strings.el (lyskom-en-edit-mode-map): Rättade några
	referenser till lyskom-sv-edit-mode-map
	(kom-mercial): Sätt på ett vettigt sätt.
	(lyskom-message): Lade till changing-language-to

	* vars.el.in (kom-default-language): Default är nil
	(lyskom-language): Dito

	* language.el (lyskom-define-language): Sätt kom-default-language 
	och lyskom-language om de inte är satta. 

Fri Jul  4 16:10:15 1997  David Kågedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-message): Översatte which-language
 	och send-formatted.

Thu Jul  3 11:13:03 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (lyskom-text-buttons): Bytte ut NUL mot \000 och ^L 
	mot \014

	* english-strings.el (lyskom-customize-map): Definierad en
	engelsk version.

	* compatibility.el: Inga meddelanden.
	(lyskom-compatibility-definition): Dito. Fixade en bug.

	* commands1.el (lyskom-nameday): Använd lyskom-butlast.

	* utilities.el (lyskom-butlast): Nu funktion.
	(lyskom-nbutlast): Ny funktion.

Wed Jul  2 15:35:16 1997  David Byers  <davby@ida.liu.se>

	* swedish-strings.el,english-strings.el: Synkade alla strängar.

	* vars.el.in (lyskom-commands): Lade till kom-change-language. 
	Varför har vi egentligen den här variabeln?

	* startup.el (kom-start-anew): Sätt språk enligt 
	kom-default-language i slutet av inloggningen.

	* services.el (lyskom-blocking-do-multiple-1): Flyttade från 
	macros.el.
	(lyskom-blocking-do-multiple): Dito.
	(lyskom-multiple-blocking-return): Dito.

	* vars.el.in (kom-default-language): Ny variabel.

	* option-edit.el: Lade till kom-default-language

	* commands2.el (kom-change-language): Ny funktion

	* services.el (blocking-do): Återställde.
	(lyskom-wait-queue): Återställde.

	* macros.el (lyskom-blocking-do-multiple): Återställde.

	* filter.el (lyskom-filter-text-p): Återställde.

	* utilities.el: Återställde.

	* lyskom-rest.el (lyskom-filter): Återställde.

Wed Jul  2 13:07:38 1997  Peter Liljenberg  <petli@lysator.liu.se>

	* lyskom-rest.el (lyskom-filter): Tog bort
	(lyskom-reset-apo-timeout).

	* utilities.el: Kommenterade bort lyskom-accept-process-output och
	vänner.

	* filter.el (lyskom-filter-text-p),
	macros.el (lyskom-blocking-do-multiple),
	services.el (blocking-do): Fixade accept-process-output.

Wed Jul  2 10:44:38 1997  David Byers  <davby@ida.liu.se>

	* vars.el.in (lyskom-send-text-transform-function): Ny variabel.

	* defvar.el (def-kom-var): Gör variabler i common-arean 
	lokala också.

	* edit-text.el (lyskom-send-transform-text): Hantera att det 
	blir fel när man försöker skicka in.

	* lyskom-rest.el (lyskom-format-special): Bytt namn från 
	lyskom-format-experimental. Flyttad till vars.el.in
	(lyskom-format-html): Ny funktion.
	(lyskom-format-enriched): Ny funktion.
	(lyskom-format-text-body): Använd dem.

Tue Jul  1 18:26:42 1997  Peter Liljenberg  <petli@lysator.liu.se>

	* check-strings.el: Helt omskriven för att klara det nya
	strängsystemet. 

Mon Jun 30 14:01:31 1997  David Byers  <davby@ida.liu.se>

	* review.el (kom-review-noconversion): Ignorera dynamiskt 
	bunden variabel. 

	* commands2.el (kom-membership): Tog bort onödig variabel.
	(kom-set-unread): Ignorera tempvariabel

	* utilities.el (lyskom-modify-face): Tog bort onödig variabel.

	* compatibility.el (map-keymap): Tog bort onödig variabel.

	* option-edit.el (lyskom-widget-click): Nu funktion.

Sun Jun 29 12:41:14 1997  David Byers  <davby@ida.liu.se>

	* swedish-strings.el (lyskom-custom-strings): Lade till Lynx.

	* option-edit.el (lyskom-url-viewer-widget): Lade till Lynx.

	* prioritize.el (kom-prioritize-goto-priority): Fixa en prompt. 
	(kom-prioritize-set-priority): Fixa en prompt.

	* swedish-strings.el (lyskom-message): Nya strängar.

	* lyskom-buttons.el (kom-popup-menu): Grokka w3s länkar.
	(kom-button-click): Dito.

	* compatibility.el (event-glyph): Lade till funktionen.

	* edit-text.el (lyskom-send-experimental): Ny variabel.
	(lyskom-send-transform-text): Använd den. Fråga om man vill skicka
	 in formatterat. 

        * lyskom-rest.el (lyskom-format-text-body): Använd w3-region
        och fixa så  inte extents läcker till resten av bufferten. 
        (lyskom-format-experimental): Default är påslaget. Numera en
        lista av format som skall formateras.

Fri Jun  6 10:40:51 1997  David Byers  <davby@ida.liu.se>

        * commands1.el (kom-display-calendar): Började skriva. Kom inte så
        långt.

Wed May 14 13:08:50 1997  Peter Liljenberg  <petli@lysator.liu.se>

	* lyskom-buttons.el (lyskom-view-url-lynx):  Lynx kan användas för
	att visa URL:er.
	
	* vars.el.in (kom-lynx-terminal): Ny variabel.
	(kom-lynx-xterm-command): Ny variabel.
	(kom-lynx-terminal-command): Ny variabel.

Sun May 11 15:47:23 1997  David Byers  <davby@ida.liu.se>

	* cache.el: Gör alltid i LysKOM-bufferten.

Sun Apr 27 12:51:39 1997  David Byers  <davby@ida.liu.se>

	* edit-text.el (lyskom-ispell-text): Ny funktion.

	* swedish-strings.el, english-strings.el (kom-ispell-dictionary):
 	Ny variabel.

	* vars.el.in (lyskom-send-text-hook): Ny variabel.

	* edit-text.el (lyskom-edit-send): Anropa lyskom-send-text-hook.

	* lyskom-buttons.el (lyskom-fix-pseudo-url): Ny funktion.
	(lyskom-button-open-url): Hantera pseudo-URLer.
	(lyskom-button-transform-text): Specialhantering av pseudourler.

	* vars.el.in (lyskom-text-buttons): Känn igen trasiga URLer.

Fri Apr 25 16:55:10 1997  David Byers  <davby@ida.liu.se>

	* commands2.el (lyskom-send-message-minibuffer-setup-hook): Ny
 	funktion.
	(lyskom-send-message-minibuffer-exit-hook): Nu funktion.
	(lyskom-send-message): Gör inte minibuffer-setup-hook med vänner
 	lokal. Det fungerar inte om man laddar rsz-mini i hooken.

Thu Apr 10 19:16:47 1997  David Kågedal  <kg@infovav.se>

	* utilities.el (lyskom-default-collate-table): Bytte ^Z mot \032.

Tue Apr  8 22:49:59 1997  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Fråga bara om
	man ska skicka in trots olästa kommentarer en gång.

Sun Mar 30 12:56:10 1997  David Byers  <davby@sen22.ida.liu.se>

	* flags.el (lyskom-save-options): Bind print-readably till t.
	(kom-edit-options-send): Dito.

Thu Mar 27 02:51:57 1997  David Kågedal  <davidk@lysator.liu.se>

	* utilities.el (functionp): byte-code-p heter egentligen
 	byte-code-function-p.

Tue Mar 18 17:24:19 1997  David Kågedal  <davidk@lysator.liu.se>

	* review.el (lyskom-find-root): Klarade inte av kommentarer till
 	hemliga texter.

	* commands1.el (kom-mark-text): Fixade dokumentationen.

Thu Mar 13 09:23:25 1997  David Byers  <davby@sen21.ida.liu.se>

	* view-text.el (lyskom-deferred-insert-footer): Bugfix.

Wed Mar 12 17:33:25 1997  David Byers  <davby@sen21.ida.liu.se>

	* startup.el (lyskom): Fråga inte om man vill döda processen.

Tue Mar 11 11:35:35 1997  David Byers  <davby@sen21.ida.liu.se>

	* lyskom-rest.el (lyskom-face-default-p): Skrev så den fungerar i
 	XEmacs.

Mon Mar 10 16:42:18 1997  David Byers  <davby@sen21.ida.liu.se>

	* option-edit.el (lyskom-custom-variables): Bytte ut
 	lyskom-ding-on-no-subject mot kom-ding-on-no-subject.

	* swedish-strings.el (lyskom-custom-strings): Uppdaterade strängar
 	för customize.

	* vars.el.in (kom-show-author-at-end): Ny variabel.
	Flyttade om lite definitioner.
	(lyskom-commands): Lade till kom-customize

Mon Mar 10 16:19:29 1997  David Byers  <davby@sen22.ida.liu.se>

	* view-text.el (lyskom-print-text): Skriv ut författaren i slutet
 	av texten om kom-show-author-at-end är satt till t.

Sat Mar  8 16:46:54 1997  David Byers  <davby@sen22.ida.liu.se>

	* defvar.el (def-kom-var): Hantera medlemmar i lyskom-global-boolean-a

	* edit-text.el (lyskom-edit-send): Använd kom-ding-on-no-subject.

	* vars.el.in (kom-ding-on-no-subject): Bytte namn från
 	lyskom-ding-on-no-subject.

Sat Mar  8 03:55:07 1997  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (lyskom-list-summary): Gör (sit-for 0).

Fri Mar  7 10:40:35 1997  David Byers  <davby@sen22.ida.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Hackade om
 	kommentarskontrollen. Tog bort lyskom-add-comments-list.

	* view-text.el (lyskom-text-read-at-least-once-p): Ny funktion.

Thu Mar  6 13:43:42 1997  David Byers  <davby@sen22.ida.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Kontrollera
 	kommenterade texter för nya kommentarer. Använd
 	lyskom-symbol-value på rätt ställen.
	(lyskom-dispatch-edit-text): Håll reda på vilka kommentarer som
 	finns till den kommenterade texten.
	(lyskom-edit-add-comments-list): Ny funktion.
	(top level): Tog bord lyskom-is-dedicated-edit-window

	* vars.el.in (kom-check-for-new-comments): Ny variabel.

	* english-strings.el, swedish-strings.el (lyskom-message): Lade
 	till texter för kontroll av kommentarer.

Wed Mar  5 17:22:48 1997  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-get-recipients-from-misc-list): Ny
 	funktion.
	(lyskom-change-pres-or-motd-2): Använd samma mottagare som den
 	förra presentationen som default.

Wed Mar  5 15:10:38 1997  David Byers  <davby@sen22.ida.liu.se>

	* edit-text.el (lyskom-dispatch-edit-text): Tog bort
 	process-kill-qithout-query.

	* buffers.el (lyskom-quit-query): Ny funktion.

Mon Mar  3 20:43:28 1997  David Kågedal  <kg@infovav.se>

	* compatibility.el (lyskom-gnu-keysym): Använd tecken istället för
 	symboler för åäö.

Sat Mar  1 10:55:04 1997  David Kågedal  <kg@infovav.se>

	* async.el (lyskom-handle-as-personal-message): Använd rätt värde
 	på kom-pop-personal-messages och se till att meddelande-bufferten
 	scrollar till slutet.

Fri Feb 28 14:45:04 1997  David Byers  <davby@sen22.ida.liu.se>

	* utilities.el (functionp): Ny definition.

Sat Feb 22 13:54:02 1997  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-wait-for-membership): La till (sit-for 0).

Tue Feb 18 13:30:34 1997  David Byers  <davby@sen22.ida.liu.se>

	* completing-read.el (lyskom-complete-string-close-parens-2):
 	Skrev om.

Mon Feb 17 09:18:07 1997  David Byers  <davby@sen22.ida.liu.se>

	* lyskom-rest.el (lyskom-scroll): Sätt inte point bortom fönstrets
 	sisa kolumn. Det är inte så himla skoj om man har automatisk
 	horisontell scrollning.

Fri Feb 14 18:35:39 1997  David Byers  <davby@sen22.ida.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Fixade bug re
 	multipla mottagare och kommenterad-författare-kontroll.

Thu Feb 13 14:25:51 1997  David Byers  <davby@sen22.ida.liu.se>

	* clienttypes.el (lyskom-queue-isempty): Gjorde till defsubst
 	eftersom den ibland anropas *mycket*.
	(lyskom-queue->first): Dito.
	(lyskom-queue-p): Dito.
	(lyskom-stack-isempty): Dito.
	(lyskom-queue->all-entries): Dito.
	(lyskom-queue-enter): Dito.
	(lyskom-queue->last): Dito.
	(lyskom-queue-make-empty): Dito.
	(lyskom-queue-delete-first): Dito.

	* parse.el (lyskom-parse-unparsed): Tog bort while-loopen för att
 	radera whitespace. Använd match-data itsället.

Thu Feb 13 12:28:55 1997  David Kågedal  <davidk@lysator.liu.se>

	* prefetch.el (lyskom-prefetch-text-list-continue): Kommenterade
 	bort.
	(lyskom-prefetch-texts): Bytte namn från
 	lyskom-prefetch-text-list.
	(lyskom-prefetch-texts-handler): Bytte namn från
 	lyskom-prefetch-text-list-handler.

	* komtypes.el (text-list->empty): Ny funktion.
	(text-list->length): Ny funktion.
	(text-list->delq): Ny funktion.
	(text-list->append): Ny funktion.

	* prefetch.el (lyskom-prefetch-text-list): Använd text-list->empty.

	* lyskom-rest.el (lyskom-enter-conf): Använd text-list->length.
	(lyskom-set-mode-line): Dito.
	(lyskom-what-to-do): Dito.

	* clienttypes.el (read-info-append-text-list): Använd
	text-list->append.
	(read-list-delete-text): Använd text-list->delq.

Thu Feb 13 09:41:52 1997  David Byers  <davby@sen22.ida.liu.se>

	* view-text.el (lyskom-print-text): Tog bort utkommenterad kod.
 	Lade till dashed lines före ärendelösa inlägg.

	* parse.el (lyskom-parse-num): Skrivit om helt, utan read,
 	condition-case och specialhack för strängar som ändå inte används.

	* services.el (blocking-do): Signalera quit om lyskom-quit-flag är
 	t för att undvika att returnera not-yet-gotten.

	* parse.el (lyskom-parse-unparsed): Defensivt hack om
 	lyskom-parse-pos blir för stor.

Wed Feb 12 14:43:31 1997  David Byers  <davby@sen22.ida.liu.se>

	* parse.el (lyskom-fill-vector): Använd funcall istf apply.
	(lyskom-parse-char): Flytta grenar i cond
	(lyskom-parse-num): Flyttade grenar i cond
	(lyskom-parse-nonwhite-char): Gjorde iterativ
	(lyskom-parse-num): Tog bort while-loopar med looking-at. 
	(lyskom-parse-num): Strunta i \t och \r i regexparna

	* defvar.el (lyskom-save-variables): Fixade buggen med lokala
 	variabler.

	* buffers.el (lyskom-buffer-list): Bytte namn till
 	lyskom-associated-buffer-list

Sun Feb  9 11:25:35 1997  David Byers  <davby@sen22.ida.liu.se>

	* lyskom-rest.el (kom-save-text): Skrev om.

	* utilities.el (lyskom-apo-timeout): Ny variabel.
	(lyskom-apo-timeout-index): Dito.
	(lyskom-apo-timeout-vector): Dito.
	(lyskom-apo-timeout-vector-max): Dito.
	(lyskom-accept-process-output): Ny definition.
	(lyskom-next-apo-timeout): Ny funktion.
	(lyskom-reset-apo-timeout): Ny funktion.

Fri Feb  7 18:03:58 1997  David Byers  <davby@sen22.ida.liu.se>

	* lyskom-rest.el (lyskom-update-prompt): Ny parameter,
 	force-prompt-update.

	* language.el (lyskom-set-language): Uppdatera prompten.

	* compatibility.el Bort bed rassq, rassoc och annat som finns i
 	alla Emacs vi stödjer. (replace-in-string): Ny funktion snodd från
 	XEmacs.

Fri Feb  7 16:20:49 1997  David Kågedal  <davidk@lysator.liu.se>

	* prefetch.el (lyskom-prefetch-text-list): Ny funktion.
	(lyskom-prefetch-text-list-continue): Ny funktion.
	(lyskom-prefetch-one-item): Hantera TEXT-LIST.
	(lyskom-prefetch-one-request): Hanter TEXT-LIST
	(lyskom-prefetch-text-list-handler): Ny funktion.

Fri Feb  7 16:36:32 1997  David Byers  <davby@sen22.ida.liu.se>

	* vars.el.in (lyskom-setup-local-variables): Hantera
 	lyskom-local-hooks.

	* defvar.el (def-kom-var): Lade till local-hook och server-hook.

	* vars.el.in: Zappa event-joxet till förmån för vanliga hookar.

	* utilities.el: Dito.

Thu Feb  6 00:41:34 1997  David Kågedal  <davidk@lysator.liu.se>

	* async.el (lyskom-async-new-text): Prefetch all the information.

Tue Feb  4 10:52:19 1997  David Byers  <davby@sen2.ida.liu.se>

	* defvar.el: Stoppade in edebug-form-spec för några makron.

	* utilities.el (lyskom-string-assoc): Ny funktion.

	* command.el (lyskom-read-extended-command): Använd inte backquote
 	för filtret (man kan inte edebugga då). Använd
 	lyskom-with-lyskom-minibuffer.
	(lyskom-read-extended-command): Använd lyskom-string-assoc.

Sun Feb  2 16:10:27 1997  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el (lyskom-edit-show-commented): Använd
 	lyskom-view-mode och använd lyskom-view-text för att stoppa in
 	texten i bufferten.

	* buffers.el (lyskom-display-buffer): Gör intern-soft, inter
 	intern så att saknad kontrollvariabel inte orsakar fel.

	* view-mode.el (lyskom-view-base-mode): Ny funktion, ny fil.
	(lyskom-view-mode): Ny funktion
	(lyskom-view-mode-map): Ny variabel.

	* vars.el.in: Tog bort lyskom-list-of-edit-buffers.

	* edit-text.el (lyskom-count-down-edits): Tog bort.
	(lyskom-edit-send): Använd inte lyskom-count-down-edits.
	(kom-edit-quit): Dito.

Fri Jan 31 16:37:48 1997  David Kågedal  <davidk@lysator.liu.se>

	* prefetch.el (lyskom-prefetch-texttree-handler): Anropa
 	lyskom-prefetch-texttree med t som tredje argument.
	(lyskom-prefetch-texttree): Nytt tredje argument som gör att den
 	inte prefetchar redan hämtade texter.

Thu Jan 30 16:27:58 1997  David Byers  <davby@sen22.ida.liu.se>

	* prioritize.el (lyskom-prioritize-replace-membership): Ny
 	funktion.
	(lyskom-prioritize-remove-membership): Ny funktion
	(lyskom-prioritize-add-membership): Ny funktion

	* vars.el.in (lyskom-add-membership-event-hook): Ny variabel
	(lyskom-replace-membership-event-hook): Dito
	(lyskom-remove-membership-event-hook): Dito

	* utilities.el (lyskom-signal-event): Ny funktion (experiment).
	(lyskom-handle-event): Dito.
	(lyskom-unhandle-event): Dito.

	* completing-read.el (lyskom-complete-string-next-char): Använd
 	inte lyskom-blocking-process.

	* services.el (lyskom-wait-queue): Använd inte
 	lyskom-blocking-process.

	* macros.el (lyskom-blocking-do-multiple): Använd inte
 	lyskom-blocking-process.

	* utilities.el (lyskom-unicase): Använd inte
 	lyskom-blocking-process.

	* vars.el.in (lyskom-doing-default-command): Tog bort
 	lyskom-blocking-process

Thu Jan 30 14:02:46 1997  David Byers  <davby@sen2.ida.liu.se>

        * vars.el.in (lyskom-buffer): Ärv till minibufferar.
        (lyskom-proc): Dito.

        * defvar.el (lyskom-setup-minibuffer-variables): Ny funktion.
        (lyskom-with-lyskom-minibuffer): Nytt makro.

Wed Jan 29 14:35:20 1997  David Byers  <davby@sen22.ida.liu.se>

	* utilities.el (lyskom-princ): Ny funktion.

	* edit-text.el (lyskom-edit-insert-misc-conf): Använd
 	lyskom-princ, inte princ, annars försvinner text properties.
	(lyskom-edit-insert-commented-author): Dito.
	(lyskom-edit-insert-miscs): Ny goto-char för att få rätt rad
 	överst.
	(lyskom-edit-send-check-recipients): Jag fattar inte att koden för
 	att kolla medlemskap för kommenterad författare någonsin
 	fungerade. Nu gör den det.

	* completing-read.el (lyskom-minibuffer-local-must-match-map):
 	Definiera om keymap-parent i XEmacs.

Mon Jan 27 15:40:05 1997  David Byers  <davby@sen2.ida.liu.se>

        * swedish-strings.el (lyskom-sv-customize-map): Gör mappen
        språkberoende.

        * cache.el (lyskom-what-i-am-doing): Använd def-kom-var

        * prefetch.el (lyskom-prefetch-in-action): Använd def-kom-var
        (lyskom-inhibit-prefetch): Dito.
        (lyskom-prefetch-stack): Dito.

Sun Jan 26 15:44:30 1997  David Byers  <davby@sen2.ida.liu.se>

        * filter-edit.el (lyskom-format-filter-pattern-insert): Använd
        inte lyskom-emacs19-p

        * lyskom-rest.el: Sätt inte lyskom-emacs19-p

        * vars.el.in: Använd def-kom-var

Sat Jan 25 20:56:53 1997  David Byers  <davby@sen2.ida.liu.se>

        * compatibility.el (lyskom-xemacs-keysym): Ny variabel.
        (lyskom-gnu-keysym): Ny variabel
        (lyskom-keysym): Ny funktion.
        (lyskom-keys): Ny funktion.

        * swedish-strings.el,english-strings.el: Använd lyskom-keys.

        * vars.el.in (lyskom-text-buttons): Lägg URL-regexparna i rätt
        ordning.

        * lyskom-buttons.el (lyskom-view-url-browse-url): Ny funktion.
        (lyskom-button-open-url): Rensa whitespace i URLerna.

Fri Jan 24 15:40:30 1997  David Byers  <davby@sen2.ida.liu.se>

        * command.el (lyskom-command-name): Bugga inte ur om kommandot
        inte finns.

Thu Jan 23 13:24:59 1997  David Byers  <davby@sen2.ida.liu.se>

        * vars.el.in (lyskom-text-buttons): Lade till <URL:> som specifik
        knapp. Tillåt inte : i slutet av en URL.

	* utilities.el (lyskom-make-face): Ny funktion.
	(lyskom-setup-faces): Använd den.

Sun Jan 19 12:05:24 1997  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el (lyskom-dispatch-edit-text): Använd ny
 	bufferthantering.
	(lyskom-edit-mode): Tog bort lyskom-protect-environment.

	* utilities.el (lyskom-set-default): Ny funktion.
	(lyskom-default-value): Bytt namn från
 	lyskom-default-symbol-value.

	* macros.el (lyskom-protect-variable): Nytt makro
	(lyskom-setq-default): Nytt makro

Sat Jan 18 13:37:53 1997  David Byers  <davby@sen2.ida.liu.se>

        * edit-text.el (lyskom-edit-mode): Anropa
        lyskom-add-edit-mode-menus

        * language.el (lyskom-set-language): Anropa lyskom-clear-menus.

        * vars.el.in (lyskom-mode-menu-list): Ny variabel.

	* compatibility.el (lyskom-xemacs-or-gnu): Nytt makro.

Fri Jan 17 12:14:51 1997  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-buttons.el (lyskom-make-button-menu): Bygg menyer för
 	både XEmacs och Gnu Emacs.
	(lyskom-button-menu): Använd popup-menu istf x-popup-menu.
	(kom-popup-menu): Bytt namn från kom-mouse-3. Fungera i XEmacs.
	(kom-button-click): Bytt namn från kom-mouse-2. Fungera i XEmacs.
	(kom-button-press): Bytt namn från kom-key-mouse-2. 
	(lyskom-button-menu): Fix i doc-sträng.

	* compatibility.el (popup-menu): Ny funktion.

	* swedish-strings.el, english-strings.el: Bytte ut
 	kom-mouse-* mor nya namn.

	* filter-edit.el (lyskom-filter-edit-mode): Använd
 	lyskom-use-local-map.

	* prioritize.el (lyskom-prioritize-mode): Använd
 	lyskom-use-local-map.

	* edit-text.el (lyskom-edit-mode): Använd lyskom-use-local-map för
 	att sätta keymap.

	* macros.el (lyskom-use-local-map): Ny funktion.

	* startup.el (lyskom-clear-vars): Gör keymap-variabler
 	buffertlokala. Gör lyskom-language buffertlokal.

	* language.el (lyskom-set-language-keymaps): Don't make a new
 	keymap every time through.

	* swedish-strings.el,english-strings.el: Definierade om alla
 	prefixkommndon så de är språkspecifika.

Thu Jan 16 09:36:39 1997  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el (lyskom-sv-edit-mode-map): Bind svenska
 	tecken för både Gnu Emacs och XEmacs. 

Wed Jan 15 17:40:46 1997  David Byers  <davby@sen2.ida.liu.se>

	* flags.el (lyskom-read-options): Gör inte setq med ett argument.

	* language.el (lyskom-set-language-keymaps): Skrev om med
 	set-keymap-parent. Experimentiellt.

	* swedish-strings.el (lyskom-sv-mode-map): Bind inte [?\344] och
 	liknande. Det fungerar inte i XEmacs. Bind i stället [ä] direkt;
 	det fungerar i XEmacs och Gnu Emacs.
	(lyskom-sv-prioritize-mode-map): Definiera inte M-up eller
 	liknande. Använd [( ... )]-notation i stället.

	* english-strings.el (lyskom-en-prioritize-mode-map): Dito.

Tue Jan 14 11:03:59 1997  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-forget-created-buffer): Ny funktion.
	(lyskom-create-buffer): Dito.
	(lyskom-buffers-of-type): Dito.
	(lyskom-first-buffer-of-type): Dito.
	(lyskom-buffer-is-of-type): Dito.
	(lyskom-add-buffer-of-type): Dito.
	(lyskom-forget-buffer-of-type): Dito.
	(lyskom-set-buffers-of-type): Dito.

	* startup.el (lyskom-clear-vars): Tog bort kom-prompt-format. Lade
 	till kom-user-prompt-format, kom-user-prompt-format-executing,
 	kom-enabled-prompt-format och kom-enabled-prompt-format-executing
 	som lokala variabler.

Sat Jan 11 14:01:49 1997  David Byers  <davby@sen2.ida.liu.se>

	* slow.el (lyskom-get-entered-slow-command): Använd
 	lyskom-current-prompt-text istf lyskom-prompt-text.

	* option-edit.el (lyskom-custom-variables): Tog bort
 	kom-prompt-format och lyskom-prompt-executing-default-command-text
 	och lyskom-prompt-text. Lade till kom-user-prompt-format och
 	kom-user-prompt-format-executing.
	(lyskom-customize-buffer-format): Dito.

	* vars.el.in (lyskom-elisp-variables): Dito. Lade till
 	kom-enabled-prompt-format och kom-enabled-prompt-format-executing.
	(kom-user-prompt-format): Ny variabel.
 	(kom-user-prompt-format-executing): Dito.
 	(kom-enabled-prompt-format): Dito.
	(lyskom-current-prompt-text): Dito.
 	(kom-enabled-prompt-format-executing): Dito. (kom-prompt-format):
 	Tog bort. (lyskom-prompt-text): Dito.
 	(lyskom-prompt-executing-default-command-text): Dito.

	* command.el (lyskom-start-of-command): Använd inte
 	lyskom-prompt-executing-default-command-text

	* swedish-strings.el, engligh-strings.el (lyskom-message): Lade
 	till prompt-several-messages, prompt-single-message,
 	secret-person, conference-no, person-no (lyskom-custom-strings):
 	Tog bort referenser till kom-prompt-format och lyskom-prompt-text
 	och lyskom-prompt-executing-default-command-text. Tog bort
 	prompt-modifier-messages och prompt-modifier-ansaphone.

	* review.el (lyskom-find-root): Skrev om i iterativ version. Ny
 	parameterlista och måhända annorlunda beteende om det finns flera
 	urinlägg.

	* commands1.el (lyskom-who-is-on-9): Använd
 	lyskom-default-pers-string.
	(lyskom-who-is-on-8): Dito.

	* lyskom-rest.el (lyskom-format-aux-help): Använd
 	lyskom-default-pers-string för personer.
	(lyskom-modify-prompt): Använd kom-user-prompt-* och
 	kom-enabled-prompt-* (lyskom-format-prompt): Ny funktion
	(lyskom-build-prompt): Ny funktion. (lyskom-update-prompt): Sätt
 	lyskom-current-prompt-text.

	* vars.el.in (lyskom-default-pers-string): Ny variabel.

Thu Jan  9 11:06:19 1997  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (lyskom): Lägg inte till dubletter i
 	lyskom-buffer-list.

Fri Jan  3 17:20:00 1997  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (lyskom-times): Så fånigt det blev på nyårsafton.
 	Alla har visst inte 12-timmarsklocka.

Tue Dec 31 11:14:20 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-times): Nyåret infaller vid midnatt och
 	inte mitt på dagen.

Sat Nov 30 18:22:43 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-change-pres-or-motd-2): Gör presentationen
	en kommentar till den förra presentationen.

Fri Nov 29 14:50:11 1996  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (kom-start-anew): Sätt inte om lyskom-pers-no om man
 	avbröt under lösenordsinmatningen.

Wed Nov 20 04:03:46 1996  David Kågedal  <kg@infovav.se>

	* language.el (lyskom-languages): Ny variabel.
	(lyskom-define-language): Sätt den.

Mon Nov 11 10:06:28 1996  David Kågedal  <davidk@lysator.liu.se>

	* parse.el (lyskom-parse-bitstring): Gjorde inte rätt när strängen
 	var av samma längd som default.

Mon Oct 28 00:03:12 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-delete-conf): Använd lyskom-pending-commands
 	för att få en ny inloggning när man utplånat sig själv.

	* command.el (lyskom-end-of-command): Använd
 	lyskom-pending-commands.

	* vars.el.in (lyskom-pending-commands): Ny variabel.

	* swedish-strings.el,english-strings.el (lyskom-message): La till
 	ett WWW-fält i presentation-form.

	* prioritize.el (kom-prioritize): Använd inhibit-read-only.
	(lyskom-prioritize-redraw-entry): Dito.
	(lyskom-prioritize-redraw-buffer): Dito.
	(lyskom-prioritize-move-entry): Dito.
	(kom-prioritize-reprioritize): Dito.

	* lyskom-rest.el (lyskom-insert-at-point): Använd
 	inhibit-read-only.

	* flags.el (lyskom-Edit-options-modify): Använd inhibit-read-only.

	* filter-edit.el (lyskom-format-filter-list): Använd
 	inhibit-read-only.
	(lyskom-filter-edit-insert-entry): Dito.
	(lyskom-filter-edit-insert-pattern): Dito.
	(lyskom-filter-edit-delete-pattern): Dito.
	(lyskom-filter-edit-delete-entry): Dito.
	(lyskom-filter-edit-revert): Dito.
	(lyskom-filter-edit-toggle-permanent): Dito
	(lyskom-filter-edit-toggle-action): Dito.
	(kom-filter-edit): Dito.

	* commands1.el (kom-write-comment): Gör textnumret som skrivs ut
 	till en knapp.

Sun Oct 27 16:30:54 1996  David Kågedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-custom-strings): Använd inte ', och
 	specifiera rätt språk.

Sun Oct 27 02:21:42 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-delete-conf): Släng upp en inloggningsprompt
 	om man utplånar sig själv.

	* edit-text.el (lyskom-edit-mode): Rensade bort allt junk om
 	lyskom-edit-mode-mode-*.
	(lyskom-edit-mode-mode-hook): Tog bort.
	(lyskom-edit-mode-mode-map): Tog bort.

	* option-edit.el (lyskom-widget-command-action): Gör inte car-safe
 	på svaret från lyskom-read-extended-command.
	(lyskom-widget-command-value-create): Använd lyskom-get-string för
 	att hitta namn på kommandon.

Sat Oct 26 19:48:36 1996  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-mode): Byt ut overlay-map mot något
 	enklare.
	(lyskom-count-down-edits): signal anropades på fel.

Thu Oct 24 10:38:06 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el,swedish-strings.el (lyskom-message): Ändra
 	comment-to-by, by
	(lyskom-sv-edit-mode-map): Lade till bindningar av musknappar.

	* edit-text.el (lyskom-edit-insert-misc-conf): Sätt properties på
 	mötesnumret. (lyskom-edit-insert-commented-author): Dito.

Tue Oct 22 02:47:55 1996  Niels Möller  <nisse@lysator.liu.se>

	* language.el: Tog bort lyskom-language-symbols.

Mon Oct 21 12:41:46 1996  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-display-buffer): Lägg till en
 	kill-buffer-hoom även om man gör display i samma fönster.

	* english-strings.el (lyskom-button-actions): Lade till email som
 	action.

Mon Oct 21 00:54:00 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el (lyskom-language-sv): Rensade bort
 	kom-put-files, kom-get-files och kom-list files.

	* english-strings.el (lyskom-strings): Dito.

	* vars.el.in (lyskom-commands): Dito.

	* macros.el (map-keymap): Ignorera symboler i keymapen.

	* language.el (lyskom-language-keymaps): Ny variabel
	(lyskom-language-keymap-internal): Ny funktion.
	(lyskom-language-keymap): Nytt makro.
	(lyskom-set-language-keymaps): Ny funktion.
	(lyskom-set-language-vars): Ny funktion.
	(lyskom-set-language): Anropa lyskom-set-language-vars och
 	lyskom-set-language-keymaps.

	* lyskom-rest.el (lyskom-get-error-text): Använd
 	lyskom-get-string-internal.

	* language.el (lyskom-language-strings): Gjorde om till ett makro.

Sun Oct 20 03:46:22 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el: La till ett anrop av lyskom-set-language, något
 	malplacerat.

	* language.el (lyskom-set-language): Ny funktion.

	* swedish-strings.el: Flyttade alla defvar till vars.el.in (med
 	nil-värden) och ersatte med lyskom-language-var.

	* startup.el (lyskom-mode): Anropa inte
 	lyskom-tell-phrases-validate.

	* review.el (kom-review-noconversion): Flyttade hit.

	* macros.el (lyskom-expected-unresolved-functions): Använd inte
 	eval-when-compile.
	Flyttade ut def-kom-command till command.el.

	* utilities.el (device-class): Hantera icke-X.

	* command.el: Ny fil.

	* lyskom-rest.el (lyskom-tell-string): Använd lyskomg-et-string.
	Flyttade några funktioner till command.el.

	* english-strings.el (lyskom-menu): Ändrade "Person" till "User".

	* La till en massa provide och require på olika ställen. Inte
 	klart.

	* Makefile: Modifierade sättet som enskilda filer byggs. La till
 	command.el.

	* flags.el (lyskom-read-options): Anropa inte
 	lyskom-tell-phrases-validate.

	* lyskom-rest.el (lyskom-missing-fields): Tog bort.
	(lyskom-tell-phrases-validate): Tog bort.

	* command.el: Ny fil.

	* language.el (lyskom-language-strings): Bytte namn från
 	lyskom-define-language.
	(lyskom-language-var): Nytt makro.
	(lyskom-language-var-internal): Ny funktion.
	(lyskom-language-vars): Ny variabel.

Thu Oct 17 16:28:54 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el (lyskom-custom-strings): Lade in i
 	english-strings.el
	(lyskom-customize-map): Dito.

Wed Oct 16 11:24:41 1996  David Byers  <davby@sen2.ida.liu.se>

	* async.el (lyskom-show-logged-out-person): Gjorde så att
 	kom-presence-messages kan vara en lista av vilka som skall visas.
	(lyskom-show-logged-in-person): Dito.
	(lyskom-show-changed-person): Dito.
	(lyskom-show-presence): Ny funktion.


Tue Oct 15 03:30:31 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-do-go-to-conf): Tog bort specialhacket för
 	icke-prefetchade möten.

Fri Oct 11 02:52:14 1996  David Kågedal  <davidk@lysator.liu.se>

	* review.el (kom-review-noconversion): Flyttade hit från
 	swedish-strings.el och english-strings.el.

	* lyskom-rest.el (lyskom-command-name): Använd defsubst.

	* commands1.el (kom-write-comment): Använd lyskom-command-name.

	* vars.el.in (kom-allow-incompleteness): Ny variabel.

	* commands2.el (kom-list-news): Använd den.

	* lyskom-rest.el (lyskom-prefetch-all-confs): Gör
 	lyskom-wait-for-membership.
	(lyskom-wait-for-membership): Skriv ut det totala antalet möten
 	också.

	* vars.el.in (lyskom-fetched-texts): Tog bort.

Thu Oct 10 01:01:41 1996  Niels Möller  <nisse@lysator.liu.se>

	* vars.el.in (kom-emacs-knows-iso-8859-1): Borta.

	* slow.el (kom-expand-slow-command): Rätt argument till
	lyskom-get-strings 

	* menus.el (lyskom-menus): Ny layouten.
	(lyskom-popup-menus): Ny variabel.
	(lyskom-edit-menus): Ny layout. Tog bort kom-edit-send-anonymous och
	kom-edit-insert-commented 
	(lyskom-popup-menu-map): Ny variabel.
	(lyskom-build-menus): Skapa lyskom-popup-menu-map.
	(lyskom-define-menu): Låt hline ta ett argument.
	(lyskom-background-menu): Använd lyskom-pupup-menu-map.

	* lyskom-rest.el (lyskom-command-name): Rätt argument till
	lyskom-get-string. 
	(lyskom-read-extended-command): Rätt argument till
	lyskom-get-strings. 
	(lyskom-read-extended-command): assoc, inte assq
	(lyskom-message): Tog bort swasciistöd. Funktionen borde nog
	ersättas med ett makro som är att alias för message.
	(lyskom-error): Dito.

	* language.el (lyskom-language-symbols): Ny variabel.
	(lyskom-language-categories): Ny variabel.
	(lyskom-define-language): Omskriven. Uppslagningen katagori ->
	property är borta. Definierade symboler och kategorier loggas.
	(lyskom-get-string-internal): Ny funktion.
	(lyskom-get-string-error): Ny funktion.
	(lyskom-get-menu-string): Ny funktion.
	(lyskom-get-string): Omskriven. Kategorierna är inte hårdkodade,
	används direkt som properties, och ska vara unika, som
	'lyskom-message. 
	(lyskom-string-check-category): Ny funktion.

	* filter.el (lyskom-filter-read-action): Tog bort swasciivarianten
	av lyskom-filter-actions.

	* filter-edit.el (lyskom-filter-format-entry-header): Tog bort
 	swasciivarianten av lyskom-filter-actions.
	(lyskom-filter-edit-insert-entry): Dito.
	(lyskom-filter-edit-toggle-action): Dito.
	(lyskom-format-filter-pattern-insert): Tog bort swasciivarianten
 	av lyskom-filter-what.
	(lyskom-filter-edit-insert-pattern): Dito.

	* edit-text.el (lyskom-edit-insert-miscs): Gör
	substitute-command-keys på header-separator strängen 
	(lyskom-edit-mode): Dito.
	(lyskom-edit-parse-headers): Dito.
	(lyskom-edit-extract-text): Dito.

	* commands2.el (kom-bug-report): Tog bort lyskom-swascii* 

	* commands1.el (kom-write-comment): Rätt argument till
	lyskom-get-string 

	* async.el (lyskom-show-changed-person): Tog bort swasciistöd
	(lyskom-handle-as-personal-message):  Dito.
	* edit-text.el (lyskom-edit-show-commented):  Dito.
	* lyskom-rest.el: Kommenterade ut alla swasciivariabler. 
	* lyskom-rest.el (lyskom-set-mode-line): Dito.
	(lyskom-insert): Dito.
	(lyskom-insert-at-point): Dito.
	(lyskom-insert-before-prompt): Dito.
	(kom-save-text):  Dito.
	(lyskom-update-prompt): Dito.
	(lyskom-read-string): Dito.
	(lyskom-unread-mode-line): Dito

Thu Oct 10 00:32:38 1996  David Kågedal  <davidk@lysator.liu.se>

	* Makefile (PARTS-EL,SRC-ELC): Flyttade upp prefetch.el.

	* async.el (lyskom-add-new-text): Använd
 	lyskom-try-get-membership.

	* prioritize.el (lyskom-get-membership-in-conf): Tog bort.
	(lyskom-prioritize-handle-get-conf-stat): Använd
 	lyskom-get-membership istället.
	(lyskom-prioritize-tell-server): Dito.

	* startup.el (lyskom-refetch): Sätt lyskom-membership till nil.

	* swedish-strings.el: (messages) La till waiting-for-membership.
	* english-strings.el: (messages) Dito.

	* lyskom-rest.el (lyskom-wait-for-membership): Ny funktion.
	(lyskom-get-membership): Ny funktion.
	(lyskom-is-read-handler): Använd den
	(lyskom-try-get-membership): Bytte namn från lyskom-member-p.

	* services.el (blocking-do): Använd lyskom-accept-process-output.

	* utilities.el (lyskom-accept-process-output): Ny funktion.

	* commands2.el (kom-set-unread): Gör inte lyskom-refetch, utan
 	hämta bara den information som behövs.

	* commands1.el (lyskom-add-membership): Använd
 	lyskom-insert-membership.
	(lyskom-sub-member): Ändra interna strukturer istället för att
 	hämta om medlemskapslistan.
	(lyskom-comment-recipients): Använd lyskom-get-membership.
	(lyskom-change-pres-or-motd-2): Dito.
	(kom-unset-conf-motd): Dito.
	(lyskom-go-to-conf): Dito.
	(lyskom-list-conf-print): Dito.
	(lyskom-add-membership): Ta conf-no som argument istället för
 	conf-stat.
	(lyskom-do-go-to-conf): Skrev om så att den hanterar
 	icke-prefetchade möten bättre.

	* reading.el (lyskom-add-memberships-to-membership): Bytte namn
 	från lyskom-add-membership-to-membership.
	(lyskom-insert-membership): Ny funktion.
	(lyskom-remove-membership): Ny funtion.

	* prefetch.el (lyskom-prefetch-map): Ny funktion.
	(lyskom-prefetch-map-from): Gamla lyskom-prefetch-map.
	(lyskom-prefetch-one-request): Använd den nya funktionen.
	(lyskom-prefetch-map-handler): Nytt termineringsvillkor.
	(lyskom-reset-prefetch): Anropa lyskom-setup-prefetch, helt
 	enkelt.
	(lyskom-membership-is-read): Ny funktion.

Wed Oct  9 15:59:06 1996  Niels Möller  <nisse@lysator.liu.se>

	* swedish-strings.el (message): Tog bort substitute-comamnd-keys
	från strängen header-separator. Får göras där den används
	istället.
	
	* menus.el (lyskom-define-menu): Ta hand om argument till hline

	* swedish-strings.el (menu): Lade till nya menynamn

Tue Oct  8 18:06:02 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-buttons.el (lyskom-default-button): Försök sätta
 	lyskom-button-text även om argumentet inte anger det genom att
 	göra cache-get-* på personer och möten. Lev med att man kanske
 	inte alltid får tag på texten.

Tue Oct  8 14:33:24 1996  Niels Möller  <nisse@lysator.liu.se>

	* vars.el.in (lyskom-inherited-variables): Lade till
	lyskom-language
	
	* language.el (lyskom-get-string): Bantade cond-konstruktionen,
	till förmån för uppslagning i lyskom-category-properties

	* menus.el (lyskom-edit-menus): 
	(lyskom-build-menus): Menyer för edit-bufferten

	* slow.el (kom-expand-slow-command): Fixade argumenten till
	lyskom-get-string 

	* vars.el.in (lyskom-language): Ny variabel

	* edit-text.el : Använder lyskom-get-string för att få fram
	header-subject och header-separator

	* Makefile (HEADER-EL): Lade till language.el

	* commands1.el (kom-write-comment): Fixade argumenten till
	lyskom-get-string 

	* lyskom-rest.el (iso-8859-1-to-swascii) : flyttad till
	swedish-strings.el
	lyskom-rest.el: Anpassad till lyskom-get-string

	* swedish-strings.el (iso-8859-1-to-swascii): flyttad hit från
	swedish-strings.el
	swedish-strings.el: Anpassad till lyskom-get-string

Tue Oct  8 04:44:29 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el: Anropa lyskom-build-menus på toppnivån.

	* menus.el (lyskom-background-menu): Ny funktion.

Tue Oct  8 03:55:40 1996  David Kågedal  <kg@infovav.se>

	* lyskom-buttons.el (lyskom-make-button-menu): Ny funktion.
	(lyskom-mouse-3): Använd en keymap som meny.
	(lyskom-button-menu): Bytte namn från lyskom-mouse-3.

Tue Oct  8 04:44:29 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-buttons.el (lyskom-make-button-menu): Kopiera listorna.

	* lyskom-rest.el: Anropa lyskom-build-menus på toppnivån.

	* menus.el (lyskom-background-menu): Ny funktion.

Tue Oct  8 02:10:10 1996  Niels Möller  <nisse@lysator.liu.se>

	* menus.el : Ny fil. Menyer i lyskom-mode. 
	
Tue Oct  8 03:55:40 1996  David Kågedal  <kg@infovav.se>

	* lyskom-buttons.el (lyskom-make-button-menu): Ny funktion.
	(lyskom-mouse-3): Använd en keymap som meny.
	(lyskom-button-menu): Bytte namn från lyskom-mouse-3.

Tue Oct  8 02:10:10 1996  Niels Möller  <nisse@lysator.liu.se>

	* menus.el : Ny fil. Menyer i lyskom-mode. 

Mon Oct  7 12:10:01 1996  David Byers  <davby@sen2.ida.liu.se>

	* option-edit.el (lyskom-custom-variables): Lade till
 	kom-ding-on-new-letter.
	(lyskom-customize-buffer-format): Dito.

	* swedish-strings.el (lyskom-custom-strings): Lade till
 	kom-ding-on-new-letter.

	* async.el (lyskom-async-new-text): Pip vid brev.

	* vars.el.in (kom-ding-on-new-letter): Ny variabel.
	(lyskom-elisp-variables): Lade till den.

	* completing-read.el (lyskom-read-conf-internal): Bugfix. Hantera
 	TAB på namn som inte finns med vissa predikatkombinationer.

Sun Oct  6 16:28:13 1996  David Byers  <davby@sen2.ida.liu.se>

	* compatibility.el (compiled-function-p): Definiera
 	compiled-function-p, inte byte-code-function-p så klagar XEmacs
 	mindre.
 	
	* utilities.el (functionp): Använd compiled-function-p.

	* lyskom-buttons.el (lyskom-button-transform-text): Hantera
 	email-urler också.

	* swedish-strings.el (lyskom-strings): Lade till
 	email-popup-title.

	* vars.el.in (lyskom-text-buttons): Lade till regexp för
 	mail-adresser.

Sun Oct  6 10:11:25 1996  David Kågedal  <kg@infovav.se>

	* utilities.el (lyskom-setup-faces): Använd device-class istället
 	för console-type.

	* lyskom-rest.el (lyskom-format-insert): Använd en marker.

Sun Oct  6 02:55:49 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-mark-as-read): Markera texten som läst även
 	i möten man inte är med i. Det kan vara så att de inte har hämtats
 	än.

	* utilities.el (lyskom-set-face-scheme): Flyttade hit från
 	vars.el.in.
	(lyskom-setup-faces): Dito.
	(lyskom-set-face-background): Dito.
	(lyskom-set-face-foreground): Dito.
	(lyskom-emacs-version): Ny funktion.
	(lyskom-face-resource): Ny funktion.
	(lyskom-setup-faces): Använd lyskom-face-resource.

	* vars.el.in (kom-default-face-scheme): Låt den vara nil så länge.

	* utilities.el (lyskom-setup-faces): Sätt kom-default-face-scheme
 	om den inte är satt.

	* macros.el (unless): Nytt makro.

	* utilities.el (lyskom-delete-frame-hook): Använd ett bättre test.

	* commands2.el (kom-change-conf-type): Skrev om lite renare.

	* Rensade upp bland oanvända variabler.

	* vars.el.in (lyskom-setup-faces): Använd console-type
	(kom-default-face-scheme): Dito.
	(lyskom-set-face-scheme): Dito.

	* macros.el (map-keymap): Tog bort en onödig lokal variabel.

	* utilities.el (console-type): Ny funktion.
	(device-class): Ny funktion.
	(frame-property): Ny funktion.
	(lyskom-background-mode): Ny funktion.

	* vars.el.in (kom-default-face-scheme): Använd dem.

Sat Oct  5 19:23:13 1996  David Kågedal  <davidk@lysator.liu.se>

	* prefetch.el (lyskom-prefetch-membership-handler): Gör inte om
 	vektorn till en lista i onödan.
	(lyskom-prefetch-one-request): Skicka first-local oförändrat. Den
 	gjorde detta två gånger, vilket gjorde att man förlorade hälften
 	av de lokala textnumren.

	* view-text.el (lyskom-view-text): Använd en marker för att sätta
 	kom-first-line-face korrekt när kom-max-buffer-size används.

	* lyskom-rest.el (lyskom-trim-buffer): Sätt inhibit-read-only.

Sat Oct  5 14:58:44 1996  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-set-partial-window-configuration): Hantera
 	att fönster byter buffert på rätt sätt.

	* vars.el.in (lyskom-elisp-variables): Lade till
 	kom-customize-format.

	* swedish-strings.el (lyskom-customize-map): Flyttade hit
 	variabeln.
	(lyskom-custom-strings): Dito.
	(lyskom-commands): Lade till kom-customize.

	* prioritize.el (kom-prioritize): Använda
 	kom-dont-restore-window-after-prioritize

Thu Oct  3 09:49:37 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (lyskom-who-is-on-9): Hantera prefixargumentet - på
 	Rätt Sätt.

	* commands2.el (kom-set-unread): Sätt in sträng med \n på slutet.

	* startup.el (lyskom-clear-vars): Use lyskom-protect-environment.
	(kom-start-anew): Set lyskom-current-conf to nil.

	* compatibility.el: Flyttade kompatibilitetsfunktioner hit.

	* utilities.el: Flyttade kompatiibilitetsfunktioner till
 	compatibility.el.
	
	* macros.el: Dito

	* vars.el.in (lyskom-prefetch-limit): Sätt default till 10.

Thu Oct  3 01:30:03 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-binsearch-internal): Tro inte att två
 	element bara är ett.

	* Rensade bort referenser till lyskom-last-conf-*.

	* startup.el (lyskom-clear-vars): Gör lyskom-prefetch-in-action,
 	lyskom-prefetch-pending-prefetch, lyskom-pending-prefetch och
 	lyskom-prefetch-stack lokala.

	* vars.el.in (lyskom-last-conf-fetched): Tog bort.
	(lyskom-last-conf-received): Tog bort.
	(lyskom-prefetch-limit): Flyttade från prefetch.el.

	* prefetch.el (lyskom-prefetch-map-size): Tog bort
	(lyskom-prefetch-all-conf-texts): Kommenterade bort.
	(lyskom-prefetch-conf-texts): Kommenterade bort.

Wed Oct  2 16:41:53 1996  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (lyskom): Töm minibufferten.

	* lyskom-rest.el (lyskom-list-unread): Ny implementation.
	(lyskom-binsearch): Ny funktion.
	(lyskom-binsearch-internal): Ny funktion.

Wed Oct  2 16:37:31 1996  David Byers  <davby@sen2.ida.liu.se>

	* parse.el (lyskom-parse-bitstring): Mikrooptimeringar i
 	parse-koden för mindre consning och mindre bytekod.
	(Många funktioner) Testa inte TAB och RET som whitespace.

Tue Oct  1 15:27:12 1996  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-set-partial-window-configuration): Ny
 	funktion.
	(lyskom-reset-window-configuration-hook): Använd den.
	(buffer-live-p): Ny kompatibilitetsfunktion. Jag är trött på Emacs
 	19.28.

Mon Sep 30 11:03:07 1996  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): Lade
 	till formatkod för att få in tiden också.

	* lyskom-rest.el (lyskom-sentinel): Lade till current-time-string
 	i argumentlistan vid onormalt stäng session.

Mon Sep 30 01:25:23 1996  David Kågedal  <kg@infovav.se>

	* commands1.el (lyskom-quit): Ta bort rätt sak ur listorna.

	* startup.el (lyskom-mode): Stäng av undo-information och gör
 	KOM-bufferten skrivskyddad.

	* commands1.el (kom-list-clients): Använd strängen
 	total-visible-users.
	(lyskom-who-is-on-9): Använd rätt sträng på slutet.

Sun Sep 29 15:21:36 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-prefetch-all-confs): Gör ingenting...

	* view-text.el (lyskom-view-text): Prefetcha inläggsträdet.

	* startup.el (lyskom): Anropa lyskom-setup-prefetch.
	(lyskom-refetch): Anpassa till nya prefetchen.

	* prefetch.el (lyskom-inhibit-prefetch): Ny variabel.
	(lyskom-setup-prefetch): Sätt lyskom-membership-is-read till 0.
	(lyskom-prefetch-membership): ...istället för här.
	(lyskom-prefetch-map): Ta membership som parameter.
	(lyskom-prefetch-map-using-conf-stat): Dito.
	(lyskom-prefetch-all-conf-texts): Ny funktion (som inte används).
	(lyskom-prefetch-conf-texts): Dito.
	(lyskom-continue-prefetch): Använd lyskom-inibit-prefetch för att
 	förhindra rekursion.
	(lyskom-prefetch-one-item): Prefetcha alla texter när hela
 	medlemsskapslistan är inläst. Dett är dock bortkopplat just nu,
 	eftersom det strular.
	(lyskom-prefetch-one-request): Skicka med membership-argumentet
 	vid CONFSTATFORMAP och MAP.
	(lyskom-prefetch-membership-handler): Testa om medlemsskapet är
 	synligt.
	(lyskom-prefetch-confstatformap-handler): Ta och skicka
 	membership.
	(lyskom-prefetch-map-handler): Dito. Och gör inte listify-vector i
 	onödan. Uppdatera prompten.

	* lyskom-rest.el (lyskom-what-to-do): Nytt test för när
 	medlemskapet är inläst.
	(lyskom-prefetch-and-print-prompt): Gör ingen prefetch. Funktionen
 	borde byta namn, eller försvinna.
	(lyskom-prefetch-all-confs): Gör ingenting. Detta får "Lista
 	nyheter" att bete sig lite lustigt i inledningefasen.
	(lyskom-prefetch-all-confs): Använd nya prefetchen.
	(lyskom-prefetch-conf,lyskom-prefetch-done)
	(lyskom-prefetch-handle-conf,lyskom-prefetch-handle-map)
	(lyskom-conf-fetched-p,lyskom-prefetch-text)
	(lyskom-prefetch-from-rlist,lyskom-prefetch-from-list)
	(lyskom-prefetch-comment-stats): Bortkommenterade.

	* internal.el (lyskom-apply-handler,lysom-apply-multi-hander)
	(lyskom-apply-multi-list-handler): Bind inte inhibit-quit till
 	nil.

	* async.el (lyskom-add-new-text): Anpassad till nya prefetchen.

	* Makefile (PARTS-EL): La till prefetch.el

	* En hel del ändringar i prefetch-koden gjordes tidigare, men jag
 	skriver in den i ChangeLog nu.

Fri Sep 27 01:47:13 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-add-membership): Använd prefetch för att
 	hämta mappen istället.

Thu Sep 26 10:19:11 1996  David Byers  <davby@sen2.ida.liu.se>

	* option-edit.el (lyskom-widget-kbd-macro-action): Sätt buffert
 	via property istf hårdkodat namn.
	(lyskom-kbd-macro-widget): Sätt :macro-buffer propery på widgeten.

Thu Sep 26 00:08:32 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-end-of-command): Se till att de saker som
 	skrivs ut innan prompten börjar en ny rad.

	* services.el (blocking-do): Strunta i att fånga quit.

	* macros.el (def-kom-command): Fånga quit, och skriv ut "Kommandot
 	avbrutet".

	* parse.el (lyskom-parse-unparsed): Bind inte inhibit-quit till
 	nil.

	* lyskom-rest.el (lyskom-filter): Testa om quit-flag är satt när
 	funktionen avslutas, och sätt i så fall lyskom-quit-flag.

	* internal.el (lyskom-apply-handler): Bind inte inhibit-quit till
 	nil.
	(lyskom-apply-multi-handler): Dito.
	(lyskom-apply-multi-list-handler): Dito.

	* reading.el (lyskom-enter-map-in-to-do-list): Använd
 	lyskom-list-unread.

Wed Sep 25 13:32:48 1996  David Kågedal  <davidk@lysator.liu.se>

	* clienttypes.el (read-list-enter-read-info): Om mötet redan fanns
 	med i rlist, lägg till texterna på slutet i den read-infon
 	istället för att lägga till den nya read-infon separat.
	(read-info-append-text-list): Ny funktion.
	(read-info-enter-text-last): Ny funktion.
	(read-list-enter-text): Använd den.

Wed Sep 25 12:14:48 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el, swedish-strings.el (lyskom-strings): Använd
 	%C i the-command.

	* lyskom-rest.el (lyskom-format-aux-help): Hantera format-letter C
 	(för kommandon och kbd-macros.) Hantera format-letter S (för allt.)

	* macros.el (set-keymap-parent): Ny funktion.

	* review.el (lyskom-get-texts-globally): Hantera att eftersökt
 	inlägg inte finns.

Wed Sep 25 00:03:10 1996  David Kågedal  <kg@infovav.se>

	* english-strings.el,swedish-strings.el: Städade upp så att make
 	check inte klagar så mycket.

Tue Sep 24 13:23:40 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el (lyskom-strings): Fixade mismatchande
 	formatsträngar.

	* review.el (kom-review-next): Definiera med def-kom-command.
	(kom-review-clear): Dito.
	(kom-review-stack): Dito.
	(kom-review-last-normally-read): Dito.

	* prioritize.el (kom-prioritize-quit): Använd
 	lyskom-undisplay-buffer.
	(kom-prioritize): Använd lyskom-associate-buffer mfl.

	* edit-text.el (lyskom-dispatch-edit-text): Bufferthantering via
 	lyskom-display-bufffer och vänner. Använd lyskom-buffer, inte
 	lyskom-proc.
	(lyskom-edit-mode): Skapa inte lyskom-proc. Det görs av
 	lyskom-associate-buffer.
	(lyskom-dispatch-edit-text): Använd lyskom-buffer, inte
 	lyskom-proc.
	(lyskom-edit-insert-miscs): Dito.
	(lyskom-edit-send): Dito.
	(lyskom-edit-send): Dito.
	(lyskom-edit-send-check-recipients): Dito.
	(kom-edit-insert-text): Dito.
	(lyskom-edit-get-commented): Dito.
	(lyskom-edit-add-recipient/copy): Dito.
	(lyskom-create-text-handler): Dito.

Mon Sep 23 15:57:36 1996  David Byers  <davby@sen2.ida.liu.se>

	* parse.el (lyskom-parse-bitstring): Ny funktion.
	(lyskom-parse-conf-type): Skrev om så den använder
 	parse-bitstring.
	(lyskom-parse-privs): Dito.
	(lyskom-parse-flags): Dito.
	(lyskom-parse-session-flags): Dito.
	(lyskom-maybe-parse-1-or-0): Tog bort funktionen.

Sun Sep 22 11:00:58 1996  David Byers  <davby@sen2.ida.liu.se>

	* review.el (lyskom-last-review-by): Ny variabel.
	(lyskom-last-review-to): Dito.
	(lyskom-last-review-num): Dito.
	(lyskom-last-review-pmark): Dito.
	(lyskom-last-review-cmark): Dito.
	(lyskom-last-review-saved-result-list): Dito.
	(lyskom-last-review-saved-by-list): Dito.
	(lyskom-last-review-saved-to-list): Dito.
	(lyskom-last-review-saved-result-size): Dito.
	(lyskom-last-review-saved-smallest): Dito.
	(lyskom-last-review-saved-largest): Dito.
	(lyskom-have-review): Dito.

	* english-strings,swedish-strings.el (lyskom-strings): Lade till
 	review-more-info-by-to, no-review-done och review-how-many-more.

	* review.el (lyskom-get-texts-globally): Lade till parametern
 	again så man kan fortsätta återse.
	(lyskom-get-texts-by-and-to): Dito.
	(lyskom-get-texts-by): Dito.
	(lyskom-get-texts-to): Dito.
	(lyskom-review-by-to): Hämta inte conf-stattar för att skriva ut
 	vad man återser.
	(kom-review-more): Ny funktion.

Thu Sep 19 09:31:44 1996  David Byers  <davby@sen2.ida.liu.se>

	* completing-read.el (lyskom-complete-string): Fixade så man inte
 	får SPC i slutet av completion fullt så ofta.
	(lyskom-completing-use-dynamic-info): Ny variabel.
	(lyskom-completing-who-is-on): Använd
 	lyskom-completing-use-dynamic-info istf use-dynamic-info.
	(lyskom-read-conf-get-logins): Dito.

	* commands1.el (lyskom-add-member-by-no): Använd
 	blocking-do-multiple.
	(lyskom-try-add-member): Ändrade tillbaka (igen!) så man inte kan
 	bli passiv medlem när man adderas till ett möte.

	* utilities.el (lyskom-undisplay-buffer): Ny funktion.
	(lyskom-associate-buffer): Ny funktion.
	(lyskom-display-buffer): Ny funktion.
	(lyskom-protected-variables): Ny variabel
	(lyskom-default-symbol-value): Ny funktion

Mon Sep 16 16:02:23 1996  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (lyskom-protect-environment): Nytt makro.
	(lyskom-inherited-variables): Ny variabel.
	(lyskom-delete-frame-hook): Ny funktion.
	(lyskom-reset-window-configuration-hook): Ny funktion.

Sun Sep 15 19:44:43 1996  David Byers  <davby@sen15.ida.liu.se>

	* edit-text.el (lyskom-dispatch-edit-text): Gjorde så att
 	new-frame fungerar

Sat Sep 14 10:15:16 1996  David Byers  <davby@sen15.ida.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): Ändrade
 	nedre gräns i priority-q till 1.

	* lyskom-rest.el (lyskom-next-command): Hantera vektorer från
 	lyskom-what-to-do-when-done så man kan ha vektorer som innehåll i
 	kom-do-when-done.

Sun Sep  8 13:19:16 1996  David Byers  <davby@sen2.ida.liu.se>

	* vars.el.in (kom-permissive-completion): Gjorde `t' till
 	defaultvärde.

Fri Sep  6 10:39:56 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (lyskom-read-extended-command): Satte
 	EMPTY-parametern till `t', inte `nil' i
 	lyskom-read-extended-command.

Fri Sep  6 20:22:53 1996  David Kågedal  <kg@infovav.se>

	* completing-read.el (lyskom-completing-who-is-on): Kolla bara den
 	dynamiskt bundna use-dynamic-info om minibufferten används.

Thu Sep  5 23:04:33 1996  David Kågedal  <kg@infovav.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): La till
 	search-re.

	* commands1.el (kom-list-re): Hårdkoda inte prompten.

Wed Sep  4 22:58:19 1996  David Kågedal  <kg@infovav.se>

	* vars.el.in (lyskom-set-face-scheme): Kolla efter window-system
 	'win32.

Tue Sep  3 03:39:58 1996  David Kågedal  <kg@infovav.se>

	* completing-read.el (lyskom-completing-who-is-on): Använd
 	who-is-on-dynamic om den finns.
	(lyskom-read-conf-get-logins): Dito.
	(lyskom-session-from-conf): Dito.

	* startup.el (lyskom-clear-vars): Gör
 	kom-membership-default-priority buffertlokal.

	* commands1.el (lyskom-try-add-member): Tillåt prioritet 0 när man
 	går med i nya möten.

	* lyskom-rest.el (lyskom-filter): Sätt lyskom-is-parsing med en
 	let istället för med setq.

Mon Sep  2 08:47:36 1996  David Byers  <davby@sen2.ida.liu.se>

	* Version 0.44.1 släppt.
	
	* completing-read.el (lyskom-read-conf-internal): Returnera t för
 	'lambda vid lite fler tillfällen, hantera try-completion på det
 	sätt som C-koden säger att det skall fungera, inte som
 	info-manualen säger.

Sun Sep  1 09:48:07 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-buttons.el (lyskom-view-url-dired): Hantera ftp-URL
 	enligt RFC 1738.
	(lyskom-view-url-telnet): Hantera telnet-url enligt RFC.
	

Sat Aug 31 11:37:45 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (lyskom-get-string): Lade till assoc-list som
 	optional parameter.
	(lyskom-read-extended-command): Ny funktion.
	(kom-extended-command): Använd lyskom-read-extended-command.

	* commands2.el (kom-send-message): Sätt mustmatch så inte
 	oinloggade personer gör att man sänder allänna meddelanden.

Fri Aug 30 16:35:37 1996  David Kågedal  <davidk@lysator.liu.se>

	* Version 0.44 släppt.

Fri Aug 30 05:52:09 1996  David Kågedal  <kg@infovav.se>

	* slow.el: Ny fil.
	(kom-expand-slow-command): Använd lyskom-strings.

	* swedish-strings.el,english-strings.el (lyskom-strings): La till
 	no-such-command och command-completions.

Thu Aug 29 22:31:04 1996  David Kågedal  <kg@infovav.se>

	* deferred-insert.el (lyskom-replace-deferred): Försök inte
 	använda buffertens fönster om den inte syns i något fönster.

	* commands1.el (lyskom-insert-deferred-session-info): Hantera att
 	session-info blir nil. Inte så sannolikt, men det verkar ha hänt
 	Bellman.

Thu Aug 29 11:32:28 1996  David Byers  <davby@sen2.ida.liu.se>

	* utilities.el (rassq): Definiera med lyskom-provide-function.
	(rassoc): Dito.

Wed Aug 28 11:00:40 1996  David Kågedal  <kg@infovav.se>

	* commands2.el (lyskom-memb-received-1,lyskom-memb-received):
	Försök inte hämta för stora mappar.

Tue Aug 27 17:35:06 1996  David Kågedal  <kg@infovav.se>

	* view-text.el (lyskom-view-text): Sätt inhibit-read-only.

	* startup.el (lyskom): Använd lyskom-insert istället för insert.

	* lyskom-rest.el (lyskom-insert): Använd inhibit-read-only
 	istället för buffer-read-only.

Tue Aug 27 08:49:11 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (kom-quit): Fånga C-g.

	* swedish-strings.el, english-strings.el (lyskom-strings): Lade
 	till person-not-logged-in-r och no-such-session-r

	* macros.el: Lade till kommentarer.

	* edit-text.el (lyskom-edit-send-check-recipients): Flytta
 	markören till inläggshuvudet medan man frågar om mottagarna är
 	relevanta.

	* clienttypes.el (collector-push): Ny funktion.
	(set-value-of-collector): Ny funktion.
	(set-collector->value): Ny funktion.
	(collector->value): Ny funktion.
	(make-collector): Ny funktion.

	* review.el (lyskom-get-texts-by): Använd collectors istf skumma
 	kombinationer av initiate och cache-funktioner.

	* prioritize.el: Använd lyskom-wait-queue här.
	(lyskom-prioritize-handle-get-conf-stat): Använd
 	collector-strukturen istf en global variabel.

	* edit-text.el (lyskom-edit-send-check-recipients): Fixade bugen
 	som gjorde att man slapp skriva texter som var kommentarer till
 	många texter. (lyskom-edit-send-check-recipients): Använd
 	collector-strukturen istf dynamiska variabler.

Tue Aug 27 00:51:35 1996  David Kågedal  <kg@infovav.se>

	* startup.el (lyskom): Använd prefix-argumentet som startvärde på
 	lyskom-session-priority.

Mon Aug 26 13:04:07 1996  David Byers  <davby@sen2.ida.liu.se>

	* completing-read.el (lyskom-session-from-conf): Ny funktion.
	(lyskom-read-session-no): Omskriven att använda lyskom-read-conf.
	(lyskom-read-conf-internal): Hantera sessionsnummer.

	* vars.el.in (kom-permissive-completion): Ny variabel.
	(lyskom-elisp-variables): Lade till kom-permissive-completion.

	* commands2.el (kom-send-message): Använd
 	kom-permissive-completion för att styra lyskom-read-conf-no.

	* commands1.el (kom-status-session): Hantera prefixargument.

	* completing-read.el (lyskom-complete-string-next-char): Sätt
 	buffert så lyskom-unicase-char säkert fungerar.

Sat Aug 24 23:54:55 1996  Per Cederqvist  <ceder@lysator.liu.se>

	* flags.el (lyskom-read-options-eval): Use equal instead of = so
	that this doesn't fail on user-areas who don't have the "elisp"
	and/or "common" part.

Sat Aug 24 00:29:01 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-create-conf): Skriv ut bättre felmeddelanden.

Fri Aug 23 15:11:17 1996  David Kågedal  <kg@infovav.se>

	* review.el (kom-review-tree): Använd def-kom-command.
	(kom-find-root): Dito.

Fri Aug 23 00:39:03 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-view-text): Använd no-such-text-no istället
 	för no-such-text som felmeddelande när ett inlägg inte finns.

	* swedish-strings.el,english-strings.el (lyskom-strings): Sätt
 	ingen knapp på textnumret i no-such-text-no.

	* async.el (lyskom-parse-async): Ändra i cachen om ett namn har
 	ändrats.

Thu Aug 22 16:52:15 1996  David Kågedal  <davidk@lysator.liu.se>

	* utilities.el (lyskom-unicase): Byt buffert till rätt
 	KOM-buffert.

Thu Aug 22 08:50:20 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (lyskom-clear-vars): Lade till lyskom-collate-table
 	som buffertlokal variabel i väntan på serveranrop för att hämta
 	tabellen.

Wed Aug 21 09:52:47 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el, swedish-strings.el
 	(lyskom-missing-commands): Ny variabel
	(lyskom-mode-map): Bind b till lyskom-previous-prefix. Bind bl
 	till kom-previous-lyskom.

	* english-strings.el (lyskom-missing-strings): Ny konstant.
	(lyskom-strings): Fixade felstavning av "report", lade till
 	prioritize-help, change-type-prompt, filter-which-text,
 	enter-conf, your-priorities och andra som saknades.


	* completing-read.el (lyskom-complete-string-next-char): Använd
 	lyskom-unicase istf downcase.
	(lyskom-completing-cache-completion): Dito.
	(lyskom-completing-lookup-z-name): Dito.
	(lyskom-completing-member): Dito.

	* utilities.el (lyskom-collate-table): Ny variabel, tagen från
 	lyskomd-såsen. (lyskom-unicase): Ny funktion.
 	(lyskom-unicase-char): Ny funktion.

Tue Aug 20 10:11:11 1996  David Byers  <davby@sen2.ida.liu.se>

	* macros.el (match-string): Ny kompatibilitetsdefinition.
	(map-keymap): Definiera med lyskom-provide-macro.
	(lyskom-provide-function): Definiera med lyskom-provide.
 	(lyskom-provide-subst): Nytt makro, definierat med lyskom-provide.
 	(facep): Definiera med lyskom-provide-function. (internal-facep):
 	Definiera med lyskom-provide-subst. (lyskom-provide): Ny funktion.

	* startup.el (lyskom): Lade in ;;;###autoload före.

Mon Aug 19 15:10:50 1996  David Byers  <davby@sen2.ida.liu.se>

	* vars.el.in (lyskom-view-text-hook): Ny variabel.

	* view-text.el (lyskom-view-text): Anropa lyskom-view-text-hook

	* macros.el (lyskom-provide-macro): Nytt makro
	(lyskom-provide-function): Nytt makro
	(byte-code-function-p): Definiera med lyskom-provide-macro
	(save-selected-window): Definiera med lyskom-provide-macro

Thu Aug 15 21:15:10 1996  David Kågedal  <davidk@lysator.liu.se>

	* Version 0.43.2 släppt.

	* startup.el (lyskom): Återanvänd inte levande sessioner.

Thu Aug 15 10:08:21 1996  David Byers  <davby@sen2.ida.liu.se>

	* completing-read.el (lyskom-complete-string): Kanske lite
 	smartare expansion av strängar (mindre oönskade SPC i slutet av
 	expansionen.) Backa markören till position för första mismatch.
 	Expandera strängar med "Foofum X, Foobar (b) X" rätt.

Wed Aug 14 17:03:17 1996  David Kågedal  <davidk@lysator.liu.se>

	* Version 0.43.1 släppt.
	
	* lyskom-rest.el (lyskom-update-prompt): Testa
 	lyskom-dont-change-prompt, om det redan fanns en prompt.

	* Version 0.43 släppt.

	* lyskom-rest.el (lyskom-update-prompt): Testa inte
 	lyskom-dont-change-prompt här.

Wed Aug 14 13:19:06 1996  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): Lade
 	till send-empty-message-p

	* vars.el.in (lyskom-send-message-setup-hook): Ny variabel.
	(lyskom-send-message-exit-hook): Ny variabel.
	(lyskom-send-message-hook): Nu variabel.

	* commands2.el (lyskom-send-message): Anropa
 	lyskom-send-message-setup-hook före läsning av meddelande och
 	lyskom-send-message-exit-hook efteråt, Bytte variabelnamn,
 	omstrukturerade funktionen, anropa lyskom-send-message-hook.
	(lyskom-send-message-auto-fill): Ny funktion.
	(lyskom-send-message-resize-minibuffer): Ny funktion.
	(lyskom-send-message-turn-off-resize-on-exit): Ny funktion.

Wed Aug 14 03:54:34 1996  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Försök inte
 	lägga till Anonym person som mottagare.

Tue Aug 13 14:58:55 1996  David Byers  <davby@sen2.ida.liu.se>

	* vars.el.in (lyskom-after-load-hook): Bytte namn från
 	kom-after-load-hook. Gjorde om till användarvariabel.

Tue Aug 13 00:01:46 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): La till
 	start-new-session-same-server och new-session-in-buffer.

	* startup.el (lyskom): Kolla om bufferten fanns.

	* lyskom-rest.el (lyskom-prefetch-from-list): Använd kön 'prefetch
 	som kö istället för 'background.
	(lyskom-prefetch-comment-stats): Dito.

Mon Aug 12 00:40:50 1996  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (lyskom-clear-vars): Gjorde några server-flaggor
 	buffertlokala.

	* lyskom-rest.el: Sätt prioriteter för några köer.

	* internal.el (lyskom-set-queue-priority): Ny funktion.
	(lyskom-queue-priority): Ny funktion.

	* cache.el: Skrev en ny implemetation av cachen, men den är
 	utkommenterad tills vidare.

	* services.el (z-initiate-get-map): En variant som delar upp
 	frågan i mindre bitar. Inte riktigt säkert att den fungerar i alla
 	fall. Borde skrivas om med lyskom-fake-call.
	(lyskom-receive-partial-map): Ny funktion.

	* vars.el.in (lyskom-output-queues): Ersatte lyskom-output-queue.

	* parse.el (lyskom-parse-success): Använd assq.
	(lyskom-parse-error): Dito.

Sun Aug 11 22:16:33 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-strings): Gjorde
 	så att total-users innehåller "aktiva".

Sun Aug 11 12:32:14 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands2.el (kom-set-garb-nice): Sätt MUSTMATCH till t i anrop
 	till lyskom-read-conf-stat.
	(kom-set-permitted-submitters): Dito.
	(kom-set-super-conf): Dito.

	* commands1.el (kom-review-presentation): Sätt MUSTMATCH till t i
 	anrop till lyskom-read-conf-stat.
	(kom-add-member): Dito.
	(kom-sub-member): Dito.
	(kom-sub-self): Dito.
	(kom-unset-conf-motd): Dito.
	(kom-change-name): Dito.
	(kom-change-supervisor): Dito.
	(lyskom-add-sub-recipient): Dito.

Sat Aug 10 12:24:22 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (lyskom-status-session-9): Snyggare utskrivt av
 	idletid. Skriv inte ut idletid om klienten inte har skickat
 	user-active. (lyskom-format-secs-aux): Ny funktion.
	(lyskom-format-secs): Ny funktion.

	* english-strings.el, swedish-strings.el (lyskom-strings): Lade till
 	session-is-active.

	* komtypes.el (def-komtype): Fixade buggen som gjorde att
 	def-komtype var obra genom att returnera en progn med defsubstarna
 	i istf att evaluera defsubstarna.

	* vars.el.in (lyskom-server-features): Lägg in information om
 	protokollversion för servrar med version lägre än 1.7.0
	(lyskom-server-features): Lade in lyskom-dynamic-session-info-flag
 	och lyskom-idle-time-flag. (lyskom-dynamic-session-info-flag): Ny
 	variabel. (lyskom-idle-time-flag): Ny variabel.
	
	* startup.el (lyskom-setup-client-check-version): Hantera
 	relationen "<".

	* english-strings.el (lyskom-strings): Lade till
 	session-status-inactive, session-status-9,
 	session-status-invisible

	* swedish-strings.el (lyskom-strings): Lade till
 	session-status-inactive, byggde om session-status-9

	* commands1.el (lyskom-status-session-9): Snyggare utskrift om
 	användaren inte är idle. (lyskom-who-is-on-9): Hantera
 	kom-idle-hide som inte är en siffra. Hantera prefixargumentet -
 	som man får om man trycker C-u - 0 v (kom-who-is-on): Testa
 	lyskom-dynamic-session-info-flag istf protokollversion.
	(kom-status-session): Dito.

	* lyskom-rest.el (lyskom-end-of-command): Testa på
 	lyskom-idle-time-flag istf protokollversion.

	* services.el (initiate-lookup-z-name): Använd lookup-name om
 	servern inte klarar lookup-z-name.
	(initiate-compat-lookup-z-name-2): Ny funktion.
	(initiate-compat-lookup-z-name-3): Ny funktion.

	* internal.el (lyskom-complete-call): Ny funktion.
	(lyskom-fake-call): Ny funktion.

Sat Aug 10 04:30:43 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-send-letter): Flyttade ett anrop till
 	cache-del-conf-stat.
	
	* swedish-strings.el (lyskom-commands): La till "Flytta text".

	* lyskom-rest.el (lyskom-what-to-do-when-done): Hantera en trasig
 	kom-when-do-when-done en aning snyggare.

	* commands1.el (kom-sub-recipient): Använd def-kom-command.
	(lyskom-add-sub-recipient): Skrev om för att sköta flyttning
 	också.
	(kom-move-text): Nytt kommando.

Fri Aug  9 01:18:34 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-who-is-on): Skriv ut felmeddelande om det inte
 	fanns några inloggade.
	(lyskom-who-is-on-9): Signalera om det inte fanns några inloggade.

	* swedish-strings.el,english-strings (lyskom-strings): La till
 	null-who-info.

	* vars.el.in (kom-idle-hide): Ny variabel.

	* commands1.el (lyskom-combine-username): Hantera username utan
 	"%".
	(lyskom-insert-deferred-session-info): Ny funktion.
	(lyskom-who-is-on-9): Fördröj utskrifter av static-session-info.

	* swedish-strings.el (lyskom-parse-command-and-execute): Bort med
 	swascii och lite kosmetiska fixar.
	(kom-expand-slow-command): Ny funktion.
	(kom-parse-command-and-execute): Bytte namn från
 	lyskom-parse-command-and-execute.
	(lyskom-get-entered-slow-command): Ny funktion.
	(kom-expand-slow-or-next-command): Ny funktion.

Thu Aug  8 12:33:03 1996  David Byers  <davby@sen2.ida.liu.se>

	* flags.el (lyskom-Edit-options-modify): Anropa modfun *en* gång.

	* english-strings.el, swedish-strings.el (lyskom-strings): Lade
 	till no-changes.

	* flags.el (kom-edit-options-send): Bugga inte ur om inga
 	ändringar har gjorts genom att sätta bufferten rätt. Fixade en
 	kosmesisk bug som dök upp när den riktiga blev rättad.

Thu Aug  8 00:04:41 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-combine-username): Ny funktion.

	* services.el (initiate-get-static-session-info): Använd cache.

	* cache.el (cache-get-static-session-info): Ny funktion.
	(cache-add-static-session-info): Ny funktion.
	(cache-del-static-session-info): Ny funktion.

	* vars.el.in (lyskom-static-session-info-cache): Ny variabel.

	* deferred-insert.el (lyskom-replace-deferred): Använd en sparad
 	kopia av lyskom-last-viewed.

	* swedish-strings.el (lyskom-strings): Införde session-status-9
 	och session-is-invisible.

	* commands1.el (lyskom-who-is-on-8): Gamla kom-who-is-on.
	(kom-who-is-on): Numera en dispatcher till de riktiga
 	funktionerna.
	(lyskom-who-is-on-9): Ny funktion.
	(lyskom-status-session-8): Bytte namn från
 	lyskom-status-session-2.
	(lyskom-status-session-9): Ny funktion.

	* swedish-strings.el (lyskom-strings): La till who-is-active,
 	who-is-active-last-minutes och showing-invisibles.

	* english-strings.el (lyskom-strings): Dito.

	* komtypes.el (def-komtype): Nytt makro. Det kommer att flyttas
 	till macros.el senare.
	(session-flags): Ny typ.
	(dynamic-session-info): Ny typ.
	(static-session-info): Ny typ.

	* parse.el (lyskom-parse-session-flags): Ny funktion.
	(lyskom-parse-dynamic-session-info): Ny funktion.
	(lyskom-parse-dynamic-session-info-list): Ny funktion.

	* services.el (initiate-who-is-on-dynamic): Ny funktion.
	(initiate-get-static-session-info): Ny funktion.

	* lyskom-rest.el (lyskom-update-prompt): Kolla om
 	lyskom-executing-command är satt.

Wed Aug  7 20:35:59 1996  David Kågedal  <davidk@lysator.liu.se>

	* Makefile: Förbättrade ännu mer.

	* swedish-strings.el: Tog bort bindningar av M-e etc.

	* lyskom-rest.el (lyskom-insert-before-prompt): recenter buggade
 	ur om minibufferten var aktiv.

	* Släppte 0.42
	
Tue Aug  6 23:32:48 1996  David Kågedal  <davidk@lysator.liu.se>

	* Jag gick igenom och uppdaterade Copyright-årtal och GPL-version
 	i alla filerna, genom att använda M-x copyright-update.

	* Makefile: Rensade bort lite gammalt skräp.

Mon Aug  5 02:16:04 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-update-prompt): Testa
 	lyskom-dont-change-prompt.

Sun Aug  4 12:51:38 1996  David Byers  <davby@sen2.ida.liu.se>

	* services.el (initiate-query-async): Ny funktion.
	
	* services.el (initiate-accept-async): Ny funktion.

	* parse.el (lyskom-parse-number-array): Ny funktion.

Fri Aug  2 00:00:23 1996  David Kågedal  <davidk@lysator.liu.se>

	* services.el (initiate-user-active): Ny funktion.

	* lyskom-rest.el (lyskom-start-of-command): Kolla om sessionen är
 	död.
	(lyskom-update-prompt): Se till att point hamnar rätt.
	(lyskom-update-prompt): Hantera tom prompt på ett bättre sätt.
	(lyskom-end-of-command): Skicka user-active om protokollversionen
 	är minst 9.

	* english-strings.el, swedish-strings.el (lyskom-strings): La till
 	dead-session.

	* lyskom-rest.el (lyskom-sentinel): Gör inte lyskom-clear-vars.

	* commands1.el (lyskom-quit): Dito.
	
	* lyskom-rest.el (lyskom-update-prompt): Ersatte
 	lyskom-print-prompt, och fick en omskrivning, så att den inte
 	uppdaterar prompten om det inte behövs.
	(lyskom-start-of-command): Justerad därefter.
	(lyskom-end-of-command): Dito.

	* vars.el.in (lyskom-current-prompt): Ersatte lyskom-no-prompt.

	* lyskom-rest.el (lyskom-prefetch-and-print-prompt): Justerad
 	därefter.
	
	* startup.el (lyskom-clear-vars): Dito.

	* lyskom-rest.el (lyskom-update-prompt): Bytte namn från
 	lyskom-print-prompt.
	(lyskom-prefetch-and-print-prompt): Justerad därefter.

	* async.el (lyskom-default-new-text-hook): Ta inte bort
 	prompten. Låt lyskom-update-prompt göra det själv istället.

Thu Aug  1 22:33:32 1996  David Kågedal  <davidk@lysator.liu.se>

	* async.el (lyskom-default-new-text-hook): Använd
 	inhibit-read-only istället för buffer-read-only.
	(lyskom-default-new-text-hook): Gör inte (lyskom-run 'async ...)

	* lyskom-rest.el (lyskom-insert-before-prompt): Skrev om.
	(kom-page-next-command): Hoppa till slutet först, om det syns.

Wed Jul 31 10:11:01 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands2.el (kom-sync-database): Tillåt inte operationen om
 	serverversionen är 1.8 eller äldre.

Tue Jul 30 10:06:00 1996  David Byers  <davby@sen2.ida.liu.se>

	* filter.el (kom-filter-text): Sätt point före initialt innehåll
 	när man frågar efter möte. (kom-filter-subject): Dito.
 	(kom-filter-author): Dito för både författare och möte.

Mon Jul 29 11:14:55 1996  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-error-texts): Lade
 	till strängar för felkoderna 43-47.

Mon Jul 29 04:30:11 1996  David Kågedal  <davidk@lysator.liu.se>

	* completing-read.el (lyskom-read-conf-no): Hantera även en
 	conf-stat.
	(lyskom-read-conf-stat): Dito.	
	(lyskom-read-conf-name): Dito.

	* edit-text.el (lyskom-edit-send): Tog bort (interactive).

Sat Jul 27 00:32:54 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (kom-next-kom,kom-previous-kom): Ta bort döda
 	buffertar ur lyskom-sessions-with-unread(-letters).
	(kom-next-unread-kom): Använd lyskom-buffer istället för
 	lyskom-proc.

	* lyskom-rest.el (lyskom-set-mode-line): Använd lyskom-buffer
 	istället för lyskom-proc i lyskom-sessions-with-unread(-letters).

	* commands2.el (kom-next-unread-kom): Fungerade inte om
 	current-buffer inte var en LysKOM-buffert, och det inte fanns
 	några olästa.

Fri Jul 26 12:27:37 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (kom-start-anew): Hantera att
 	lyskom-lookup-conf-by-name returnerar conf-z-info.

	* english-strings.el,swedish-strings.el (lyskom-strings): Lade
 	till unknown-doing-what.

	* commands1.el (lyskom-status-session-2): Snyggare utskrift om
 	doing-what är tom sträng.

	* completing-read.el (lyskom-read-conf-internal-verify-type): Ny
 	semantik för x-list parametern. Den skall vara en lista, inte en
 	conf-info-list.
	(lyskom-completing-cache-completion): Ny funktion.
	(lyskom-read-conf-no): Hantera conf-z-info istf conf-stat internt.
	(lyskom-read-conf-stat): Dito.
	(lyskom-read-conf-name): Dito.
	(lyskom-read-conf-name): Dito, samt returnera conf-z-info.
	(lyskom-lookup-conf-by-name): Returnera conf-z-info.
	(lyskom-read-conf-internal): Använd conf-z-info istf conf-stat
 	internt. Cacha expansionen av strängar för att undvika extra
 	uppslagningar.
	(lyskom-completing-lookup-z-name): Ersätter
 	lyskom-completing-lookup-name.
	(lyskom-read-session-internal): Hantera conf-z-info från
 	lyskom-read-conf-internal.

	* lyskom-rest.el (lyskom-format-object): Lade in stöd för
 	formattering av t och nil som boolean.

	* komtypes.el (lyskom-create-version-info): Ny funktion
	(version-info->protocol-version): Ny funktion.
	(version-info->server-software): Ny funktion.
	(version-info->software-version): Ny funktion.

	* parse.el (lyskom-parse-version-info): Ny funktion.

	* services.el (initiate-lookup-z-name): Ny funktion.
	(initiate-get-version-info): Ny funktion.

	* vars.el.in (lyskom-dont-debug-what-i-am-doing): Ny variabel.

	* lyskom-rest.el (lyskom-filter): Option att inte logga
 	what-i-am-doing-meddelanden.

Thu Jul 25 11:35:36 1996  David Byers  <davby@sen2.ida.liu.se>

	* completing-read.el (lyskom-read-conf-internal): Säkrare
 	hantering av C-g. (lyskom-read-conf-internal): Hantera tomma
 	strängen med några specialfall. (lyskom-complete-string): Total
 	omskrivning för att få den lite korrektare.

	* edit-text.el (lyskom-edit-send-check-recipients): Säkrare
 	hantering av C-g vid mottagarkontroll.

Thu Jul 25 03:01:52 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el (lyskom-strings): Gjorde om mellanslagen runt
 	mode-line-unread och mode-line-letters.

	* english-strings.el (lyskom-strings): Dito.

	* lyskom-rest.el (lyskom-set-mode-line): Flyttade en parentes,
 	vilket helt plötsligt fick lyskom-sessions-with-unread att börja
 	fungera.

	* commands1.el (lyskom-quit): Saknades ett -letters.

	* review.el (kom-review-last-normally-read): Bytte reverse mot
 	nreverse.

	* vars.el.in (kom-bury-buffers): Ny variabel
	(lyskom-elisp-variables): La till den.

	* commands2.el (lyskom-update-lyskom-buffer-list): Kommenterade
 	bort.
	(kom-next-kom, kom-previous-kom): Skrev om.

	* startup.el (lyskom-clear-vars): Gjorde
 	lyskom-normally-read-texts lokal. Lägg till lysikom-buffer till
 	lyskom-buffer-list.

Wed Jul 24 17:44:59 1996  David Byers  <davby@sen2.ida.liu.se>

	* internal.el (lyskom-apply-handler): Gör let på inhibit-quit isället.
	(lyskom-apply-multi-list-handler): Dito.
	(lyskom-apply-multi-handler): Dito.

	* services.el (blocking-do): Testa quit-flag också. Vid vissa
 	tillfällen kommer inhibit-quit att vara satt av någon anledning.
 	(lyskom-wait-queue): Dito.

Tue Jul 23 11:28:29 1996  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Skrev om till
 	att använda query-read-texts istf get-membership.

	* flags.el (lyskom-Edit-options-modify): Ny funktion.
	(kom-edit-options): Byt ut Edit-options-modify mot
 	lyskom-Edit-options-modify så att den hanterar buffertlokala
 	variabler lite bättre. Denna patch är dock helt beroende av
 	implementationen av edit-options och fungerar kanske inte så bra i
 	alla emacsversioner.

	* filter-edit.el (lyskom-filter-edit-save): Spara ändringarna i
 	rätt buffert så inte buffertlokala variabler skrivs över med nil
 	eller defaultvärden.

Mon Jul 22 14:10:51 1996  David Byers  <davby@sen2.ida.liu.se>

	* async.el (lyskom-default-new-text-hook): Eventuellt är
 	scrollning till botten vid promptbyte eliminerad.

	* vars.el.in (lyskom-noadmin-removed-commands): Lade till
 	kom-sync-database.

	* swedish-strings.el (lyskom-strings): Lade till syncing-database
 	och really-sync

	* commands2.el (kom-sync-database): Ny funktion

	* services.el (initiate-sync): Ny funktion.

	* lyskom-rest.el: Tog bort kom-dict och relaterade funktioner.
 	Removes lyskom-put-back-on-to-do-list Removed lyskom-return-time.
	(lyskom-insert-before-prompt): Inlajnade
 	lyskom-do-insert-before-prompt

	* commands2.el (kom-shutdown-server): Gör def-kom-command, använd
 	blocking-do.

	* lyskom-rest.el (j-or-n-p): Hantera C-g även om read-char normalt
 	inte kan läsa C-g. Hantera C-l också.
	Tog bort lyskom-handle-command-answer.

	* commands2.el (kom-change-conf-type): Hantera ändra mötestyp på
 	personer. Spara de flaggor som inte explicit sätts av funktionen.
 	Visa aktuell mötestyp innan frågorna ställs. Använd
 	lyskom-j-or-n-p för att ställa frågorna.

Fri Jul 19 18:29:41 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-follow-comments): Det stod comments på ett
 	stället där det skulle ha stått footnotes.

Thu Jul 18 10:53:36 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-status-session): Ny kod från David.

	* view-text.el (lyskom-follow-comments): Försökte läsa hemliga
 	kommentarer om kom-follow-comments-outside-membership var t.
  	Gjorde om försöket att få fotnoter att läsas först om
 	kom-show-footnotes-immediately är nil. Förhoppningsvis lyckades
 	det den här gången (Jag tjuvkikade på 0.38.2).

Thu Jul 18 10:18:13 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (lyskom-format-conf-type): Bugfix (det fungerade
 	helt enkelt inte).

Wed Jul 17 11:35:10 1996  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el (lyskom-edit-send-check-recipients): Kontroll av
 	mottagare hoppar över kommenterade författare om deras brevlådor
 	är mottagare och hoppar även över lyskom-pers-no (man ser ju
 	alltid texter man skriver själv.) Detta gör att det går snabbare
 	att skicka personliga svar.

Wed Jul 17 01:07:40 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-follow-comments): Försökte fixa så att
 	fotnoter får läsas först om kom-show-footnotes-immediately är nil.

Tue Jul 16 10:25:47 1996  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el (lyskom-strings): Bytte \345 -> \344 på en
 	del håll. Bytte \345 -> \366 på en del andra.

	* commands1.el (kom-delete-conf): Sätt mustmatch till t i anropet
 	till lyskom-read-conf-stat.

	* swedish-strings.el,english-strings.el (lyskom-strings): Lade
 	till saving-settings-done, ändrade saving-settings.
	(lyskom-commands): Lade till kom-save-options.

	* flags.el (kom-save-options): Nytt kommando.

	* commands2.el (kom-send-message): Bugfix: sända allmänt
 	meddelande fungerar igen.

Mon Jul 15 12:14:26 1996  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el (lyskom-edit-add-recipient/copy): Kräv match vid
 	läsning av möte.

	* parse.el (lyskom-parse-conf-type): Korrigera hanteringen av
 	korta conf-types. Den satte in 'space på femte bitten...

	* lyskom-rest.el (lyskom-format-conf-type): Formattera långa
 	conf-types enbart om server klarar sådana.

	* services.el (initiate-set-last-read-2): Ny funktion.
	(initiate-set-last-read): Fungerar även med servrar som inte kan
 	set-last-read.

	* review.el (lyskom-review-by-to): Ställ markören före mötesnamnet
 	när man frågar till vilket möte.

	* startup.el (lyskom-setup-client-check-version): Ny funktion.

	* vars.el.in (lyskom-server-features): Ny variabel.
	(lyskom-server-supports): Ny variabel.
	(lyskom-long-conf-types-flag): Ny variabel
	(lyskom-set-last-read-flag): Ny variabel
	(lyskom-uconf-stats-flag): Ny variabel
	(lyskom-z-lookup-flag): Ny variabel
	(lyskom-accept-async-flag): Ny variabel

	* startup.el (lyskom-clear-vars): Gör lyskom-server-supports,
 	diverse flaggor och lyskom-server-version buffertlokala. (lyskom):
 	Anropa lyskom-setup-client-for-server-version.
	(lyskom-setup-client-for-server-version): Ny funktion.

	* vars.el.in (lyskom-server-version): Lade till
 	lyskom-server-version.

	* startup.el (lyskom): Tilldela lyskom-server-version så andra
 	funktioner kan få information om serverversionen på ett enkelt
 	sätt.

Sun Jul 14 13:55:53 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (j-or-n-p): Lade till parametern quittable (C-g
 	avbryter och signalerar quit)
	(lyskom-ja-or-nej-p): Gör inte lyskom-end-of-command vid quit.
	(lyskom-j-or-n-p): Gör inte lyskom-end-of-command vid quit; ny
 	parameter quittable.

	* vars.el.in: Lade till kom-check-commented-author-membership.

	* completing-read.el (lyskom-read-conf-internal): Hantera att case
 	inte spelar någon roll i strängar (så tex "lysator" ger en exakt
 	match.) (lyskom-completing-member): Ny funktion för att leta
 	strängar i listor.

	* commands1.el (lyskom-comment-recipients): Konfirmera multipla
 	mottagare bara om kom-confirm-multiple-recipients är before.

	* swedish-strings.el, english-strings.el (lyskom-strings): Lade
 	till comment-all-relevant-p.

	* completing-read.el (lyskom-read-conf-internal-verify-type):
 	Fixade så inte ingen match accepterades som conf.
	(lyskom-lookup-conf-by-name): Specialhantering av tomma strängen.
	(lyskom-read-conf-internal): Returnera rätt conf-stat om strängen
 	matchar prefix på någon conf och hela namnet på någon annan.

Fri Jul 12 17:11:52 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (kom-status-session): Ny funktion. Se även
 	lyskom-status-session och lyskom-status-session-2

	* english-strings.el,swedish-strings.el (lyskom-strings): Lade
 	till strängar för sessionsstatus. Lade till Status för session
 	till kommandona.

	* completing-read.el (lyskom-read-session-no): Definiera
 	lyskom-blocking-process; det fungerar inte alls annars.

	* ChangeLog: Saknar motivation att skrica lic. Formatterate därför
 	istället om mina gamla, felformatterade ChangeLog-entries.

Wed Jul 10 12:39:47 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (kom-start-anew): Patch so sojge kan slippa se lappar
 	på dörren. Markerad med +++SOJGE.

Mon Jul  8 10:37:48 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (lyskom-clear-vars): Gjorde fler variabler
 	buffertlokala.

	* lyskom-rest.el (lyskom-modify-prompt): Använd kom-prompt-format.

	* commands2.el (kom-who-am-i): Lade till kom-who-am-i

	* vars.el.in (lyskom-login-hook): Defvarade denna.
	(kom-login-hook): Uppdaterade dokumentationen.

	* startup.el (kom-start-anew): Bytte ordningen mellan
 	kom-login-hook och lyskom-login-hook.

	* filter.el (kom-super-jump): Väljer mottagare att filtrera som
 	aktuellt möte om inlägget har aktuellt möte som mottagare, annars
 	inläggets första mottagare.

	* english-strings.el, swedish-strings.el (lyskom-strings): Lade
 	till no-recipient.

Thu Jul  4 23:45:48 1996  David Kågedal  <davidk@lysator.liu.se>

	* vars.el.in (kom-follow-comments-outside-membership): Ny
 	variabel.
	(lyskom-elisp-variables): La till den.

	* view-text.el: Använd den.

Thu Jul  4 14:10:36 1996  David Byers  <davby@sen2.ida.liu.se>

	* completing-read.el: Totalt omskriven. Större, kanske
 	långsammare, men jag vet hur den fungerar nu.
	(lyskom-read-conf-no): Ny betydelse av PREDICATE-parametern.
	(lyskom-read-conf-stat): Ny parameterlista (nytt PREDICATE,
 	MUSTMATCH tillagt.)
	(lyskom-read-conf-name): Nu parameterlista. Ny ordning, lagt till
 	EMPTY-parametern.
	(lyskom-read-conf-internal): Ny funktion som gör allt jobb.
	(lyskom-read-conf-name-internal): Utbytt mot
 	lyskom-read-conf-internal.
	(lyskom-read-conf-get-logins, lyskom-read-conf-expand-specials,
 	lyskom-read-conf-lookup-specials, lyskom-lookup-conf-by-name,
 	lyskom-complete-collect, lyskom-read-conf-internal-verify-type,
 	lyskom-complete-string, lyskom-complete-string-up-level,
 	lyskom-complete-string-skip-parens-backup-others,
 	lyskom-complete-string-skip-parens-2,
 	lyskom-complete-string-next-word,
 	lyskom-complete-string-reset-position): Nya funktioner.


	* startup.el (kom-start-anew): Ändrade predicate-parametern till
 	lyskom-read-conf-nånting. Använd lyskom-lookup-conf-by-name.

	* review.el (lyskom-review-by-to): Ändrade predicate-parametern
 	till lyskom-read-conf-nånting.

	* commands2.el (kom-status-conf, kom-status-person,
 	kom-send-message, kom-set-garb-nice, kom-set-permitted-submitters,
 	kom-set-super-conf, kom-change-conf-type): Ändrade
 	predicate-parametern till lyskom-read-conf-nånting.

	* edit-text.el (lyskom-edit-add-recipient/copy): Ändrade
 	predicate-parametern till lyskom-read-conf-nånting.

	* filter.el (kom-filter-subject, kom-filter-author,
 	kom-filter-text): Ändrade predicate-parametern till
 	lyskom-read-conf-nånting.
	
	* commands1.el (kom-delete-conf, kom-review-presentation,
 	kom-send-letter, kom-add-member, kom-add-self, kom-sub-member,
 	kom-sub-self, kom-change-presentation, kom-change-conf-motd,
 	kom-unset-conf-motd, kom-go-to-conf, kom-change-name,
 	kom-change-supervisor, kom-change-password,
 	lyskom-add-sub-recipient): Ändrade predicate-parametern till
 	lyskom-read-conf-nånting.

	* startup.el (kom-start-anew): Anropa lyskom-login-hook oxo. Den
 	sparas *inte* i servern.

	* vars.el.in (lyskom-text-buttons): Ny definition av regexpen för
 	textnummer.

Tue Jul  2 09:14:53 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-prefetch-comment-stats): Ny funktion.

Sun Jun 23 02:16:23 1996  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (lyskom): Anropa lyskom-setup-faces

	* vars.el.in (lyskom-setup-faces): Ny funktion.

	* edit-text.el (lyskom-edit-parse-headers): Kör
 	lyskom-swascii-header-subject genom regexp-quote innan matchning.

Sat Jun 22 17:15:53 1996  David Byers  <davby@sen2.ida.liu.se>

	* ansaphone.el (lyskom-ansaphone-message-handler): Spara
 	meddelanden enbart om kom-ansaphone-record-messages är icke-nil
 	(request från Tommy Persson). Visa inte alltid meddelanden som
 	spelas in.

	* vars.el.in (lyskom-elisp-variables): Lade till
 	kom-ansaphone-record-messages och kom-ansaphone-show-messages.
	(kom-ansaphone-record-messages): Ny variabel.
	(kom-ansaphone-show-messages): Nu variabel.

Thu Jun 20 01:08:00 1996  David Kågedal  <davidk@lysator.liu.se>

	* async.el (lyskom-show-logged-in-person): Hantera hemliga
	personer.
	(lyskom-show-logged-out-person): Dito.

Tue Jun 11 09:25:24 1996  David Byers  <davby@sen2.ida.liu.se>

	* parse.el (lyskom-parse-conf-type): Hanterar Any-Conf-Type.
	(lyskom-maybe-parse-1-or-0): Ny funktion.

	* english-strings.el,swedish-strings.el (lyskom-strings): Lade
 	till anonymous-allowed.

	* commands1.el (kom-create-conf): Fråga om man får skriva anonyma
 	texter.

	* komtypes.el (conf-type->anarchy): Ny funktion.
	(lyskom-create-conf-type): Hantera anarkibiten.
	(conf-type->rsv1): Ny funktion.
	(conf-type->rsv2): Ny funktion.
	(conf-type->rsv3): Ny funktion.

	* lyskom-rest.el (lyskom-format-conf-type): Skicka alltid
 	extended-conf-type till servern.

	* commands2.el (kom-change-conf-type): Fråga om man får skriva
 	anonyma texter.

Thu Jun  6 02:59:01 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el (lyskom-strings): La till kolon på några
 	frågor.

	* startup.el (kom-start-anew): Anropa clear-all-caches.

	* cache.el (cache-clear): Ny funktion.
	(cache-add,cache-del): Bytte namn på lokala variabler.
	(clear-all-caches): Ny funktion.
	(cache-create): Ny funktion.

Wed May 29 13:10:54 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-read-number): Lägg till ett mellanslag
	även när det inte finns något defaultvärde.

	* commands1.el (kom-delete-text): Använd zerop.

Mon May 27 10:39:06 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (lyskom): Sätt face-scheme här och inte i vars.el

	* vars.el.in: Ta bort sättning av face-scheme

Sun May 26 03:01:01 1996  David Kågedal  <davidk@lysator.liu.se>

	* swedish-strings.el (lyskom-strings): La in en radbrytning i
 	message-from-to.

	* english-strings.el (lyskom-strings): Dito.

Fri May 24 03:24:37 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (kom-send-message): Skriv ut vart meddelandet
 	skickas.

Wed May 22 16:56:49 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (lyskom-clear-vars): Gör
 	kom-friends,kom-permanent-filter-list, kom-session-filter-list
 	buffertlokala


Wed May 22 06:27:46 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (lyskom-update-lyskom-buffer-list): Satte in nya
	buffertar på fel ställe ibland.

Tue May 21 23:45:56 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (kom-status-conf): Fråga om medlemslistan ska vara
	snabb eller fullständig (ungefär).

	* swedish-strings.el (lyskom-strings): La till strängen
 	show-membership-info-q.

Mon May 20 11:29:39 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el: En bunt ändringar från Bellman.
	(lyskom-buffer-p): Ny funktion.
	(lyskom-update-lyskom-buffer-list): Dito.
	(kom-next-kom): Ny implementation.
	(kom-previous-kom): Ny funktion.
	(kom-next-unread-kom): Ny funktion

	* vars.el.in (lyskom-buffer-list): Ny variabel.

	* lyskom-rest.el (backward-text): La till ett anrop till
 	beginning-of-line för att det inte ska bli fel i gamla Emacsar.

Thu May  9 11:50:39 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el (kom-list-clients): Lade till en kommentar.

	* services.el (initiate-find-next-text-no): Ny funktion.
	(initiate-find-previous-text-no): Ny funktion.

	* swedish-strings.el,english-strings.el (lyskom-strings): Lade
	tll cant-review-everything.

	* review.el (lyskom-get-texts-globally): Ny funktion.
	(lyskom-get-texts-by-to): Anropa lyskom-get-texts-globally för att
 	åtserse globalt. (lyskom-review-by-to): Tillåt återse av alla till
 	allt.

Wed May  8 01:10:11 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands2.el (kom-status-conf): Uppskjut utskrifen av
 	medlemmarnas namn.

	* macros.el (lyskom-blocking-do-multiple): Kolla process-status.

	* services.el (blocking-do): Kolla process-status.

	* deferred-insert.el (lyskom-deferred-insert-conf): Gissa om det
 	är en person på ett bättre sätt.

	* lyskom-buttons.el (lyskom-default-button): Returnera nil om
	kom-text-properties är nil.

	* async.el (lyskom-show-logged-in-person): Respektera
 	kom-text-properties.
	(lyskom-show-logged-out-person): Dito.

	* lyskom-rest.el (lyskom-format-text-body): Dito.

	* view-text.el (lyskom-view-text): Använd inte kom-first-line-face
	om kom-text-properties är nil.

	* vars.el.in (kom-deferred-printing): Ändra default till t.

	* deferred-insert.el (lyskom-replace-deferred): Var lite mer
	defensiv i scrollningen. Dvs. scrolla aldrig.

Tue May  7 11:00:46 1996  David Byers  <davby@sen2.ida.liu.se>

	* review.el (lyskom-review-by-to): Använd blocking-do-multiple för
 	att snabba upp första utskriften. (lyskom-get-texts-by-and-to):
 	Använd blocking-do-multiple för att skynda på uppstarten.

Tue May  7 03:18:48 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-start-of-command): Hoppa till slutet på
 	bufferten om det syns i fönstret.

	* commands1.el (kom-list-re): Sätt knapp på raderna.
	
	* commands1.el (kom-send-letter): Gör (recenter 1) istället för
 	(recenter 0).

	* lyskom-rest.el (kom-page-next-command): Dito.
	(kom-view,lyskom-start-of-command): Dito.

	* lyskom-rest.el (lyskom-insert): Försökte göra så att den inte
 	hoppar ner så ofta.

	* commands1.el (kom-list-clients): Uppskjut utskrift av
 	klientnamn.
	(lyskom-deferred-client-1): Ny funktion.
	(lyskom-deferred-client-2): Ny funktion.

	* lyskom-rest.el (lyskom-format-aux-help): Liten ändring av
 	formatsträngen för uppskjutna mötesnamn.
	(lyskom-format-aux-help): Nytt format-element "D" som tar en
 	sträng eller defer-info som argument.

	* deferred-insert.el (lyskom-deferred-insert-conf): Använd redan
 	satta properties.

Mon May  6 00:27:19 1996  David Kågedal  <davidk@lysator.liu.se>

	* vars.el.in (lyskom-faces): Ny variabel.
	Leta efter X-resurser som bestämmer utseendet på faces.

	* deferred-insert.el (lyskom-defer-insertion): Gjorde så att man
 	anger serveranrop på samma sätt som i blocking-do.

	* view-text.el (lyskom-print-header-comm): Skrev om.
	(lyskom-insert-deferred-header-comm): Skrev om.
	(lyskom-insert-header-comm): Skrev om.

	* deferred-insert.el (lyskom-replace-deferred): Gjorde om till en
 	funktion.
	(lyskom-deferred-insert-conf): Gör om därefter.

Sun May  5 12:53:49 1996  David Byers  <davby@sen2.ida.liu.se>

	* remote-control.el (lyskom-remote-list-messages-1): Lista i rätt
 	ordning. En fatal bug rättad. (lyskom-remote-list-messages): Lista
 	meddelanden i rätt ordning. (lyskom-remote-erase-messages):
 	Rättade en fatal bug.

	* completing-read.el (lyskom-read-conf-name-internal): Lade till
 	predikatet persnone för att stöda ändringen i kom-start-anew.
	(lyskom-read-conf-name-internal-verify-type): Lade till predikatet
 	persnone.

	* startup.el (kom-start-anew): kom-start-anew läser in personnamn
 	så att gamla personer har prioritet över nya.

Sun May  5 03:18:19 1996  David Kågedal  <davidk@lysator.liu.se>

	* Makefile (PARTS-EL): Flyttade deferred-insert.el till HEADER-EL.

	* deferred-insert.el (lyskom-replace-deferred): Nytt makro.
	(lyskom-deferred-insert-conf): Skrev om med makrot.

	* view-text.el (lyskom-insert-deferred-header-comm): Dito.

	* commands1.el (kom-list-clients): Anpassa bredden på
 	sessionsfältet.

	* view-text.el (lyskom-view-text): Skicka bara mötesnummer till
 	lyskom-print-header-recpt.
	(lyskom-print-header-recpt): Fördröj utskrifter.

	* completing-read.el (lyskom-read-session-resolve-ambiguity):
 	Anpassa bredden på sessionsnumret och tillåt lite defer.

	* commands2.el (kom-status-conf): Tillåt defer. Formateringen
 	ändrades lite också.
	(kom-status-person): Dito.

	* commands1.el (kom-who-is-on): Anpassar bredden på första fältet
 	så att sessionsnumret precis får plats.
	(kom-list-clients): Tillåt defer.

	* lyskom-rest.el (kom-view-next-text): Läsmarkera texter efter att
 	de har skrivits ut. Förhoppningsvis får detta inga otrevliga
 	bieffekter.

Sat May  4 00:07:06 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-insert-header-comm): Ta insert-funktionen
 	som parameter.

	* Jag plockade koden för "Lista (med) regexpar" från 0.38.2.

	* parse.el (lyskom-parse-conf-z-info-list): Ny funktion.
	(lyskom-parse-conf-z-info): Dito.

	* komtypes.el: La till funktioner för conf-z-info-list och
 	conf-z-info.

	* services.el (initiate-re-z-lookup): Ny funktion.

	* swedish-strings.el (lyskom-commands): La till "Lista (med)
 	regexpar".
	(lyskom-mode-map): La in kommandot på "lr".

	* english-strings.el: Dito.

	* lyskom-rest.el (lyskom-format-aux-help): Inga knappar på möte
	0.

	* vars.el.in (lyskom-default-conf-string): Ny variabel.

	* commands1.el (kom-who-is-on): Sätt lyskom-default-conf-string
 	lokalt.

Fri May  3 10:13:12 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el,swedish-strings.el
 	(lyskom-prioritize-mode-map): Lade till M-DEL som bindning för
 	kom-prioritize-deselect-all

	* prioritize.el (kom-prioritize-deselect-all): Lade till detta
 	kommando.

	* review.el (lyskom-check-review-access): Hantera tomma möten
 	rätt. (lyskom-get-texts-by-and-to): Optimera hantering av återse
 	av en flitig författare till ett litet möte.

	* swedish-strings.el,english-strings.el (lyskom-strings): Några
 	nya strängar för rapportering av fel i återse.

	* review.el (lyskom-get-texts-by): Skrev om så den blev
 	effektivare. Sätt maxinkrement till lyskom-fetch-map-nos.
 	Kontrollera att man verkligen får läsa conf-mappen.
 	(lyskom-get-texts-generic): Tog bort denna eftersom den bara
 	användes av lyskom-get-texts-by. (lyskom-get-texts-to): Inlineade
 	koden från lyskom-get-texts-generic. Sätt maxinkrement till
 	lyskom-fetch-map-nos. (lyskom-get-texts-by-and-to): Startinkrement
 	satt till lyskom-fetch-map-nos, kontrollera att man verkligen får
 	läsa conf-mappen. (lyskom-check-review-access): Ny funktion.

Fri May  3 03:24:38 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-print-header-comm): Ny defer-hantering.
	(lyskom-insert-deferred-header-comm): Ny funktion.
	(lyskom-insert-header-comm): Detta är
	lyskom-print-delayed-header-comm i ny skepnad.

	* vars.el.in (kom-deferred-printing): Bytte namn från
 	kom-delayed-printing.

	* lyskom-rest.el (lyskom-format-insert): Ny defer-kod
	(lyskom-format-insert-at-point): Dito.
	(lyskom-format-aux-help): Dito.

	* swedish-strings.el (lyskom-button-actions): Bytte å -> ö.

	* lyskom-rest.el (lyskom-delayed-print-conf): Tog bort.

	* deferred-insert.el: Ny fil.
	(lyskom-deferred-insert-conf): Ny funktion, eller snarare
	lyskom-delayed-print-conf under nytt namn.

	* lyskom-rest.el (lyskom-format-aux-help): 

	* commands2.el (lyskom-list-summary): Justerade formatering.
	(lyskom-print-summary-line): Använd lyskom-format-insert.

	* completing-read.el (lyskom-read-session-resolve-ambiguity):
 	Skrev om.

	* lyskom-rest.el (lyskom-queue-print-name): Tog bort.
	(lyskom-queue-print-name-2): Tog bort.

	* swedish-strings.el (lyskom-commands): La till kommandot "Lista
 	klienter".

	* english-strings.el (lyskom-commands): Dito.

	* cache.el (lyskom-set-who-info-buffer-2): Kommenterade bort
 	innehållet..
	(lyskom-set-session-info): Dito.

	* commands1.el (lyskom-info-line-format-string): Ny funktion.
	(kom-who-is-on): Skrev om med hjälp av den.
	(lyskom-return-who-info-line): Tog bort.
	(lyskom-fix-str): Tog bort.
	(lyskom-return-who-info-line-as-state): Tog bort.

Thu May  2 18:47:18 1996  David Kågedal  <davidk@lysator.liu.se>

	* 0.41 release

	* swedish-strings.el,english-strings.el (lyskom-strings): Nytt
	format på de strängar som används i
	lyskom-print-delayed-header-comm.

	* english-strings.el (lyskom-strings):

Thu May  2 16:37:53 1996  David Byers  <davby@sen2.ida.liu.se>

	* swedish-strings.el,english-strings.el (lyskom-commands): Lade in
 	kom-review-all (lyskom-mode-map): Lade in kom-review-all på "}A"
 	och "åa ". Bytte ut åttabitarstecken mot oktala koder.

	* review.el (kom-review-first): Hantera prefixargument.
	(lyskom-review-by-to): Använd strängen everything för att skriva
 	ut "alla". (lyskom-get-texts-generic): Hantera återse alla.
	(lyskom-get-texts-by): Hantera återse alla.
	(lyskom-get-texts-by-and-to): Returnera rätt antal inlägg vid
 	återse första. (lyskom-get-texts-by-and-to): Hantera återse alla.
	(kom-review-all): Lade till detta kommando.

	* english-strings.el,english-strings.el (lyskom-strings): Lade
 	till everything som sträng.

	* review.el (kom-review-first): Hantera prefixargument.

Thu May  2 15:20:19 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-display-time): Skydda med condition-case.

	* view-text.el (lyskom-print-delayed-header-comm): Skriver ut
	kommentarlänkar till oläsliga texter igen.

	* commands1.el (lyskom-format-time): Ny funktion.
	(kom-display-time): Omskriven av Bellman.

	* swedish-strings.el (lyskom-strings): Nya strängar för
 	kom-display-time.

	* english-strings.el (lyskom-strings): Dito.

	* lyskom-rest.el (lyskom-start-of-command): Kör
 	lyskom-before-command-hook.

Thu May  2 15:20:19 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-print-delayed-header-comm): Klarade inte av
	en skrivskyddad buffert.
	
	* lyskom-rest.el (lyskom-delayed-print-conf): Dito.

Thu May  2 15:03:58 1996  David Byers  <davby@sen2.ida.liu.se>

	* prioritize.el (kom-prioritize-reprioritize): Rättade ett fel.

Wed May  1 20:53:30 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-buttons.el (lyskom-generate-button): La till
	'(rear-nonsticky t) till alla knappar.

	* internal.el (lyskom-queue-collect-p): Kommenterade bort denna
 	funktion.
	
	* services.el (z-initiate-get-map): Dito.

	* commands1.el (lyskom-sub-member): Sänkte inte
 	lyskom-last-conf-fetched som den borde.

Wed May  1 11:34:02 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el,swedish-strings.el (lyskom-strings): Lade
 	till newline i några strängar. Lade till några strängar, rättade
 	andra.

	* prioritize.el (kom-prioritize-help): Ny funktion
	(lyskom-prioritize-mode): Bättre doc-sträng

	* english-strings.el, swedish-strings.el
 	(lyskom-prioritize-mode-map): Byggde om keymappen lite.

	* lyskom-rest.el (lyskom-format-aux-help): Generera knappar för ?M
 	och ?P även om argumentet inte är en conf-stat.

	* lyskom-buttons.el (lyskom-default-button): Hantera knappskapande
 	för möten och personer utan att ha hela conf-staten.

	* cache.el (cache-construct-uconf-stat): Rättade en bug.

	* komtypes.el (lyskom-uconf-stat-p): Lade till denna funktion.
	(uconf-stat->garb-nice): Rättade en bug.

	* english-strings.el, swedish-strings.el (lyskom-button-actions):
 	Kommenterade bort särbehandling av textnumret i inläggsfoten.

Mon Apr 29 09:24:16 1996  David Byers  <davby@sen2.ida.liu.se>

	* review.el (lyskom-get-texts-by): Fixade så inte information om
 	hemliga texter returneras.

Mon Apr 29 02:26:14 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-format-aux-help): Hantera möte 0 för sig.

Sun Apr 28 04:01:34 1996  David Kågedal  <davidk@lysator.liu.se>

	* parse.el (lyskom-parse-unparsed): Flyttade återstartning av
	strängar...

	* lyskom-rest.el (lyskom-filter): ...hit

Sat Apr 27 02:48:51 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (kom-send-letter): Ta bort confstatet ur cachen.

	* lyskom-rest.el (kom-save-text): Tillåt directorynamn.

	* startup.el (kom-start-anew): Töm completion-cachen.

Thu Apr 25 14:04:26 1996  David Byers  <davby@sen2.ida.liu.se>

	* prioritize.el (kom-prioritize-set-priority): Sätt mark när man
 	trycker "p".
	
Fri Apr 26 00:01:14 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-print-delayed-header-comm): Nu borde den
 	skriva saker på rätt ställe.

	* services.el (initiate-set-client-version): Ny funktion.
	(initiate-get-client-name): Ny funktion.
	(initiate-get-client-version): Ny funktion.

	* startup.el (lyskom): Berätta för servern vad vi heter.

	* lyskom-rest.el (kom-go-to-next-conf): Använd def-kom-command.
	(lyskom-go-to-pri-conf,lyskom-go-to-next-conf): Flyttade på
	anropet av lyskom-end-of-command.
	(lyskom-maybe-move-unread): Felstavat argument.
	(lyskom-go-to-next-conf): Flyttade om lite.

Thu Apr 25 01:42:29 1996  David Kågedal  <davidk@lysator.liu.se>

	* vars.el.in (kom-delayed-printing): Ändrade default till nil.

	* view-text.el (lyskom-print-delayed-header-comm): Radera efter
	att den nya texten skrivits in. På så sätt blandas inte markers så
	lätt ihop.

	* commands1.el (kom-list-conferences): Skicka mötesnummer till
	lyskom-list-conf-print.
	(lyskom-list-conf-print): Använd mötesnummer istället för
	conf-stat, så att utskriften kan fördröjas.
	(kom-list-persons,lyskom-list-pers-print): Samma trick.

	* lyskom-rest.el (lyskom-filter): Skrev om testet efte newline.

	* vars.el.in (kom-delayed-printing): Ny variabel.

	* lyskom-rest.el (lyskom-format-aux-help): Använd den.

	* view-text.el (lyskom-print-header-comm): Dito.

Wed Apr 24 17:49:29 1996  David Byers  <davby@sen2.ida.liu.se>

	* review.el (lyskom-get-texts-by-and-to): Fixade bug som gjorde
 	att man kunde missa de allra första texterna i ett möte om man
 	återsåg senaste.

Tue Apr 23 00:47:17 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-start-of-command): Anta att
 	lyskom-first-time-around är definierad.

Tue Apr 23 11:26:57 1996  David Byers  <davby@sen2.ida.liu.se>

	* startup.el (kom-start-anew): Rensa completing-read-cachen innan
 	försök att konvertera det inmatade användarnamnet.

	* english-strings.el (lyskom-button-actions): Lade till hints för
 	sista inläggsnumret som skrivs ut.

	* swedish-strings.el (lyskom-button-actions): Lade till hints för
 	sista inläggsnumret som skrivs ut.

	* vars.el.in (kom-inhibit-typeahead): Lade till
 	kom-inhibit-typeahead.

	* lyskom-rest.el (lyskom-end-of-command): Återimplementerade
 	bortkastning av typeahead.

	* view-text.el (lyskom-print-text): Lade till sättning av
 	lyskom-current-function och lyskom-current-function-phase.

	* lyskom-buttons.el (lyskom-get-button-hint): Ny funktion.
	(lyskom-generate-button): Använd lyskom-get-button-hint för att
 	hitta hinten.

Wed Apr 24 03:44:31 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-print-header-comm): Delade upp den så att
	utskriften kan fördröjas.
	(lyskom-print-delayed-header-comm): Den fördröjda utskriften.

	* lyskom-rest.el (lyskom-insert-at-point): Ny funktion.
	(lyskom-format-insert-at-point): Ny funktion.

Tue Apr 23 00:47:17 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-start-of-command): Anta att
	lyskom-first-time-around är definierad.

Mon Apr 22 05:57:27 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-insert-person-name),
	(lyskom-insert-conf-name): Dessa funktioner används inte, så jag
 	tog bort dem.
	(lyskom-print-header-comm): Duplicera inte jobbet i lyskom-format.

	* lyskom-rest.el (lyskom-delayed-print-conf): Ny funktion.

	* clienttypes.el (format-state->delayed-content),
	(set-format-state->delayed-content): Nya funktioner

	* lyskom-rest.el (lyskom-do-format): Returnera state istället för
	bara den färdiga strängen.
	(lyskom-format-insert-before-prompt,lyskom-format-insert),
	(lyskom-format): Justerade därefter.

Wed Apr 17 17:32:23 1996  David Kågedal  <davidk@lysator.liu.se>

	* parse.el (lyskom-parse-error): Gör så att en bug inte blir så
 	dödlig.

Tue Apr 16 23:47:01 1996  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-create-text-handler): Bytte ut
 	lyskom-tell-server mot lyskom-tell-internat.

Sun Apr 14 23:44:45 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-follow-comments): Felaktiga parametrar i
 	ett anrop till lyskom-view-text.

Wed Apr 10 10:16:20 1996  David Byers  <davby@sen2.ida.liu.se>

	* prioritize.el (kom-prioritize): En numera avrättad bug gjorde
 	att medlemskapslistan blev reverserad.

Mon Apr  8 18:42:12 1996  David Byers  <davby@sen2.ida.liu.se>

	* prioritize.el: Skrev om från scratch.

Sat Apr  6 18:13:25 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (lyskom-insert): Fixade lyskom-insert så den ger
 	rätt beteende om kom-continuous-scrolling inte är satt.

Thu Apr  4 10:36:06 1996  David Byers  <davby@sen2.ida.liu.se>

	* lyskom-rest.el (lyskom-insert): Gör lyskom-scroll i
 	lyskom-insert bara om kom-continuous-scrolling är satt.
 	(lyskom-start-of-command): Tilldela nil till lyskom-is-waiting
 	varje gång ett nytt kommando startas. (lyskom-print-prompt): Tog
 	bort tilldelningar av lyskom-is-waiting.

	* vars.el.in (kom-continuous-scrolling): Ny variabel.
	(lyskom-elisp-variables): Lade till kom-continuous-scrolling.

	* english-strings.el, swedish-strings.el (lyskom-mode-map): Lade
 	till kom-review-first.

	* swedish-strings.el, english-strings.el (lyskom-strings): Lade
 	till lyskom-review-how-many.

	* review.el (lyskom-get-texts-by-to): Skrev helt om den här
 	funktionen så den anropar olika funktioner för att göra jobbet
 	beroende på inputmönster. (lyskom-get-texts-by-and-to): Ny
 	funktion som hämtar texter av en person till ett möte.
 	(lyskom-get-texts-generic): Ny funktion som hämtar texter av en
 	person eller till ett möte.
	(lyskom-get-texts-by): Ny funktion som hämtar texter av en person.
	(lyskom-get-texts-to): Ny funktion som hämtar texter till ett
 	möte.

Wed Apr  3 12:33:45 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-create-conf-handler-2): Testa inte om mötet
 	är hemligt. Detta görs i kom-create-conf istället.

Wed Apr  3 12:56:19 1996  David Byers  <davby@sen2.ida.liu.se>

	* english-strings.el, swedish-strings.el (lyskom-strings): Lade
 	till confusion-what-to-view. (lyskom-mode-map): Lade till
 	tangentbindningar för lyskom-view-previous-commented-text.

	* commands1.el (kom-view-previous-commented-text): Lade till denna
 	funktion (skriven av Teddy).

	* lyskom-rest.el (lyskom-insert): Lade in ett anrop till
 	lyskom-scroll om point hamnar utanför skärmen. Detta får betraktas
 	som ett experiment.

	* review.el (lyskom-get-texts-by-to): Fixade buggar i David
 	Kågedals version och tog bort den gamla versionen.

	* utilities.el (nfirst): Flyttade från review.el

Tue Apr  2 15:15:11 1996  David Byers  <davby@sen2.ida.liu.se>

	* Blev av med alla kompilatorvarningar genom att ta bort
 	kompatibilitetskod för Emacs 18 och Lucid Emacs.

	* lyskom-rest: Tog bort kompatibilitetskod i
 	kom-initial-digit-view.

	* prioritize.el: Tog bort referenser till kom-buffer.

	* macros.el: Lade till kompatibilitetsbindning av frame-width.

	* flags.el: Lade till dummydefinition av original-user-variable-p
 	så en kompilatorvarning försvann.

	* utilities.el: Lade till regexpp.

	* filter.el: Dokumenterade lyskom-filter-hack. Använd
 	lyskom-apo-timeous-s och lyskom-apo-timeout-ms i
 	lyskom-filter-text-p. Skydda anrop till filterfunktionerne i
 	lyskom-check-filter-list med condition-case för att undvika
 	otrevligheter. Fixade bug i kompilering av tomma filter. Flyttade
 	regexpp till utilities.el. Använd def-kom-command till
 	användarkommandon.

	* completing-read.el: Lade till hantering af typen conflogin för
 	alla inloggade personer eller möten. Tog bort emacs
 	18-kompatibilitet i anrop till completing-read.

	* edit-text.el: lyskom-edit-text anropar inte längre
 	lyskom-end-of-command. Tog bort Emacs 18.55-kompatibilitet från
 	anrop till processs-kill-without-query. Tog bort variabeln
 	kom-buffer. Tog bort kompatibilitet med Emacs 18 och Lucid emacs
 	från kom-edit-insert-digit-text. Anropar alltid
 	lyskom-send-transform-text när texter skickas in. Införde
 	kom-cite-string som i stället för ">" framför kommentarer.
 	Flyttade sit-for i lyskom-edit-get-commented för att få bort
 	momentana markörförflyttningar vid insättning av kommenterad text.

	* commands1.el: Gjorde om alla kommentarfunktioner med
 	def-kom-command och tog bort explicita lyskom-end-of-command.

	* commands2.el: Tog bort lite kompatibilitet med Emacs 18. Använd
 	lyskom-beep för att pipa när vänta avslutas.
	(kom-set-session-priority): Använd lyskom-read-num-range. Skrev om
 	referenser till debugger-old-buffer för att slippa
 	kompileringsvarningar.

Tue Apr  2 00:45:27 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-follow-comments): Anropa lyskom-view-text
 	med fler argument.

	* commands1.el (kom-create-conf): Slog ihop med
 	lyskom-create-conf-handler. Skriv inga presentationer till hemliga
 	möten.

Mon Apr  1 14:57:53 1996  David Byers  <davby@sen2.ida.liu.se>

	* commands1.el: Prioritet sätts mellan 1 och 255, aldrig till
 	noll. Man blir inte längree erbjuden att skriva presentation till
 	hemliga möten. Fixade några formatsträngar. Använde
 	def-kom-command på några fler ställen.

	* english-strings.el: Nya appreciation och abuse strängar (från
 	misc/F}-uppmuntran).

	* cache.el: Ersatte anrop till eval med anrop till symbol-value.

	* internal.el (lyskom-check-call): Skydda anrop till
 	kom-queue-resume med unwind-protect.

	* lyskom-rest.el (lyskom-insert-before-prompt): Flytta inte point
 	vid insert. Det är *irriterande*. lyskom-modify-prompt: Lade in
 	antal inspelade meddelanden i prompten (om man har några).

	* utilities.el, filter-edit.el, macros.el, filter.el: Flyttade
 	några funktioner till utilities.el.

	* Anrop till lyskom-message har nu en korrekt formatsträng som
 	första argument.

	* lyskom-rest.el (lyskom-print-prompt): Sätt lyskom-is-waiting
 	till nil om man inte är vid sista prompten. lyskom-is-waiting
 	måste vara nil om asynkrona texter skall sparas och inte skrivas
 	ut.

Sat Mar 30 00:33:32 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-start-of-command): Fungerade dåligt om
	man hade satt kom-page-before-command.

	* review.el (kom-review-comments): Bakade in
	lyskom-review-comments.

Fri Mar 29 03:26:34 1996  David Kågedal  <davidk@lysator.liu.se>

	* review.el (lyskom-review-comments,kom-review-comments): Skrev om
	icke-asynkron. Kunde i sällsynta fall generera allvarliga fel
	genom att anropa lyskom-view-text när cachen inte var fylld. Nu
	anropas bara lyskom-review-comments synkront, så vi är utom fara.

	* commands1.el (kom-add-comment,kom-sub-comment): Använd
	def-kom-command.

	* view-text.el (lyskom-print-header-comm): Visa när
	kommentarslänken adderades.

Thu Mar 28 15:11:27 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-set-mode-line): Se till att mode-raden
 	uppdateras.

	* view-text.el (lyskom-follow-comments): Se till att kommentarer
 	till fotnoter som läses omedelbart läggs på lässtacken.

Wed Mar 27 16:19:57 1996  David Byers  <davby@sen2.ida.liu.se>

	* Version 0.40.1 release

Tue Mar 26 15:54:22 1996  David Byers  <davby@sen2.ida.liu.se>

	* edit-text.el: Bättre hantering av okända headrar.

Tue Mar 26 12:22:34 1996  David Byers  <byers@lysator.liu.se>

	* Makefile: Satte versionsnumret till 0.40.1

	* Gjorde kompatibilitetsdefinitioner av facep och
 	save-selected-window så klienten fungerar med emacs 19.28 också.

	* completing-read.el: Viss cachning av who-info när man läser in
 	namn på inloggade personer. Samma med anrop till lookup-name. Det
 	går mycket snabbare.

Tue Mar 26 08:21:18 1996  David Byers  <byers@lysator.liu.se>

	* Satte cvs-version till 40.0 och symbolisk tag till v0-40

	* lyskom-rest.el, view-text.el: face-equal bortbytt mod
 	lyskom-face-default-p som fungerar om man inte kör med
 	fönstersystem.

	* vars.el.in: Bättre val av face scheme.

Mon Mar 25 16:22:42 1996  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el: Formatteringen täcker inte padding.

	* swedish-strings.el,english-strings.el: Bugfixar

	* filter.el: Bugfixar

	* vars.el.in, lyskom-rest.el, startup.el: Gjorde så färger sätts
 	vid load, inte vid inloggning. Bytte några defaultfärger.

	* Makefile: Satte versionsnummer till 0.40

Mon Mar 25 06:48:01 1996  David Kågedal  <davidk@lysator.liu.se>

	* parse.el (lyskom-parse-unparsed): Se till att meddelandet
 	"Databasen synkas" tas bort.

	* review.el (lyskom-review-comments): Se fotnoter först.

Fri Mar 22 13:49:23 1996  David Byers  <byers@lysator.liu.se>

	* filter.el: Fixade buggar.

	* edit-text.el: Fixad buggar. Lade in så man kan skicka in
 	enriched text om lyskom-format-experimental är satt.

	* lyskom-rest.el (lyskom-format-text-body): Fixade buggar.
	
Fri Mar 22 12:48:06 1996  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-send): Felhanteringen buggade.

Thu Mar 21 20:51:58 1996  David Kågedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-view-text): Markera filtrerade texter som
 	lästa.

	* filter.el (lyskom-filter-text-p-3): Hängde om författaren inte
 	fanns.

Tue Mar 19 00:03:23 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-start-of-command): Gör (sit-for 0)
	oftare.

	* macros.el (lyskom-blocking-do-multiple): Byt till kom-bufferten
	först.

	* services.el (blocking-do): Testa efter parserrekursion.

	* macros.el (lyskom-blocking-do-multiple): Dito.

	* lyskom-rest.el (lyskom-really-serious-bug): Ny funktion för
	debugändamål.
	
	* commands2.el (kom-bug-report): Fixade en liten bug.

	* vars.el.in (when): Flyttade från macros.el.

	* Makefile (HEADER-ELC): Bytte ordningen mellan vars.el och
	macros.el.

	* lyskom-rest.el (lyskom-membership-highest-index): Bytte namn
	från lyskom-membership-count, eftersom det gamla namnet var
	missvisande.

	* edit-text.el (lyskom-edit-get-commented): Ignorera alla
	lyskom-edit-error.
	(lyskom-edit-parse-headers): Signalera felmeddelande.
	(lyskom-edit-send): Kombinera min och Byers felhantering.

	* async.el (lyskom-parse-async): Ignorera kom-presence-messages.

Mon Mar 18 12:34:47 1996  David Byers  <byers@lysator.liu.se>

	* startup.el: Lade till så man kan låta bli att läsa user-arean
 	vid inloggning via variabeln lyskom-dont-read-user-area,

	* view-text.el: Gjorde så text props inte hamnar i
 	lyskom-current-subject.

	* services.el, lyskom-rest.el, lyskom-buttons.el, view-text.el,
 	macros.el: Lade till ställbar timeout till accept-process-output i
 	form av variablerna lyskom-apo-timeout-s och lyskom-apo-timeout-ms

	* filter-edit.el: lyskom-format-filter-pattern klarar av att
 	skriva i en skrivskyddad buffert.

	* vars.el.in: Uppdaterade dokumentationssträngar.

	* lyskom-buttons.el: Hantera fallet då kom-netscape-command och
 	kom-mosaic-command är listor.

Mon Mar 18 00:39:03 1996  David Kågedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-sub-member): Sänkte inte
	lyskom-last-conf-done.

	* lyskom-rest.el: Jag gjorde ett tappert försök att snygga till
	lite i prefetch-koden.
	(lyskom-membership-count): Ny funktion.
	(lyskom-what-to-do): Använd den.
	(lyskom-prefetch-conf): Använd den.
	(lyskom-prefetch-done): Använd den.
	(lyskom-prefetch-handle-conf,lyskom-prefetch-handle-map):
	Omfördelade lite kod.

	* edit-text.el (lyskom-looking-at-header): Kör argumentet till
	looking-at genom regexp-quote först.
	(lyskom-edit-parse-headers): Signalera felaktiga headers.
	(lyskom-edit-get-commented): Ignorera dess fel.
	(lyskom-edit-send): Hantera dem.

Sun Mar 17 00:10:47 1996  David Kågedal  <davidk@lysator.liu.se>

	* flags.el (lyskom-read-options-eval): Överlev trasiga variabler.
	(lyskom-set-var-from-string): Ny funktion.

	* view-text.el (lyskom-view-text): Hämta bara texten en gång.

Sat Mar 16 04:41:13 1996  David Kågedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-debug-insert): Fungerade inte särskilt
	bra.
	(lyskom-filter): Tog bort testet efter newline, eftersom det fick
	emacs att hänga.

	* macros.el (lyskom-blocking-do-multiple): Signalera 'quit när
 	lyskom-quit-flag är satt.
	(lyskom-quit-flag): Flyttade deklaration från vars.el.in.

Fri Mar 15 22:53:55 1996  David Kågedal  <davidk@lysator.liu.se>

	* startup.el (lyskom): Slå även upp $KOMSERVER i
 	kom-server-aliases.

Fri Mar 15 16:28:17 1996  David Byers  <byers@lysator.liu.se>

	* edit-text.el: lyskom-send-text: C-C i inläggskropp med tomt
 	ärende flyttar markören och säger ifrån.

	* swedish-strings.el, english-strings.el: Lade till
 	enter-subject-idi

	* lyskom-buttons.el: Använd kom-text-no-face, lade till återse
 	träd och återse urinlägg som knappactions.

	* vars.el.in: Lade till lyskom-ding-on-no-subject, lade till
 	återse träd och återse urinlägg till högerknappsmenyerna.

	* review.el: Lade till optional arg till kom-find-root.

Thu Mar 14 09:01:48 1996  David Byers  <byers@lysator.liu.se>

	* filter-edit.el: filter-edit-save now recompiles filters when
 	saving, thus making the changes actually stick.

	* filter.el: make-filter now does the right thing with empty
 	filters.

Wed Mar 13 14:30:08 1996  David Byers  <byers@lysator.liu.se>

	* view-text.el, vars.el.in: decode-time kommer inte att användas i
 	emacs < 19.28.

	* macros.el: lyskom-blocking-do-multiple kan avbrytas.

	* vars.el.in: Fler variabler i lyskom-elisp-variables.
 	Omflyttningar, rättad dokumentation. Färger allokerat fail-safe.

Tue Mar 12 17:45:16 1996  David Kågedal  <davidk@lysator.liu.se>

	* vars.el.in: Använd alltid "grey" för kom-presence-face.

Mon Mar 11 11:30:45 1996  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el: kom-initial-digit-view: Corrected variable name
 	so first digit is not lost.

Fri Mar  8 23:02:18 1996  David Kågedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-send): Sätt bara
	lyskom-dont-change-prompt om kom-created-texts-are-read är satt.

Thu Mar  7 00:06:19 1996  David Kågedal  <davidk@lysator.liu.se>

	* english-strings.el: Försökte byta ut "subscription" mot
 	"membership" på ett konsekvent sätt.

Wed Mar  6 00:07:24 1996  David Kågedal  <davidk@lysator.liu.se>

	* review.el (lyskom-review-tree): Anropa inte
	lyskom-end-of-command.
	(kom-find-root-review): Blockande.

	* completing-read.el (lyskom-read-session-resolve-ambiguity): Gör
	lyskom-scroll.

Mon Mar  4 21:54:24 1996  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (lyskom-set-motd-2): Kludge.

	* startup.el (lyskom): Kontrollera att motd-of-lyskom verkligen
 	finns.

Mon Mar  4 11:29:53 1996  David Byers  <byers@lysator.liu.se>

	* filter.el, commands1.el, commands2.el, review.el: Ändrade anrop
 	av lyskom-read-conf-no till mustmatch så den inte returnerar nil
 	till oförberedda funktioner.

	* swedish-strings.el, english-strings.el: Ändrade memberships-line
 	så datumet skrivs ut med fix bredd.

Sat Mar  2 00:11:02 1996  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-busy-wait): Skrev om synkron.

	* lyskom-rest.el (lyskom-prefetch-and-print-prompt): Flyttade kod
 	till kom-busy-wait.

	* commands2.el (kom-bury): Lämna debug-bufferten ifred.

	* view-text.el (lyskom-view-text): Markera filterade texter som
	lästa.

Fri Mar  1 01:29:14 1996  David K}gedal  <davidk@lysator.liu.se>

	* startup.el (lyskom-clear-vars): Sätt lyskom-pending-calls till
 	nil.

	* lyskom-rest.el (lyskom-debug-insert): Ny funktion.
	(lyskom-filter): Använd den.	

	* internal.el (lyskom-process-send-string): Använd den.

	* edit-text.el (lyskom-create-text-handler): Återställ
 	lyskom-dont-change-prompt även när kom-created-texts-are-read är
 	nil.

	* vars.el.in (kom-after-load-hook): Ny variabel.

	* lyskom-rest.el: Kör lyskom-after-load-hook.

Tue Feb 27 03:26:01 1996  David K}gedal  <davidk@lysator.liu.se>

	* startup.el (lyskom-clear-vars): Gjorde lyskom-last-group-message
 	recipient och lyskom-last-personal-message-sender buffertlokala.

Mon Feb 26 12:31:30 1996  David Byers  <byers@lysator.liu.se>

	* completing-read.el: Fixade bug i inläsning av mötesnamn och
 	mötesstatus.

Sat Feb 24 20:00:45 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-visible-membership): Gör så att möten med
	prioritet 0 alltid är inaktiva.

Sat Feb 24 20:00:45 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-visible-membership): Gör så att möten med
 	prioritet 0 alltid är inaktiva.

Fri Feb 23 13:27:46 1996  David Byers  <byers@lysator.liu.se>

	* lyskom-buttons.el: Lade till lyskom-add-button-action och
 	lyskom-set-default-action

Fri Feb 23 03:17:25 1996  David K}gedal  <davidk@lysator.liu.se>

	* english-strings.el,swedish-strings.el (lyskom-mode-map): Band
 	mouse-3 till kom-mouse-null.

	* lyskom-buttons.el (lyskom-mouse-3): Tog bort read-event-anropet.
	(kom-mouse-null): Ny funktion.

	* startup.el (lyskom-mode): Skrev om kommandobeskrivningen i
 	dokumentation.

Wed Feb 21 03:34:34 1996  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-send-message): Stavfel.

	* vars.el.in (kom-server-aliases): Bytte namn från
 	lyskom-server-aliases.

Tue Feb 20 13:28:01 1996  David K}gedal  <davidk@lysator.liu.se>

	* review.el (lyskom-get-texts-by-to): Återställde den gamla koden
 	så länge.

	* vars.el.in: Putsade på färgvalet.

Sun Feb 18 06:30:46 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-prefetch-and-print-prompt): Lätt
	optimering.

	* macros.el (when): Fugnerade inte.

	* vars.el.in (lyskom-is-saving): Ny variabel.

	* async.el (lyskom-parse-async): Sätt den.

	* parse.el (lyskom-parse-unparsed): Återställ mode-line-process
	efter att server slutat spara. Tog bort lite annan kod.

	* services.el (blocking-do): Återställ lyskom-quit-flag på rätt
 	sätt.

	* lyskom-rest.el (lyskom-sentinel): Sätt mode-line-process till
 	något lämpligt.

	* async.el (lyskom-parse-async): Dito.

	* startup.el (lyskom-mode): Dito.

	* lyskom-rest.el (lyskom-start-of-command)
	(lyskom-end-of-command): Dito.

Sat Feb 17 00:24:23 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-buttons.el (lyskom-mouse-3): Ta bort ett musklick ur
 	event-kön.

	* commands1.el (lyskom-fixup-and-go-to-conf): Tog bort.
	(lyskom-add-member-by-no): Anropa lyskom-add-member-answer för att
 	uppdatera cache mm.

Fri Feb 16 12:42:15 1996  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el: lyskom-is-read är nu asynkron eftersom den
 	anropas av lyskom-create-text-handler.

	* view-text.el: Gjorde så lyskom-print-date-and-time och
 	lyskom-return-date-and-time kan ta ett extra agurment
	(formatsträng) vilket gör att den kan användas istf
 	lyskom-return-time.

	* commands2.el: Bytte ut lyskom-return-time mot
 	lyskom-return-date-and-time i alla funktioner.

Fri Feb 16 05:41:31 1996  David K}gedal  <davidk@lysator.liu.se>

	* startup.el (lyskom-start-anew-new-person)
	(lyskom-start-anew-create-handler)
	(lyskom-add-for-new-person): Tog bort.
	(lyskom-create-new-person): Ny funktion.

	* completing-read.el (lyskom-read-conf-no): Anropade
	lyskom-read-conf-name med fel MUSTMATCH.

	* startup.el (kom-start-anew): Kunde inte skapa nya personer.

	* remote-control.el (lyskom-remote-list-messages-1): Skrivfel.

	* messages.el (lyskom-add-personal-message-handler): Skrivfel.

	* commands2.el (kom-enable-adm-caps,kom-disable-adm-caps):
	Anropade lyskom-enable-adm-caps fel.

	* lyskom-rest.el(listify-vector,reverse-assoc,skip-first-zeros):
	Flyttade till macros.el.

	* Flyttade face-definitionerna till vars.el.in.

Wed Feb 14 00:45:52 1996  David K}gedal  <davidk@lysator.liu.se>

	* flags.el (kom-edit-options-send): Kunde inte avsluta utan
 	ändring.

	* ansaphone.el (kom-list-messages): Lista äldsta meddelandet
	först.

Mon Feb 12 00:06:58 1996  David K}gedal  <davidk@lysator.liu.se>

	* startup.el (kom-start-anew): Återställde inte vid fel.

Sun Feb 11 23:08:01 1996  David K}gedal  <davidk@lysator.liu.se>

	* vars.el.in (lyskom-inhibit-minibuffer-messages): Ny variabel.

	* async.el (lyskom-is-in-minibuffer): Använd den.

	* startup.el (kom-start-anew): Förhindra minibuffertmeddelanden
 	under lösenordsinmatning.

Thu Feb  8 17:12:06 1996  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Lade till skicka gruppmeddelande till
 	lyskom-button-actions.

	* async.el,swedish-strings.el,english-strings.el: Fixade
 	formattering av gruppmeddelanden.

Tue Feb  6 17:52:34 1996  David K}gedal  <davidk@lysator.liu.se>

	* swedish-strings.el : Lade till kom-presence-face.

	* macros.el (when): Gav upp och skrev detta makro.

	* async.el (lyskom-show-logged-in-person)
	(lyskom-show-logged-out-person): Använd kom-presence-face.

Mon Feb  5 12:32:23 1996  David Byers  <byers@lysator.liu.se>

	* vars.el.in: Lade till kom-print-complex-dates, fixade fel som
 	uppstod vid tidigare incheckning. Tog bort ett antal symboler som
 	stod fel i filen. Lade till kom-ansaphone-replies.

	* view-text.el: lyskom-print-date-and-time kan nu skriva ut idag
 	och igår.

	* english-strings.el, swedish-strings.el: Lade till idag och igår.

	* commands2.el: Lade till argument till några funktioner.

Mon Feb  5 12:32:23 1996  David Byers  <byers@lysator.liu.se>

	* ansaphone.el: Fixade bug i hantering av allmänna meddelanden.
 	Flyttade ut kom-ansaphone-replies.

Sun Feb  4 03:02:40 1996  David K}gedal  <davidk@lysator.liu.se>

	* async.el (lyskom-format-as-personal-message): Klara av
 	recipient=nil

	* parse.el (lyskom-parse-unparsed): Skrev om felhanteringen.

	* commands2.el (lyskom-list-summary): Ny funktion.
	(kom-list-summary): Faktoriserade, och flyttade kod till
 	lyskom-list-summary.
	(lyskom-print-summary-line): Hette förut lyskom-list-summary.
	(kom-list-marks): Nytt kommando (tas bort och sparas till senare)

Fri Feb  2 06:41:29 1996  David K}gedal  <davidk@lysator.liu.se>

	* prioritize.el (kom-prioritize-quit): Gör lyskom-end-of-command.

Thu Feb  1 10:30:54 1996  David Byers  <byers@lysator.liu.se>

	* commands1.el, commands2.el: Some more interactive functions
 			accept optional arguments.

	* async.el: Add optional arg to unconditionally inhibit beeps when
 			handling personal messages.

	* lyskom-buttons.el: Bug fixes, changed mouse-3 menus.

	* lyskom-rest.el: New function lyskom-beep. Only signal priority
 		break when kom-ding-on-priority-break is set.

	* async.el: kom-ding-on-personal-messages replaced by three
 		    variables, kom-ding-on-personal-messages,
 		    kom-ding-on-group-messages,
 		    kom-ding-on-common-messages.
	
Mon Jan 29 17:23:36 1996  David Byers  <byers@lysator.liu.se>

	* edit-text.el: Jump to buffer if there is a subject.

	* lyskom-rest.el: New function lyskom-beep. New mouse-3 menus.

	* async.el: kom-ding-on-personal-message replaced by three
 	  variables.

	* lyskom-buttons.el: Rewritten

	* commands1.el,commands2.el: Some more commands accept arguments
	

Mon Jan 29 00:30:42 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-visible-membership): Ny funktion.

	* commands2.el (kom-set-session-priority): Nytt kommando.

	* vars.el.in (lyskom-session-priority): Ny variabel.

	* async.el (lyskom-add-new-text): Använd
 	lyskom-visible-membership.

	* lyskom-rest.el (lyskom-prefetch-handle-conf): Använd
 	lyskom-visible-membership
	(lyskom-set-mode-line): Ange lyskom-session-priority om den är
 	större än 0.

Sun Jan 28 23:50:15 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-array-to-list): Tog bort.

	* completing-read.el (listify-vector): Flyttade till
 	lyskom-rest.el

Thu Jan 25 19:35:26 1996  David K}gedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-get-commented): Kunde hamna i oändlig
 	loop.

Tue Jan 23 21:33:49 1996  David K}gedal  <davidk@lysator.liu.se>

	* parse.el (lyskom-parse-success): Liten fix.

Mon Jan 22 19:23:34 1996  David K}gedal  <davidk@lysator.liu.se>

	* review.el (kom-review-by-to): Använd def-kom-command.

Mon Jan 22 17:27:59 1996  David Byers  <byers@lysator.liu.se>

	* commands2.el: kom-throw-out-session: Use lyskom-read-session-no.

	* completing-read.el: Added lyskom-read-session-no to read session
 	  numbers of logged-in users.

	* startup.el: lyskom-session-no is defined again.

	* english-strings.el: Added strings.

	* swedish-strings.el: Fixed prioritize mode keymap. Added some
 	  strings.

	* ansaphone.el: New file. Answering machine.

	* remote-control.el: New file. Remote control of session.

	* messages.el: New file. Framework for handling personal messages.

	* async.el: Rewrote handling of personal messages to used a
 	  handler queue. See messages.el. Functions that print personal
 	  messages now accept time strings and know how to print very old
 	  messages.

Sun Jan 21 18:38:26 1996  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-format-text-body): Lätt justering.

	* async.el (lyskom-show-personal-message): Sätt bara
 	group-recipient om det var ett gruppmeddelande.

Fri Jan 19 19:21:25 1996  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el: Rewrote ISO conversion to work in-place.

	* lyskom-buttons.el: Fixed to URLs work in non-windowed emacses.
 	  Removes lyskom-button-match-data from the props and added
 	  lyskom-button-string which is the entire match (the button
 	  title, basically.)

	* filter.el: Fixed bug in kom-list-filters
	
Thu Jan 18 08:01:43 1996  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-list-news): Skrev om enligt ISO9000.

	* lyskom-rest.el (lyskom-prefetch-done): Använd
 	lyskom-lsat-conf-done.
	(kom-recover): La till argumentet refetch.

	* lyskom-rest.el (lyskom-prefetch-all-confs): Använd
 	lyskom-prefetch-done.

	* startup.el (kom-start-anew): Anropa lyskom-wait-queue innan
 	kom-login-hook. Fast kanske inte, ändå...

Wed Jan 17 07:12:03 1996  David K}gedal  <davidk@lysator.liu.se>

	* services.el (lyskom-wait-queue): Ny funktion.

	* lyskom-rest.el (kom-view-next-text): Använd def-kom-command.
	(lyskom-view-priority-text): Använd lyskom-wait-queue.

	* commands1.el (lyskom-jump): Lägg till parameter sync
 	(EXPERIMENT).

	* parse.el (lyskom-parse-success): Kolla om call-info är nil.

	* services.el (blocking-do): signalera 'quit istället för 'error
 	när lyskom-quit-flag är satt.

	* commands2.el
 	(kom-membership,kom-status-conf,kom-set-unread,kom-status-conf)
	(kom-status-person,kom-list-summary,kom-display-who-buffer)
	(kom-set-garb-nice,kom-set-permitted-submitters,kom-set-super-conf)
	(kom-enable-adm-caps,kom-disable-adm-caps,kom-force-logout)
	(kom-postpone,kom-change-conf-type,kom-send-message,kom-send-alarm):
 	Använd def-kom-command.

	* vars.el.in (lyskom-last-grup-message-recipient): Ny variabel.
	(kom-send-message-to-last-sender): Justerade semantiken, så att
 	'always gör att den aldrig föreslör möten som mottagare.

	* async.el (lyskom-show-personal-message): Sätt den.

	* commands2.el (kom-send-message): Använd den.

Tue Jan 16 05:14:08 1996  David K}gedal  <davidk@lysator.liu.se>

	* macros.el (def-kom-command): Nytt makro som sätter in
 	lyskom-start-of-command/lyskom-end-of-command rätt.

	* commands1.el
 	(kom-get-appreciation,kom-get-appreciation,kom-delete-conf)
	(kom-view-commented-text,kom-add-self,kom-sub-member)
	(kom-sub-self,kom-change-presentation,kom-change-conf-motd)
	(kom-unset-conf-motd,kom-go-to-conf,kom-list-persons)
	(kom-list-conferences,kom-change-name,kom-change-supervisor)
	(kom-mark-text,kom-unmark-text,kom-change-password)
	(kom-display-time,kom-who-is-on): Använd def-kom-command.

Mon Jan 15 18:55:42 1996  David K}gedal  <davidk@lysator.liu.se>

	* review.el (kom-find-root,kom-review-tree): Skrev om blockande.

	* services.el (blocking-do): Använd lyskom-quit-flag.

	* macros.el (lyskom-save-excursion): La till en edebug-hint.

	* vars.el.in (lyskom-quit-flag): Ny variabel.

	* lyskom-rest.el (lyskom-filter): Sätt lyskom-quit-flag.

Sun Jan 14 16:37:40 1996  David K}gedal  <davidk@lysator.liu.se>

	* completing-read.el (lyskom-read-conf-name-internal):
	Kompletterade inte unika träffar så bra.

Sat Jan 13 00:29:22 1996  David K}gedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-strings): Fler fixar.

	* lyskom-rest.el (lyskom-do-format): Ge ett mer talande
 	felmeddelande vid formatfel. Använd det nya felet
 	lyskom-format-error.

	* completing-read.el (lyskom-read-conf-name-internal):
 	Abstraherade listify-vector, men var ska den ligga?
	Fixade riktig completion på unika träffar.

	* commands2.el (kom-change-conf-type): 'conf ->
	'confs. Unwind-protect. 

	* lyskom-rest.el (lyskom-format-privs): Ny funktion (från ceder).
	(lyskom-format-object): La till PRIVS.

Tue Jan  9 00:30:15 1996  David K}gedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-strings): Ännu fler fixar.

	* edit-text.el (lyskom-edit-get-commented): Använd
	lyskom-edit-parse-header.

Mon Jan  8 23:17:01 1996  David K}gedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-looking-at-header): Fungerade inte riktigt.

Mon Jan  8 08:56:24 1996  David K}gedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-looking-at-header): Ny funktion.
	(lyskom-edit-parse-headers): Ny funktion som ersätter
	lyskom-edit-read-misc-list. Denna använder de fyra första teckning
	för att matcha headers.
	(lyskom-edit-send): Använd lyskom-edit-parse-headers och
	lyskom-create-misc-list istället.

Sun Jan  7 23:37:33 1996  David K}gedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-strings): Fler fixar av %s -> %M
	etc.

Sat Jan  6 02:09:41 1996  David K}gedal  <davidk@lysator.liu.se>

	* english-strings.el (lyskom-mode-map): Stavfel.
	(lyskom-strings): Fixade lite fler strängar

	* Makefile (english-lyskom.elc): Gör full kompilering.

Thu Jan  4 02:27:29 1996  David K}gedal  <davidk@lysator.liu.se>

	* commands1.el (lyskom-add-member-answer): Typfel.

Tue Dec 19 23:36:58 1995  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-set-unread): Antog 1 utan prefix.

	* filter.el (lyskom-filter-prompt): Hantera enradare. Visa
	   under tiden.

Fri Nov 24 02:54:25 1995  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-list-summary): Inläggsnumret tar 8 kolumner.

Mon Nov 20 01:47:47 1995  David K}gedal  <davidk@lysator.liu.se>

	* vars.el.in (lyskom-elisp-variables): La till
 	   kom-ding-on-personal-messages.

Sun Nov 19 14:58:59 1995  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-read-num-range): Allow default.

Sat Nov 18 12:13:59 1995  David Byers  <byers@lysator.liu.se>

	* lyskom-rest.el (lyskom-read-number): Don't call
 	  lyskom-end-of-command.

	* commands2.el (kom-set-unread): Fixed bug in handling prefix arg.
 	  Explicitly unwind-protect functions that call lyskom-read-number
 	  to they call lyskom-end-of-command on C-g

	* flags.el (lyskom-read-options-eval): Read filters correctly.

	* commands1.el (kom-go-to-conf) split in two since other functions
 	  may need to go to a conference without user interaction.
 	  Explicitly unwind-protect functions that call lyskom-read-number
 	  to they call lyskom-end-of-command on C-g

	* startup.el (kom-start-anew): Changed assignment to free variable
 	  lyskom-who-am-i to a let statement. I still don't know if it's
 	  necessary at all.

	* services.el (z-initiate-get-map): changed
 	  lyskom-do-initiate-get-map to initiate-get-map since the former
 	  does not exits. Added initiate-get-uconf-stat

	* cache.el: Handle uconf-stats

	* filter-edit.el: Changed names of local variables
		
Fri Nov 17 00:40:47 1995  David K}gedal  <davidk@lysator.liu.se>

	* lyskom-rest.el (lyskom-prefetch-all-confs): Försökt göra
	   synkron. Buggar om den anropas från kom-login-hook.

	* commands2.el (kom-list-news): Gjord synkron.

	* flags.el (lyskom-read-options): Tog bort referenser till
	   kom-do-when-starting.
	  (lyskom-read-options-eval): Dito.

	* commands1.el (lyskom-add-member-answer): Kan g} med i tomma
	   möten.

Fri Nov 17 00:30:20 1995  Linus Tolke Y  <linus@lysator.liu.se>

	* lyskom-rest.el (lyskom-filter): Enkel fix som gör att den bara
	  startar parsningen om den mottagit minst ett newline.
	  (det går mellan två och tre gånger så snabbt att logga in.)
	
Thu Nov 16 23:24:07 1995  David K}gedal  <davidk@lysator.liu.se>

	* vars.el.in (kom-login-hook): Ny variabel som ersätter
	   kom-do-when-starting.
	  (lyskom-elisp-variables): Bytte kom-do-when-starting mot
	   kom-login-hook.
	  Tog bort lyskom-login-hook.

	* swedish-strings.el (lyskom-strings): Bytte ut
	   error-in-do-when-starting mot error-in-login-hook.

	* startup.el (kom-start-anew): Anropa kom-login-hook efter lyckad
	   inloggning.
	  (lyskom-clear-vars): Sorterade listan och la till
	   kom-login-hook, samt tog bort kom-do-when-starting och
	   lyskom-login-hook.

	* lyskom-rest.el (lyskom-print-prompt): Anropa inte
	   lyskom-maybe-do-when-starting.
	  Tog bort lyskom-maybe-do-when-starting.

	* flags.el (lyskom-read-options,lyskom-read-options-eval): Tog
	   bort anrop av lyskom-login-hook.

	* english-strings.el (lyskom-strings): Diverse fixar. Använd %#1P
	   etc. på fler ställen. Samma fix som swedish-strings.el.

	* commands2.el (kom-list-news): Gjorde parametern &optional.

	* Makefile: Använd make fast för att kompilera inkrementellt.

Mon Nov 13 13:38:06 1995  David K}gedal  <davidk@lysator.liu.se>

	* commands1.el (kom-unset-conf-motd): Klarade inte tomt svar för
	   "dig själv"

Fri Nov  3 00:18:52 1995  David K}gedal  <davidk@lysator.liu.se>

	* commands1.el
	   (kom-view-commented-text,lyskom-view-commented-text): Gjorde
	   blockande.

Thu Nov  2 02:22:39 1995  David K}gedal  <davidk@lysator.liu.se>

	* commands2.el (kom-set-unread): Använd prefix

Mon Oct 30 16:31:30 1995  David K}gedal  <davidk@lysator.liu.se>

	* vars.el.in (kom-text-buttons): JySKom enhanced, preliminärt.

	* startup.el (lyskom): Skicka med buffer till lyskom-init-parse
	(lyskom-clear-vars): Gör lyskom-buffer lokal

	* parse.el (lyskom-init-parse): S{tt lyskom-buffer fr}n
	   parameter.

	* lyskom-rest.el (lyskom-do-format): Bytte kom-buffer mot
	   lyskom-buffer

	* lyskom-buttons.el (lyskom-button-transform-text): Parsa hela
	   texten f|r varje typ, och anv{nd f|rsta parentesparet f|r
	   lyskom-default-button.
	   (lyskom-button-view-pres): Fixade semantik f|r args
	   (lyskom-button-send-mail): Ny funktion

Sun Oct 29 07:30:14 1995  David K}gedal  <davidk@lysator.liu.se>

	* startup.el (kom-start-anew): Skydda mot avbrott.

	* commands1.el (kom-sub-self): Placera point i b|rjan p}
	   f|reslaget m|tesnamn

	* lyskom-rest.el (skip-first-zeros): Ny funktion.

	* commands1.el
	   (kom-add-member,kom-add-self,lyskom-add-member-by-no,
	   lyskom-try-add-member,lyskom-add-membership): Skrev om
	   blockande, och ser till att uppdatera
	   lyskom-last-conf-received. 
	   (kom-sub-member,kom-sub-self,lyskom-sub-member): Flyttade
	   lyskom-end-of-command till de f|rsta tv}.

	* cache.el (cache-initiate-who-info-buffer): Bytte kom-buffer mot
	   lyskom-buffer.

Sat Oct 28 08:27:02 1995  David K}gedal  <davidk@lysator.liu.se>

	* clienttypes.el: Bytte ut en del defun mot defsubst.

	* startup.el (lyskom-read-server-name): Ny funktion.
	  (lyskom): Anv{nd den.

	* vars.el.in (lyskom-server-aliases): Ny variabel som inneh}ller
	   kortnamn f|r k{nda servrar.

	* lyskom-rest.el (lyskom-mode-name-from-host): Anv{nd
 	   lyskom-server-aliases.

Fri Oct 27 15:45:01 1995  David Byers  <byers@lysator.liu.se>

	* Earlier changes (I forgot to add to the ChangeLog)
 	  lyskom-rest.el: New lyskom-format swedish-strings.el: New format
 	  strings english-strings.el: New format strings filter.el:
 	  Filters now byte-compiled functions async.el: Handle group
 	  messages

	* async.el: skrev och tog bort (tills vidare) autologout
 	  swedish-strings.el: Lade till anonym person, nya bindningar
 	  english-strings.el:_ Lade till anonym person, nya bindningar
 	  commands1.el: Uteslut, Utträd, Addera/Ta bort kommentar,
 	  mottagare commands2.el: Visa user-arean,
 	  kom-buffer->lyskom-buffer, Ändra mötestyp. edit-text.el:
 	  kom-edit-send-anonymously filter-edit.el:
 	  kom-buffer->lyskom-buffer, deklarera en variabel filter.el:
 	  Handle text with no recipients lyskom-buttons.el:
 	  kom-buffer->lyskom-buffer, fix bug with boundp lyskom-rest.el:
 	  Handle anonymous person in print routines services.el:
 	  initiate-create-anonymous-text vars.el.in: Add
 	  kom-quit-when-idle view-text.el: Handle anonymous person
 	  startup.el: kom-buffer->lyskom-buffer
	
Fri Oct 27 03:36:58 1995  David K}gedal  <davidk@lysator.liu.se>

	* view-text.el (lyskom-print-text): Bugfix för enradare utan \n

Wed Oct 25 05:26:48 1995  David K}gedal  <davidk@lysator.liu.se>

	* edit-text.el (lyskom-edit-add-recipient/copy): Blockande
	
	* vars.el.in (kom-max-buffer-size): Ny variabel

	* lyskom-rest.el (lyskom-trim-buffer): Ny funktion som använder
 	den

Wed Mar  1 18:42:05 1995  David Byers  <byers@lysator.liu.se>

	* Fler {ndringar gjorda. view-text.el: fler argument till
 	   lyskom-view-text lyskom-rest.el: konvertering av nya
 	   stränglistor till swascii vars.el.in: nya variabler startup.el:
 	   spara servernamnet i en variabel flags.el: ny funktion f|r att
 	   spara user-arean fr}n en funktion filter.el: ny fil
 	   filter-edit.el: ny fil Makefile: ta med ignore-edit och ignore
 	   swedish-strings.el: nya str{ngar och keymappar
 	   english-strings.el: samma commands2.el: defaultargument till
 	   s{nda meddelande {ndringar i lyskom-view-next-text services.el:
 	   multiple-blocking-do async.el: support for default recipient of
 	   personal messages

Thu Feb 23 21:24:25 1995  Linus Tolke Y  <linus@lysator.liu.se>

	* Flera {ndringar gjorda med f|ljande m}l (jag borde ha checkat in
	det h{r f|r l{nge sedan egentligen...):
	  - Allt som pratar direkt med anv{ndaren (inklusive
	    login-proceduren) skall anv{nda sig av blockande read, dvs den
	    nya blocking-domekanismen i sin kommunikation till servern.
	  - Loginfasen helt omskriven.
	  - who-bufferten borttagen.
	  - Det gamla s{ttet att l{sa personnamn med magiska grejor i
	    minibufferten borttaget.
	  F|ljande filer {r (hittills) {ndrade inf|r 0.39:
	  Makefile, async.el, commands1.el, commands2.el,
	  completing-read.el, edit-text.el, flags.el, komtypes.el,
	  lyskom-rest.el, parse.el, review.el, services.el, startup.el,
	  swedish-strings.el, vars.el.in, view-text.el, dvs alla filerna.

Wed Feb  2 22:59:19 1994  Linus Tolke Y  (linus@astrid)

	* startup.el,lyskom-rest.el,flags.el: Fler anrop till
	lyskom-tell-phrases-validate, flyttat om anropen till hookarna.

Fri Jan 14 01:07:39 1994  Linus Tolke Y  (linus@bodil)

	* async.el: removed extra function.
	  completing-read.el: fixed lyskom-blocking-process hack.
	  edit-text.el: Added missing defvars. 
	  (lyskom-edit-extract-subject, lyskom-edit-extract-text):
	  Removing extra function definitions.
	  lyskom-rest.el (lyskom-ok-command): Now takes two arguments.
	  scheme-like call.
	  parse.el (lyskom-parse-num): removed extra definition.
	  review.el: Fixed two bugs found by the byte-compiler.
	  services.el: defvar'ed a few forgotten variables.
	  startup.el (lyskom, lyskom-mode): Better doc-string.
	  (lyskom-blocking-return, now made buffer-local).
	  swedish-strings.el: defvar'ed a few forgotten variables.
	  vars.el.in: defvar'ed a few forgotten variables.

Mon Jan 10 19:04:48 1994  Linus Tolke Y  (linus@bodil)

	* vars.el.in: new file
	  vars.el: is now generated from Makefile and vars.el.in because
	  Makefile has the clientversion.
	  Makefile: Installation rewritten.

Sat Jan  8 20:15:31 1994  Linus Tolke Y  (linus@astrid)

	* lyskom-rest.el, edit-text.el, startup.el 
	  (lyskom-current-time, emacs-18.55): Now we can time things in
	  older emacses also.
	  vars.el: 0.38.1

Thu Jan  6 01:53:07 1994  Linus Tolke Y  (linus@astrid)

	* Distribuerat version 0.38		01.53

Wed Jan  5 20:16:52 1994  Linus Tolke Y  (linus@bodil)

	* commands2.el, swedish-strings.el (kom-bug-report): little
	stabler, new text.

	* review.el (kom-review-by-to): F|rsta 7, wrong sign.
	* completing-read.el (lyskom-read-conf-name-internal): Now manages
	  the kom-specific Person 7, Möte 8 things.

Sat Dec 18 14:29:42 1993  Linus Tolke Y  (linus@bodil)

	* lyskom-rest.el, review.el (kom-view, kom-review-*): They are now
	  sending messages to the server that we are reviewing.

Fri Dec 17 15:22:03 1993  Linus Tolke Y  (linus@varg)

	* commands2.el (kom-send-message): Now completing among persons
	  instead of logins.

Fri Dec 17 04:33:01 1993  Linus Tolke Y  (linus@bodil)

	* swedish-strings.el: files. Functions for handling file-area.

Tue Dec 14 00:13:13 1993  Linus Tolke Y  (linus@rudolf)

	* completing-read.el (lyskom-try-complete-partials): strange
	  completion behaviour when beginning with whitespace fixed.

Mon Dec 13 23:03:40 1993  Linus Tolke Y  (linus@rudolf)

	* commands1.el (lyskom-jump): cutting circular structures short.
	* commands1.el, macros.el, async.el, lyskom-rest.el:
	  lyskom-traverse now has a lisp-indent-hook.
	* async.el (lyskom-parse-async): We don't get any messages when we
	  logout anymore.

Wed Dec  8 15:01:16 1993  Linus Tolke Y  (linus@konrad)

	* edit-text.el (lyskom-edit-text): process-kill-without-query
	  backward-compatibility (18.55) added.

Mon Nov 15 03:10:28 1993  Linus Tolke Y  (linus@bodil)

	* commands1.el (lyskom-create-conf-handler): end-of-command when
	  error.

	* lyskom-rest.el (lyskom-sessions-with-unread): Oups, fixed a
	  simple bug. The evaluations is done when loading. Not when
	  displaying as was possible in earlier versions of emacs 19.

	* edit-text.el: lyskom-proc should be buffer-local.

	* services.el, lyskom-rest.el, startup.el, swedish-strings.el,
	  vars.el: Logging in invisibly when inactive.

Thu Sep 16 15:46:36 1993  Linus Tolke Y  (linus@dell)

	* swedish-strings.el (lyskom-mode-map): Klar bugg, glömda ? för
	  emacs 19.

Tue Sep 14 12:06:42 1993  Linus Tolke Y  (linus@dell)

	* lyskom-rest.el (lyskom-set-mode-line): Fixed an entry in the
	  global minor-mode-alist, like Compiling.

Tue Aug 31 12:23:25 1993  Linus Tolke Y  (linus@astrid)

	* Distribuerat version 0.37		17.24

	* completing-read.el (lyskom-read-conf-name): Works with emacs-18.
	(lyskom-read-conf-name-internal): Works correctly when complete
	but not unique.

Fri Aug 20 09:56:47 1993  Linus Tolke Y  (linus@dell)

	* startup.el (lyskom-start-anew-create-handler,
	  lyskom-add-for-new-person): Newly created person are added as
	  members in the conf-pres conference.

	* commands2.el (kom-busy-wait): telling kom-mercial

	* lyskom-rest.el (lyskom-end-of-command):
	  lyskom-after-command-hook ([ntligen!).

	* vars.el (kom-presence-messages): better doc.

	* swedish-strings.el (lyskom-error-texts): fixed error message 37.

	* async.el (lyskom-insert-personal-message):
	  kom-ding-on-personal-messages fixed so it works according to the
	  documentation.

	* edit-text.el (lyskom-edit-mode-hook, lyskom-edit-mode-mode-hook):
	  Added documentation.

	* startup.el, flags.el (lyskom-read-options): Now stopping the
	  main queue while running.

	* commands1.el (kom-sub-self): Default is current-conf.
	  (kom-change-presentation, kom-change-motd): Using blocking-do.
	  (kom-change-presentation): No personal default for confs
	  presentations.

	* edit-text.el (lyskom-edit-text): Possible to start edit sessions
	  in new or other frames.

	* vars.el,edit-text.el (kom-dont-restore-window-after-editing,
	  kom-edit-send): New variable.

	* flags.el (lyskom-read-options-eval-get-holerith): Fixed
	  string-to-int problem.

	* lyskom-rest.el (kom-extended-command): Remove functions from the
	  completing possibility if they are not interesting according to
	  whether I am administrator or not.

Wed Aug 18 17:10:18 1993  Linus Tolke Y  (linus@bodil)

	* lyskom-rest.el (lyskom-read-string): No longer does
	  lyskom-end-of-command when quit is typed.
	* commands1.el, commands2.el, startup.el, lyskom-rest.el
	  (lyskom-j-or-n-p, lyskom-ja-or-nej-p): New functions.

Mon Aug 16 18:36:59 1993  Linus Tolke Y  (linus@rune)

	* lyskom-rest.el, swedish-strings.el (kom-extended-command):
	  Previous change undone.

	* vars.el, swedish-string.el, lyskom-rest.el (kom-tell-phrases):
	  substituted kom-tell-phrases-internal for
	  lyskom-tell-phrases-validation-keyword-list and moved back all
	  language dependent information from vars.el to swedish-strings.el

Fri Aug 13 20:28:11 1993  Linus Tolke Y  (linus@rune)

	* commands1.el (kom-write-letter): Use blocking-do.

	* lyskom-rest.el, swedish-strings.el (kom-extended-command):
	  Maps swedish letters from different isostandards to the same
	  chars.

Wed Aug 11 11:39:44 1993  Linus Tolke Y  (linus@rudolf)

	* commands2.el (kom-send-message): Allowed quitting.
	* commands1.el (lyskom-write-comment): No blocking of edit-queue,
	  corrected misspelled blocking-do.

Mon Aug  9 13:29:37 1993  Linus Tolke Y  (linus@rune)

	* commands1.el (kom-send-letter): Now allowed to quit.

Wed Jul 28 20:18:24 1993  Linus Tolke Y  (linus@varg)

	* commands1.el, command2.el, completing-read.el, edit-text.el:
	  Some functions rewritten to use the blocking-do construct.

	* startup.el (lyskom-start-anew-create-handler): No presentation
	  offer.
	* services.el (blocking-do): New functions.

Fri Jul 23 09:01:58 1993  Linus Tolke Y  (linus@bodil)

        * swedish-strings.el, commands2.el (kom-bug-report,
	  kom-compile-bug-report): kom-compile-bug-report is now
	  called kom-bug-report. The texts are changed.

Wed Jul 14 17:37:30 1993  Linus Tolke Y  (linus@robin)

	* commands1.el, swedish-string.el (lyskom-change-name): Better
	  quit recovery, Better error message.

Thu Jun 24 00:38:01 1993  Linus Tolke Y  (linus@bodil.lysator.liu.se)

	* commands1.el (lyskom-change-name): Initial contents, the old name.

	* edit-text.el (lyskom-edit-show-commented): The text popped
	  up is converted according to kom-emacs-knows-iso-8859-1.

Wed Jun 23 12:40:40 1993  Linus Tolke Y  (linus@bodil.lysator.liu.se)

	* edit-text.el, startup.el (lyskom-count-down-edits,
	  lyskom-list-of-edit-buffers): The process-kill-without-query
	  is manipulated to allow killing without query when you have
	  no unsent message but asks if you have unsent message. There
	  is no longer a difference in functioning between emacs-18
	  and emacs-19 (emacs-18 have different defaults on
	  process-kill-without-query for real processes and network
	  streams.)
	  commands1.el (kom-quit): Extra question and popping of
	  unsent window.
	  edit-text.el (lyskom-edit-mode): buffer-offer-save no longer
	  on in the edit-buffer.

        * commands1.el, swedish-strings.el (kom-write-comment,
	  kom-write-footnote): Other behaviour when giving empty
	  prefix arg.

        * lyskom-rest.el (silent-read): Doesn't barf on other
	  input-events but exits.
	  (lyskom-maybe-move-unread): Update documentation according
	  to the fix made by Inge Wallin Apr 23 1991.
	  (lyskom-insert-before-prompt): Buggfix. lyskom-is-waiting is
	  usually t.

	* swedish-string.el (lyskom-mode-map, lyskom-edit-mode-map):
	  emacs-19 way of giving commands.

	* vars.el, command2.el, swedish-strings.el (kom-next-kom): New
	  command, rotating through several lyskoms.

	* commands2.el (kom-bury): buggfix, could hang

Fri Jun 18 12:33:32 1993  Linus Tolke Y  (linus@bodil.lysator.liu.se)

	* commands2.el, swedish-strings.el (kom-bury): New command.
	  Hides a lyskom-session. ("z")

Tue Jun  1 21:27:09 1993  Linus Tolke Y  (linus@mauritz.lysator.liu.se)

	* completing-read.el, edit-text.el, lyskom-rest.el
	  (unread-command-event): (boundp 'unread-command-event) is
	  used instead of (fboundp 'map-keymap) to detect lucid.
	* edit-text.el, completing-read.el (map-keymap): The function
	  called by map-keymap is called with a key event. Not the key
	  sequence. Now we make it into a sequence before calling
	  define-key. Now works with lucid and emacs19 with and
	  without the lucid compatibility library.

Sat May 29 00:15:14 1993  Linus Tolke Y  (linus@mauritz)

	* async.el (lyskom-async-new-text): reinserted lost call to
	  lyskom-prefetch-and-print-prompt.

Thu May 27 16:17:18 1993  Linus Tolke Y  (linus@bodil)

	* Distribuerat version 0.36	 	16.00

Tue May 25 17:47:28 1993  Linus Tolke Y  (linus@bodil)

	* completing-read.el, edit-text.el: Keymaps look different in
	  emacs19 - special patch updated.

Sat May 22 23:00:27 1993  Linus Tolke Y  (linus@bodil)

	* vars.el, swedish-strings.el (kom-tell-phrases-internal): Entered
	  the default server texts in vars.el, the defvar:ed variable is
	  in the language-dependant part.

Fri May 21 17:34:38 1993  Linus Tolke Y  (linus@bodil)

	* commands1.el (lyskom-mark-text): Cleaning cache of the text-stat.

Tue May 11 16:47:38 1993  Linus Tolke Y  (linus@bodil)

	* startup.el (lyskom-connect-filter): When emacs is collecting
	  longer initial package from the server we hang. Fixed using a
	  match. I the emacs splits the initial package or splits the
	  following packages there could still be a problem.

	* commands2.el (lyskom-status-pers-4): The old conf-stats are
	  thrown out before refetching them.

Sat May  8 19:48:00 1993  Linus Tolke Y  (linus@bodil)

	* swedish-strings.el, english-strings.el (kom-tell-phrases): The
	  encouragement to change this variable is removed.

Wed May  5 04:47:30 1993  Linus Tolke Y  (linus@bodil)

	* async.el, commands1.el, commands2.el, completing-read.el,
	  edit-text.el, internal.el, lyskom-rest.el, prioritize.el
          (lyskom-message, lyskom-error): rewritten all the calls to
	  lyskom-message and lyskom-error with explicit format-strings.
	* parse.el, startup.el, lyskom-rest.el, vars.el (debug): rewritten
	  the debug-on-communications format. We now log the process.
	  We also log all lyskom-processes in the same debug-buffert, the
	  replies-buffer becomes visible if debugging.
	* startup.el (lyskom-clear-vars, lyskom): Rewritten the
	  login-procedure. 

Thu Apr 29 00:07:36 1993  Linus Tolke Y  (linus@bodil)

	* edit-text.el (lyskom-create-text-handler): Better error message.

	* commands1.el (lyskom-add-member-answer,
	  lyskom-add-member-answer-rd_prot): Better message when trying to
	  join a rd_protected conference.

Tue Apr 27 00:48:00 1993  Linus Tolke Y  (linus@bodil)

	* commands2.el, swedish-strings.el, english-strings.el
	  (have-to-be-in-conf) changed to have-to-be-in-conf-with-unread.

Mon Apr 26 21:25:25 1993  Linus Tolke Y  (linus@bodil)

	* commands2.el, lyskom-rest.el (kom-list-news, lyskom-list-news,
	  lyskom-prefetch-all-confs): kom-list-news now takes a prefix
	  argument.

	* async.el (lyskom-parse-async): Names can now contain %.
	  Extra text in the buffer when you change name.
	  Clientinformation added.

	* lyskom-rest.el, startup.el, Makefile: rewound to before the
	  testing with prefetch. Some bugs left fixed.

Wed Dec  2 11:32:35 1992  Linus Tolke Y  (linus@robin)

	* lyskom-rest.el (lyskom-message): The arguments to message are
	  format-string, arguments. Not string.

Mon Nov  9 00:15:04 1992  Linus Tolke Y  (linus@ruben)

	* startup.el (lyskom-clear-vars): lyskom-default-password shall
	  not be buffer-local. It is used to move information from one
	  buffer to another across process calls.

Wed Nov  4 22:35:51 1992  Linus Tolke Y  (linus@robin)

	* internal.el (lyskom-process-send-string): Errors are logged in
	  the lyskom-debug-communications-to-buffer.

Sun Sep  6 23:17:50 1992  Per Cederqvist  (ceder@robert)

	* ChangeLog: The last part of this file was lost between
	version 35.59 and 35.60. Reinserted it.

	* lyskom-rest.el (silent-read): Allow LF as well as CR to
	terminate the input string.

Sun Aug 30 20:00:14 1992  Linus Tolke Y  (linus@rune)

	* vars.el,async.el,macros.el,startup.el (lyskom-no-prompt):
	  removed variable.

Sun Aug 16 22:29:19 1992  Linus Tolke Y  (linus@robin)

	* lyskom-rest.el (lyskom-start-of-command, lyskom-end-of-command):
	  The prefetch is now turned on and of while executing a command.

	* vars.el: The version number is not 0.35

Wed Aug 12 06:35:09 1992  Linus Tolke Y  (linus@robin)

	* startup.el (lyskom-fetch-until-we-have-unread): Bugfix, it is
	  now possible to login without unread and get the default prompt.

Tue Aug  4 08:07:14 1992  Linus Tolke Y  (linus@robin)

	* reading.el (lyskom-enter-map-in-to-do-list): 0 is removed, not
	  substituted with nil.

Mon Aug  3 05:55:46 1992  Linus Tolke Y  (linus@robin)

	* swedish-string.el (lyskom-mode-map): ]terse urinl{gget added on
	  ] u.

	* async.el (lyskom-conf-fetched-p): required function.

	* lyskom-rest.el (lyskom-go-to-next-conf): Prefetch of all
	  text-trees started on entrance.
	  (lyskom-end-of-command): Try to shut of prefetch while fetching
	  text to get next prompt.

	* prefetch.el (lyskom-prefetch-limit): limit = 1;
	  MEMBERSHIPISREAD: new special type.
	  (lyskom-prefetch-one-item): Bugfix. lyskom-prefetch-textauth
	  shall fetch text-stat first.
	  (lyskom-prefetch-textauth-handler,
	  lyskom-prefetch-texttree-handler): handle error. This is needed
	  in all the prefetch-function handlers.

	* startup.el (lyskom-fetch-until-we-have-an-unread): New function
	  to be called from lyskom-end-of-command.
	  (lyskom-decide-unread-conf): sets lyskom-membership-is-read to t.

Sat Aug  1 17:45:37 1992  Linus Tolke Y  (linus@robin)

	* prefetch.el (lyskom-prefetch-membership-handler,
	  lyskom-prefetch-one-item): lyskom-membership-is-read is set to
	  t when all the membership is read.

	* lyskom-rest.el (lyskom-end-of-command): 
	  startup.el (lyskom-start-anew-login-2): prefetched started after
	  first prompt is written.

	* lyskom-rest.el (lyskom-what-to-do): The decision of when we are
	  done now use an updated algoritm (lyskom-membership-is-read == t)

Thu Jul 30 03:54:50 1992  Linus Tolke Y  (linus@lysator)

	* prefetch.el (lyskom-prefetch-membership-handler): Wrong call to map.

	* lyskom-rest.el: Removed old prefetch-functions.	

	* lyskom-rest.el (lyskom-end-of-command): lyskom-after-command-hook.

	* reading.el: New file, to contain functions that sets
	  lyskom-membership, lyskom-to-do-list and lyskom-reading-list.

        * startup.el (lyskom-start-anew-login-3): Started the prefetch
	  *after* stacking all entry prefetch-defaults.

	* prefetch.el (lyskom-prefetch-map-handler): Bugfix when entering
	  new read-infos.

	* prefetch.el (lyskom-prefetch-who-is-on, lyskom-prefetch-mark):
	  Rewritten to be suspended in the prefetch-stack.

	* prefetch.el, startup.el (lyskom-prefetch-membership-handler,
	  lyskom-append-to-membership): Now we check if we have already
	  gotten this one and if so, don't enter it and correct the count.
	  Defensive programming!

	* prefetch.el (lyskom-prefetch-text, lyskom-prefetch-textall,
	  lyskom-prefetch-text, lyskom-prefetch-texttree,
	  lyskom-prefetch-pers): Bug-fix.

Mon Jul 27 01:14:24 1992  Linus Tolke Y  (linus@lysator)

        * lyskom-rest.el: Removed obsolete lyskom-prefetch-* functions.
	  lyskom-list-news amongst others won't work at all.
	* prefetch.el: Added a few functions, fixed loads of bugs emergin
	  while testing this for the first time.
	* startup.el: Fetching first conference-procedure rewritten to be
	  faster.

	* services.el, vars.el (initiate-get-part-of-membership): New
	  functions that makes it possible not to retrieve the whole
	  membership always.

	* flags.el (lyskom-options-done): New variable to tell if we have
	  already read the user-area.

	* clienttypes.el (lyskom-stack-isempty): New function.
	  (lyskom-queue-enter): Replaced docstring.

Sun Jul 26 18:10:38 1992  Inge Wallin  (inge@lysator)

	* cache.el: cleaned up handling of the who info buffer slightly.
	  This should become very nice once the cookie code is used
	  instead.

	* async.el: Deleted some unnecessary junk.

	* prefetch.el New functions: lyskom-reset-prefetch,
	  lyskom-setup-prefetch, lyskom-prefetch-membership,
	  lyskom-prefetch-all-conf-stats, lyskom-prefetch-marks,
	  lyskom-prefetch-who-is-on.  Not all of these functions are
	  working as intended but at least they should do their job.

Sun Jul 19 12:07:22 1992  Linus Tolke Y  (linus@lysator)

	* commands1.el (lyskom-return-who-info-line): Fixed a bug that
	  resulted in too much truncation.

Sun Jul  5 05:02:37 1992  Linus Tolke Y  (linus@lysator)

	* completing-read.el (lyskom-completing-read-conf-stat-handler):
	  Fixed a bug when using 'empty, it returned nil instead of 0.

	* commands2.el (kom-set-permitted-submitters): Added a possibility
	  to set permitted submitters.
	  Changes to: kom-set-super-conf, 
	  lyskom-set-conf-for-conf* (was: lyskom-set-super-conf*...).

	* commands1.el (lyskom-return-who-info-line): Now removes all
	  ending spaces.

	* commands1.el (lyskom-write-comment, lyskom-comment-recipients):
	  Now writing footnotes keep the cc-recipients.

	* review.el (lyskom-review-by-to): Fixed the bug that made the
	  function sometimes miss articles. 
	  Optimized so that searching from the end, stopped when found the
	  first article in a conf or that a person wrote.

Tue Jun 30 00:25:13 1992  Linus Tolke Y  (linus@robin)

	* swedish-strings.el (lyskom-mode-map): kom-review-noconversion
	  put on }o.

Wed Jun 17 21:33:24 1992  Linus Tolke Y  (linus at lysator)

	* vars.el (lyskom-global-boolean-variables): added 
	  kom-confirm-multiple-recipients.

Tue Jun 16 13:31:00 1992  Linus Tolke Y  (linus@robin)

	* Distribuerat version 0.34.6		13.31

Tue Jun 16 00:34:42 1992  Linus Tolke Y  (linus@robin)

	* commands2.el, completing-read.el, edit-text.el, lyskom-rest.el
	  (keymaps are no longer always arrays): Works no for lucid-emacs.

Sat Jun 13 18:50:21 1992  Linus Tolke Y  (linus@robert)

	* swedish-string.el (*-mode-map): replaced 
	  (fset 'name-of-map (make-keymap)) with 
	  (define-prefix-command 'name-of-map)

	* startup.el, swedish-strings.el (lyskom-start-anew-login-2): A
	  text encouraging people that login to write presentations if
	  they don't have any and have written a text.

	* swedish-strings.el (kom-review-noconversion): Show last or given
	  text without the iso-to-swascii conversion. ]terse omodifierat

	* commands2.el, async.el (lyskom-handle-as-personal-message,
	  lyskom-insert-personal-message, lyskom-send-message-2): No beep
	  when I sent the message.

	* async.el (lyskom-parse-async): Broadcasts should not use the
	  follow queue.

	* commands1.el (lyskom-private-answer-soon,
	  lyskom-private-answer): If a number of a non-existant text is
	  supplied to the private-answer this is caught.

Mon May 11 03:50:07 1992  Linus Tolke Y  (linus@robin)

	* swedish-strings.el (kom-slow-mode, kom-quick-mode,
	  kom-slow-mode-map, lyskom-parse-command-and-execute): New
	  command-giving mode for the swedish-client. Commands can be
	  typed in and are parsed when return is pressed. No arguments can
	  yet be given in this way!

	* startup.el (lyskom-mode): LysKOM-buffer no longer in read-only
	  mode.

	* clienttypes.el, cache.el, view-text.el (textpointers): removed
	  the special pointer-representation of the texts. They are now
	  deleted from the cache when read.

Mon May  4 02:38:59 1992  Linus Tolke Y  (linus@robert)

	* Distribuerat version 0.34.5	 	03:06

	* cache.el (lyskom-set-who-info-buffer-2): Use a new insert
	  function that converts the data in the who-info buffer according
	  to the value of kom-emacs-knows-iso-8859-1.

Wed Apr 29 14:47:33 1992  Linus Tolke Y  (linus@robert)

	* cache.el (lyskom-set-who-info-buffer-2): defensive programming.
	  Racing conditions, (most dominant when user has user-area and
	  motd and a lot of presence messages) at login and this function
	  was called before the buffer was set.

Wed Apr 15 10:32:41 1992  Inge Wallin  (inge@robert)

	* cache.el(lyskom-set-who-info-buffer-2): Use insert instead of
	  lyskom-insert in the who-buffer.  Send 'insert to the call to
	  lyskom-print-who-info. 

	* commands1.el(lyskom-print-who-info): Take new optional parameter
	  INSERT-FUNCTION telling which function to use for text insertion
	  into the buffer.  Use lyskom-insert as default.

Tue Mar 24 03:03:41 1992  Lars Willf|r  (willfor@lysator)

	* lyskom-rest.el: Har lagt in s} att den s{tter lyskom-last-viewed
	  i lyskom-start-of-command. Borde g|ra s} att scrollningen funkar
	  b{ttre.

Mon Mar 23 00:09:41 1992  Linus Tolke Y  (linus@robert)

	* Distribuerat version 0.34.4	 	   23:00

Thu Mar 12 04:23:51 1992  Linus Tolke Y  (linus@ruben)

	* async.el, cache.el (logga ut, logga in): Nu klarar who-bufferten
	  ocks} snabba in och utloggningar. (Postmaster). Det var lite
	  problem annars om man hinner logga ut innan klienten hinner sl}
	  upp namnet p} personen den skall stoppa in i who-bufferten.

Sat Mar  7 20:36:07 1992  Lars Willf|r  (willfor@robert)

	* lyskom-rest.el: Skrev om scroll-rutinerna och point-flyttningen
	  i lyskom-insert. Nu ska klienten inte bugga ur d} raderna {r
	  l{ngre {n sk{rmraderna.

Fri Mar  6 16:49:24 1992  Linus Tolke Y  (linus@robert)

	* commands1.el (kom-add-recipient, kom-add-copy,
	  kom-sub-recipient, lyskom-add-sub-rcpt,
	  lyskom-add-sub-recipient, lyskom-add-sub-recipient-2):
	  vars.el (lyskom-last-added-rcpt, lyskom-last-added-ccrcpt):
	  Added defaults for subtract, add recipient.

Sat Feb 29 00:37:24 1992  Per Cederqvist  (ceder@lysator)

	* swedish-strings.el (lyskom-mode-map): Bound
	  kom-private-answer-previous to "P".

	* commands1.el (kom-private-answer-previous): New command.

Sat Jan 25 00:47:53 1992  Linus Tolke Y  (linus at ruben)

	* swedish-strings.el (kom-page-next-command): Nu {ven bunden till
	  "j".

	* commands1.el (lyskom-change-name): A quit in the reading of the
	  name to change to will now give a new prompt.

Fri Jan 24 22:14:20 1992  Linus Tolke Y  (linus at ruben)

	* async.el (lyskom-handle-as-personal-message): New function.
	  (lyskom-show-personal-message, lyskom-insert-personal-message):
	  now uses the lyskom-handle-as-personal-message.

	  commands2.el (lyskom-send-message, lyskom-send-message-2): Now
	  prints the personal messages locally usin the
	  lyskom-handle-as-personal-message function.

	* commands2.el, swedish-strings.el (lyskom-send-message,
	  lyskom-send-message-2): Nu f}r man ett meddelande i bufferten
	  som inneh}ller vad man s{nde och till vem.

	* commands1.el (kom-unset-conf-motd, lyskom-unset-conf-motd)
	  swedish-strings.el: Default for remove note on the door is
	  yourself.

Wed Jan 22 00:22:02 1992  Inge Wallin  (inge at lysator)

	* clienttypes.el (read-list-enter-read-info): Rewritten it into an
	  iterative function instead of a recursive one.

Mon Jan 13 21:35:29 1992  Per Cederqvist  (ceder at robin)

	* commands1.el (lyskom-comment-recipients): Catch quits via a
	  condition-case.

Sun Jan 12 06:00:17 1992  Inge Wallin  (inge at lysator)

	* lyskom-rest.el(lyskom-filter),
	  startup.el(lyskom-connect-filter): Stoppat in (sit-for 0) som
	  Klaus Zeuge har f|reslagit f|r att inte klienten skall sv{lta ut
	  andra emacsprocesser.

Mon Jan  6 19:46:50 1992  Linus Tolke Y  (linus at lysator)

	* swedish-strings.el, english-strings.el, commands1.el
	  (go-to-conf): Fixat s} att namnen {r unika.

Wed Dec 18 04:33:02 1991  Linus Tolke Y  (linus at robert)

	* Distribuerat version 0.34.3		   05:12

	* vars.el (lyskom-who-info-buffer-is-on): Default on.

	* cache.el, startup.el (lyskom-who-info-buffer): Nu skapas
	  bufferten senare och bara ifall det beh|vs.

Mon Dec 16 01:03:06 1991  Linus Tolke Y  (linus at robin)

	* async.el (lyskom-add-new-text): om vi inte f}r h{mta
	  conf-statusen f|r ett m|te som inl{gget skickades till s}
	  sm{ller denna funktion. Nu hanterar den det.

Fri Dec 13 19:50:56 1991  Linus Tolke Y  (linus at ruben)

	* lyskom-rest.el, review.el, swedish-strings.el, vars.el
	  (lyskom-is-read, lyskom-normally-read-texts,
	  kom-review-last-normally-read): Nu finns det m|jlighet att
	  }terse senaste normalt l{sta igen.

Fri Dec 13 19:17:48 1991  Inge Wallin  (inge at lysator)

	* commands2.el, swedish-strings.el: Nytt kommando "[ndra
	  superm|te"   Nya funktioner: kom-set-super-conf,
	  lyskom-set-super-conf, lyskom-set-super-conf-2,
	  lyskom-set-super-conf-3 

Wed Nov 27 23:21:43 1991  Per Cederqvist  (ceder at robin)

	* swedish-strings.el (y-or-n-instring, y-instring): SPC och DEL
	  borttagna.

	* completing-read.el (lyskom-hack-minibuf): Raden 
	  "(setq foo minibuffer-scroll-window)" (som antagligen bara var
	  en bortgl|md debugrad) borttagen.

Sun Nov 24 03:41:56 1991  Per Cederqvist  (ceder at robert)

	* commands1.el (lyskom-write-comment-soon): Skrev lite kommentarer.

	* swedish-strings.el, english-strings.el: (comment-keep-recpt-p)
	  Ny text }t featuren nedan.

	* vars.el (kom-confirm-multiple-recipients): Ny variabel som g|r
	  att man kan st{nga av fr}gan nedan.

	* commands1.el (lyskom-comment-recipients): Om
	  kom-confirm-multiple-recipients {r non-nil s} m}ste anv{ndaren
	  trycka "j" f|r att bekr{fta att de ska st} kvar som mottagare i
	  kommentaren man skriver. Fr}gan st{lls n{r man trycker "k".

Tue Nov 12 23:40:16 1991  Linus Tolke Y  (linus at lysator)

	* vars.el, async.el, cache.el (lyskom-who-info-buffer-is-on): Ny
	  variabel som g|r att man kan st{nga av who-bufferten.

Fri Nov  8 13:51:32 1991  Linus Tolke Y  (linus at robert)

	* lyskom-rest.el, edit-text.el, commands2.el, vars.el:
	  lyskom-swascii-commands, lyskom-swascii-header-subject,
	  lyskom-swascii-header-separator, New variables, added to make it
	  possible to switch the value of kom-emacs-knows-iso-8859-1 after
	  loading.

Sat Nov  2 19:03:57 1991  Linus Tolke Y  (linus at robin)

	* commands1.el, swedish-strings.el (kom-add-copy): New command.

Mon Oct 28 23:29:39 1991  Linus Tolke Y  (linus at lysator)

	* commands2.el, swedish-strings.el (kom-compile-bug-report):
	  Rewritten to provide us with more information.

Mon Oct 28 11:39:21 1991  Per Cederqvist  (ceder at robin)

	* swedish-strings.el (lyskom-edit-mode-map): kom-edit-add-copy
	  (Extra Kopia) finns nu {ven p} "\C-cae", och inte bara p}
	  "\C-cak".

Fri Oct 25 16:22:03 1991  Linus Tolke Y  (linus at lysator)

	* lyskom-rest.el (kom-save-text): read-file-name gets
	  iso-to-swascii converted prompt.

	* lyskom-rest.el (lyskom-maybe-do-when-starting): Now the commands
	  are executed with the kom-buffer as a selected-buffer.

	* vars.el (kom-page-before-command): Default nil.

Wed Oct 23 19:04:14 1991  Linus Tolke Y  (linus at ruben)

	* commands2.el: (lyskom-status-conf-4): If 0 unread leave that
	  field white.

	* lyskom-rest.el (kom-view): Tommys patch once more.

	* swedish-string.el, prioritize.el (lyskom-prioritize-mode-map):
	  Moved the map to swedish-strings.el.

	* swedish-strings.el (lyskom-header-separator): Now accepts
	  different keyboard bindings.

	* swedish-strings.el, edit-text.el: (lyskom-edit-mode-map):
	  Moved the map to swedish-strings.el.

	* vars.el, lyskom-rest.el (kom-start-of-command): Tommys
	  kom-page-before-command included.

Thu Oct 17 04:08:53 1991  Linus Tolke Y  (linus at lysator)

	* async.el (lyskom-parse-async): lyskom-show-logged-in-person
	  skall anropas {ven om kom-presence-messages {r nil. Det kan
	  n{mligen vara s} att kom-presence-messages-in-buffer {r
	  icke-nil.

Wed Oct 16 17:54:19 1991  Per Cederqvist  (ceder at robert)

	* view-text.el (lyskom-is-read) Better doc-string.

	* lyskom-rest.el (lyskom-mark-as-read) Better doc-string.

Tue Oct  8 17:06:05 1991  Linus Tolke Y  (linus at lysator)

	* Distributed version 0.34.2		20:50

	* edit-text.el, lyskom-rest.el (lyskom-edit-text, lyskom-filter):
	  Found and fixed the bug that made the first char in the
	  edit-buffer arrive in the *kom*-buffer.

Mon Oct  7 16:29:42 1991  Linus Tolke Y  (linus at lysator)

	* commands1.el (lyskom-change-pres-or-motd-3): Now we get the
 	  empty form if we are changing  presentation and we didn't have
	  any before. 

	* commands1.el, swedish-string.el (lyskom-go-to-empty-conf): when
	  going to an empty conf the conf-name will be shown.

	* commands1.el (lyskom-do-go-to-conf): The map of texts i the
	  conferences will no be refetched if we go to an empty one.

Sun Oct  6 10:37:07 1991  Linus Tolke Y  (linus at robert)

	* vars.el (kom-do-when-done): Changed the default to a language
	  independent one.

	* english-strings.el: New file, written by David Byers.

Thu Oct  3 16:52:43 1991  Linus Tolke Y  (linus at lysator)

	* edit-text.el, swedish-strings.el (lyskom-edit-mode): Better
	  documentation. Help on the separator line.

	* edit-text.el (kom-edit-insert-text): Buggfix, this stopped
	  working when the strings where put in a separate file.

Wed Oct  2 17:35:34 1991  Linus Tolke Y  (linus at lysator)

	* commands2.el, swedish-strings.el (kom-compile-bug-report): The
	  default conference (number 79) to which the bug-report was send
	  by default is removed and substituted buy an instruction where
	  to send the bug-report to.

	* async.el (lyskom-insert-personal-message): Man vill ha
	  display-buffer f|r att visa meddelandebufferten, inte
	  pop-to-buffer.

Sun Sep 29 04:26:52 1991  Per Cederqvist  (ceder at ruben)

	* flags.el (lyskom-read-options-2): Run lyskom-login-hook even if
	  the person has no userarea.

	* vars.el (kom-show-personal-message-in-buffer,
	  kom-pop-personal-message, kom-ding-on-personal-messages,
	  lyskom-personal-messages-hook): added.

	* async.el (lyskom-insert-personal-message): Beeps only if
	  kom-ding-on-personal-messages is non-nil.

	* async.el (lyskom-insert-personal-message): Pops to the buffer if
	  kom-pop-personal-message is set.

	* async.el (lyskom-insert-personal-message): Created. Does the
	  acual job that lyskom-show-personal-message used to do.

	* async.el (lyskom-show-personal-message): Run
	  lyskom-personal-message-hook when a message arrives.

	* async.el (lyskom-show-personal-message): Insert the message in
	  the normal buffer, or a special buffer, or not at all depending
	  on how kom-show-personal-messages-in-buffer is set.

Sat Sep 28 21:33:38 1991  Per Cederqvist  (ceder at ruben)

	* async.el (lyskom-parse-async): Removed the "info" backdoor.

Tue Sep 24 06:30:37 1991  Inge Wallin  (inge at lysator)

	* swedish-strings.el (lyskom-strings): first-greeting: Bytt ut
	  passusen som sade att vem som helst kunde se l|senordet i
	  databasen mot en mening som sa att det {r krypterat.

Tue Sep 17 18:44:08 1991  Linus Tolke Y  (linus at lysator)

	* lyskom-rest.el, prioritize.el (lyskom-start-of-command): Nu
	  konverterar vi {ven error-meddelanden bl.a. V{nta p} prompten.
	  Ny funktion: lyskom-error.		     

Mon Sep 16 18:10:59 1991  Linus Tolke Y  (linus at lysator)

	* Distribuerat version 0.34.1		22:00

	* lyskom-rest.el (kom-view-next-text): Lagt till ett anrop som
	  t|mmer lyskom-to-do-list ocks} n}r man l{ser. ]terse markerade
	  buggen berodde av detta.

	* clienttypes.el (read-list-delete-text): Justerat doc-str{ngen.

	* prioritize.el (lyskom-prioritize-1,lyskom-prioritize-2): Fixat
	  s} att ledtexterna l{ggs in med lyskom-insert (blir
	  iso->swascii-konverterade.

	* edit-text.el (lyskom-edit-read-misc-list): Buggfix. Det jag
	  gjorde ig}r. Nu funkar det att l{gga in texter ocks}.

Sun Sep 15 18:17:11 1991  Linus Tolke Y  (linus at robin)

	* lyskom-rest.el, edit-text.el, swedish-strings.el
	  (lyskom-edit-insert-misc, lyskom-edit-read-misc-list): Fixat s}
	  att den konverterar {ver [rende raden och skriv texten raden.

	* commands1.el (lyskom-change-name): Scrollar p} r{tt st{lle.

	* edit-text.el, startup.el, commands1.el (kom-list-persons,
	  kom-list-conferences, kom-edit-send, kom-create-conf):
	  read-string ersatt med lyskom-read-string.

	* edit-text.el (lyskom-edit-mode): Nu skall vi inte f} f|rsta
	  tangenttryckningen att betyda lyskom-kommandon.

	* vars.el, commands1.el: Inlagt en kom-quit-hook.

Fri Sep 13 23:50:56 1991  Inge Wallin  (inge at lysator)

	* lyskom-rest.el(lyskom-set-mode-line): Nu rapporterar klienten
	  b}de antal ol{sta i nuvarande m|te och totalt antal ol{sta i
	  status-raden. 

Mon Sep  9 16:35:39 1991  Lars Willf|r  (willfor at robin)

	* async.el: Tog bort hanteringen av den gamla typen av
	  broadcast-meddelanden.

	* async.el: Tog bort den gamla funktionen
	  lyskom-show-broadcast-message (ers{tts av
	  lyskom-show-personal-message) och den av den funktionen
	  anv{nda str{ngen broadcast-from.

	* async.el och swedish-strings.el: Nu visas tiden (enligt
	  klienten) n{r man f}r ett personligt eller allm{nt meddelande.

Sun Sep  8 21:51:41 1991  Per Cederqvist  (ceder at robin)

	* commands1.el (lyskom-jump): Stabiliserat. Nu g|rs n}got vettigt
	  n{r mark-as-read {r nil.

Thu Sep  5 15:55:30 1991  Linus Tolke Y  (linus at lysator)

	* lyskom-rest.el, vars.el, swedish-strings.el (kom-save-text): Nu
	  kommer den ih}g default fil och dir.

	* view-text.el (lyskom-print-text): Nu uppdaterar vi sk{rmen innan
	  vi jobbar vidare med parsningen av cachen.

Wed Sep  4 17:21:17 1991  Linus Tolke Y  (linus at lysator)

	* internal.el (lyskom-apply-handler): Det funkade inte att
	  }terskapa felet.

Tue Sep  3 18:43:43 1991  Per Cederqvist  (ceder at lysator)

	* misc/To-do heter numera misc/TODO.

Mon Sep  2 00:26:03 1991  Linus Tolke Y  (linus at lysator)

	* review.el (kom-review-backward): Fixat s} att den skriver ut
	  korrekta texter om huruvida vi l{ser fram}t eller bak}t.

Sun Sep  1 18:03:44 1991  Linus Tolke Y  (linus at robin)

	* commands1.el (kom-write-comment): Lagt till s} att vi visar
	  vilken text vi kommenterar i bufferten.

Wed Aug 28 22:06:21 1991  Linus Tolke Y  (linus at lysator)

	* edit-text.el (lyskom-edit-mode): paragraph-separate initierades
	  fr}n paragraph-start.

	* internal.el (lyskom-apply-handler): h{r f}ngade vi quit utan att
	  }terskapa det igen.

Wed Aug 28 05:18:27 1991  Per Cederqvist  (ceder at lysator)

	* commands2.el (lyskom-status-pers-2), swedish-strings.el
	  (lyskom-strings): Fixade ledtexten vid skapade personer.

Fri Aug 23 02:38:58 1991  Linus Tolke Y  (linus at robin)

	* swedish-strings.el (lyskom-strings): Tagit bort ett space f|r
	  mycket vid ]terse  senaste av  (info-by-to).

Wed Aug 21 17:43:13 1991  Linus Tolke Y  (linus at lysator)

	* Alla filer (lyskom-clientversion-long): Lagt till rcs
	 identifierare.

Wed Aug 21 02:15:04 1991  Linus Tolke Y  (linus at lysator)

	* Distribuerat version 0.34		02:10

Tue Aug 20 22:58:03 1991  Linus Tolke Y  (linus at lysator)

	* flags.el (lyskom-read-options-eval): Bugfix kom-do-when-done.

	* commands2.el (kom-postpone): Klarar nu {ven fallet att man g|r
	  uppskjut p} fler inl{gg {n man har ol{sta.

	* vars.el, flags.el (lyskom-elisp-variables,
	  lyskom-read-options-eval): Till{gg av en lyskom-login-hook.

Tue Aug 20 19:15:07 1991  Per Cederqvist  (ceder at lysator)

	* commands1.el (lyskom-print-who-is-on, lyskom-print-who-info)
	  [ndrade anropen till lyskom-return-who-info s} att
	  sessionsnumret skrivs i 4 positioner.

	* commands1.el (lyskom-return-who-info-line) Sessionsnumret skrivs
	  i 4 positioner i st{llet f|r tre.

	* commands2.el (kom-postpone): Funkar nu {ven om man skjuter upp
	  alla inl{gg.

Tue Aug 20 17:16:14 1991  Linus Tolke Y  (linus at lysator)

	* flags.el (lyskom-read-options-eval): Nu initieras
	  lyskom-do-when-done {ven efter inl{sning av user-arean.

	* vars.el, flags.el (lyskom-read-options-eval,
	  kom-edit-options-send): Nu anv{nder den 2 variabler f|r att
	  spara till common-arean: lyskom-global-boolean-variables och
	  lyskom-global-non-boolean-variables.
	  Dessutom sparas alla ok{nda variabler fr}n common-arean som
	  UNK-`common-area-namnet'.
	  Detta inneb{r att buggen med att markera inte fungerar {r fixad.

Tue Aug 20 01:18:17 1991  Per Cederqvist  (ceder at lysator)

	* clienttypes.el (read-list-delete-text) Om text-no {r nil s}
	  plockar vi bara bort tomma read-infos fr}n rlist.

	* lyskom-rest.el (kom-view-next-text): Se till att tomma
	  read-infos tas bort fr}n lyskom-reading-list {ven n{r vi
	  }terser. (lyskom-is-read 0) hade den effekten.

	* clienttypes.el (read-list-delete-text) Tog bort en gammal,
	  bortkommenterad, rekursiv, version.

Mon Aug 19 03:35:15 1991  Per Cederqvist  (ceder at lysator)

	* commands2.el, swedish-strings.el (kom-postpone) Nyskriven.

	* lyskom-rest.el (kom-view-next-text) Anropa aldrig lyskom-is-read
	  med textnummer 0.

Mon Aug 19 01:08:49 1991  Linus Tolke Y  (linus at robin)

	* commands2.el (lyskom-set-motd): Nu f}r meddelandet ingen
	  mottagare per default.

	* commands2.el, swedish-strings.el (lyskom-set-motd-2,
	  lyskom-set-motd-3, lyskom-remove-motd): Nu s{tter den
	  lyskom-server-info ocks} om det gick bra.

	* swedish-strings.el (lyskom-strings): Klarare n{r det g{ller
	  {ndra l|senord.

	* edit-text.el (lyskom-edit-mode): Nu klarar den {ven fallet
	  n{r lyskom-edit-mode-mode-hook inte s{tter current-local-map.

 Sun Aug 18 19:32:00 1991  Per Cederqvist  (ceder at lysator)

	* lyskom-rest.el (lyskom-filter) Nu sparas match-data alltid. R{tt
	  buffert }terst{lls. Inhibit-quit s{tts ej globalt.

Sun Aug 18 02:07:59 1991  Linus Tolke Y  (linus at lysator)

	* commands2.el (lyskom-status-conf, lyskom-status-pers-2): Bytt
	  n}gra gl|mda  
	  (lyskom-insert (lyskom-format )) till (lyskom-format-insert )

	* lyskom-rest.el (iso-8859-1-table): Patchat tabellen f|r thorn,
	  eth. N}gon annan sm}sak ocks}.

	* commands2.el, swedish-strings.el (lyskom-status-conf,
	  lyskom-status-pers-2): Nu skriver den ut n{r personer och m|ten
	  skapades.

Sat Aug 17 04:30:01 1991  Linus Tolke Y  (linus at lysator)

	* vars.el (lyskom-elisp-variables): Nu {r den defconst f|r att man
	  skall kunna {ndra mellan versionerna.

Thu Aug 15 18:43:17 1991  Per Cederqvist  (ceder at lysator)

	* startup.el (lyskom-mode): (put 'lyskom-mode 'mode-class 'special)

Sat Aug 17 00:50:34 1991  Linus Tolke Y  (linus at lysator)

	* commands1.el (lyskom-change-pres-of-motd-2,
	  lyskom-unset-conf-motd): Till{gg s} att den accepterar att vi
	  {ndrar presentation f|r vem som helst om vi {r administrat|r.
	  Variabeln lyskom-is-administrator kollas.

	* edit-text.el (lyskom-edit-read-misc-list): Internationaliserad.
	  Vi anv{nder f|rsta bokstaven av recipient, carbon-copy, comment
	  och footnote elementen fr}n lyskom-string.

Fri Aug 16 18:24:35 1991  Linus Tolke Y  (linus at lysator)

	* edit-text.el (kom-edit-send): Nu f}r vi inte med de speciella
	  inl{ggshanterande kommandona n{r vi l{ser in {rendet. Bara det
	  ombindningar som man g|r f|r moden.
	  Ny intern variabel: lyskom-edit-mode-mode-map

	* edit-text.el (lyskom-edit-extract-text): Ny och omskriven s} att
	  den kollar lyskom-header-separator. Detta kr{vdes f|r att man
	  skall kunna {ndra texten efter: C-c C-c C-x o

	* commands1.el (lyskom-return-username): Nu kan den {ven matcha
	  maskinnamn som har andra tecken {n bokst{ver i sig.	 

	* vars.el (lyskom-elisp-variables): Lagt till lyskom-prompt-text
	  och lyskom-prompt-executing-default-command-text till listan av
	  variabler som sparas f|r denna klient.

	* swedish-strings.el, commands2.el (kom-compile-bug-report): Lite
	  sk|nhets{ndringar. Nu skall Backtracen hanteras snyggare.

	* swedish-strings.el (lyskom-strings): buggreport-subject hade en
	  %s f|r mycket.

Wed Aug 14 02:46:40 1991  Linus Tolke Y  (linus at lysator)

	* lyskom-rest.el (lyskom-end-of-command,
	  lyskom-insert-before-prompt): nu sl{nger den inte om lagrade
	  meddelanden i omv{nd ordning. Vi anv{nder nu lyskom-queue.

Tue Aug 13 03:05:27 1991  Linus Tolke Y  (linus at lysator)

	* swedish-string.el, review.el (kom-review-stack): Fixat en
	  kvargl|md text.

	* commands1.el: lyskom-sub-member-answer, nu r{knar den bara ner
	  lyskom-last-conf-received om man subtraherar sig sj{lv.

	* edit-text.el: lyskom-edit-get-commented s|ker nu f|rst efter
	  kommenterade och sedan fotnoterade inl{gg.

Wed Jul 31 06:59:14 1991  Linus Tolke Y  (linus at lysator)

	* commands2.el: lyskom-list-summary. R{knar nu r{tt p} vilken
	  m}nad det {r.

Fri Jul 19 12:39:19 1991  Inge Wallin  (inge at lysator)

	* swedish-strings.el: Tagit bort bindningen till 'u' f|r kommandot
	  Uttr{da eftersom det inte {r ett kommando som man vill trycka av
	  misstag. 

Fri Jul 19 12:30:17 1991  Linus Tolke Y  (linus at lysator)

	* edit-text.el: gurksallad-k|n bytt till edit-2.

Tue Jul  9 01:04:59 1991  Inge Wallin  (inge at lysator)

	* commands2.el: kom-force-logout: Nytt kommando "Kasta ut en
	  session".

	* commands2.el: lyskom-set-motd: Nu blir det ingen newline extra
	  n{r man editerar ett gammalt loginmeddelande.

	* startup.el: lyskom-store-server-info: Ny hantering av
	  loginmeddelandet. Nu skriver den ut snyggare.  

Sun Jul  7 17:47:14 1991  Linus Tolke Y  (linus at lysator)

	* swedish-strings.el, lyskom-rest.el: Nu ger str{ngen som
	  talar om vilken felkod vi har f}tt {ven numret p} felkoden.

	* startup.el: Nu skickar bara klienten meddelandet kom-tell-login
	  om vi redan var inloggade.

	* commands1.el: I lyskom-add-sub-recipient-2 var inte
	  lyskom-add-sub-recipient-answer ersatt med
	  lyskom-handle-command-answer.

	* lyskom-rest.el, startup.el: Nu kollar lyskom-start-of-command
	  v{rdet p} first-time-around. S}lunda skall doing-default-command
	  inte vara bundet n{r vi loggar in f|rsta g}ngen.

Sat Jul  6 04:31:51 1991  Inge Wallin  (inge at lysator)

	* lyskom-rest.el: Ny funktion lyskom-format-insert som g|r
	  detsamma som (lyskom-insert (lyskom-format ...)). Dessutom
	  {ndrat alla f|rekomster i alla filer av det senare till det
	  f|rstn{mnda.

	* commands1.el: lyskom-change-presentation-or-motd med
	  underfunktioner har nu vettiga docstr{ngar.

Fri Jul  5 02:14:35 1991  Inge Wallin  (inge at lysator)

	* commands2.el, swedish-strings.el: Nytt kommando Ta bort
	  loginmeddelande. 

	* lyskom-rest.el, m}nga andra: Skrivit lyskom-insert-string och
	  bytt ut alla f|rekomster av (lyskom-insert (lyskom-get-string...
	  mot anrop till den.

Thu Jul  4 01:25:50 1991  Inge Wallin  (inge at lysator)

	* startup.el, commands2.el: Nya funktioner: kom-set-motd med
	  underfunktioner implementerar kommandot S{tt loginmeddelande som
	  s{tter loginmeddelandet fr}n administrat|ren f|r LysKOM.

Wed Jul  3 02:29:47 1991  Inge Wallin  (inge at lysator)

	* swedish-strings.el: Nu {r anv{ndar-f{ltet i Status Person lite
	  snyggare. 

	* completing-read.el: lyskom-completing-read-2: Nu g|r den om
	  prompten till swascii om n|dv{ndigt.

	* commands1.el: {lys,}kom-change-password: Nu fr}gar klienten vem
	  den skall {ndra l|senord f|r.

	* vars.el, startup.el(lyskom-clear-vars),
	  commands2({lys,}kom-{dis,en}able-adm-caps): Ny variabel
	  lyskom-is-administrator som {r t om anv{ndaren {r i
	  administrat|rsmod och annars nil.

Wed Jul  3 02:00:32 1991  Linus Tolke Y  (linus at lysator)

	* lyskom-rest.el: lyskom-enter-conf funkar nu {ven med
	  kom-print-number-of-unread-on-entrance satt till nil.

Tue Jul  2 00:37:46 1991  Inge Wallin  (inge at lysator)

	* lyskom-rest.el: Nu konverterar lyskom-read-number och
	  lyskom-read-string sina promptstr{ngar till swascii om
	  n|dv{ndigt.

	* lyskom-rest.el: lyskom-set-mode-line anropar nu
	  iso-8859-1-to-swascii om n|dv{ndigt.

	* lyskom-rest.el: Ny funktion lyskom-message som {r samma som
	  message men som konverterar till swascii om n|dv{ndigt.
	  Dessutom bytt alla (message ...) mot (lyskom-message ...) mha
	  tags-query-replace utom de som s}g ut som: (message "").

	* lyskom-rest.el: lyskom-do-format, lyskom-format-help: Nu funkar
	  det med en nolla f|rst i formatstr{ngen n{r man formatterar tal.

	* vars.el: F|rb{ttrat docstr{ngen f|r
	  kom-membership-default-placement s} att man kanske kan begripa
	  den {ven om man inte har hackat p} klienten i ett halv}r.

	* Makefile: swedish-strings.el ligger nu direkt efter vars.el
	  eftersom det definieras variabler d{r som kan beh|vas p} andra
	  st{llen i klienten.

	* Definitionen av lyskom-header-separator flyttad fr}n vars.el
	  till swedish-strings.el

	* commands1.el: F|ljande funktioner ersatta av
	  lyskom-handle-command-answer:
	      lyskom-delete-text
	      lyskom-change-password
	      lyskom-add-sub-recipient-answer
	      lyskom-add-sub-comment-answer
	      lyskom-shutdown-server

	  F|ljande funktioner f|renklade genom anrop till
	  lyskom-handle-command-answer: 
	      lyskom-add-member-answer

	* lyskom-rest.el: funktionen lyskom-handle-command-anwer skall ta
	  hand om alla svar till olika kommandon som slutar med texterna
	  "klart"/"det gick inte".

	* flags.el: Den h{r filen har nu en likadan filheader i b|rjan som
	  alla andra filer.

	* swedish-strings.el: Kommandot S{tt livsl{ngd heter nu [ndra
	  livsl{ngd f|r att f|lja den tidigare standarden.

	* startup.el, commands2.el: tagit bort lyskom-unread och ersatt
	  den med lyskom-count-var.

	* commands2.el: Ersatt lyskom-status-pers-unread med
	  lyskom-count-var.

	* vars.el, startup.el: Ny variabel: lyskom-count-var som kan
	  anv{ndas till att r{kna lite olika saker i klienten.

Mon Jul  1 04:09:30 1991  Linus Tolke Y  (linus at lysator)

	* swedish-strings.el: Fixat buggen Duvar kanske aldrig medlem.

	* commands2.el, swedish-strings.el: Fixat s} att status skriver ut
	  n}rvarotiden i dagar timmer....

	* view-text.el: Fixat buggen som gjorde att ledtexten S{nt av inte
	  skrevs ut. Detta hade tillkommit under flyttandet av texter.

	* vars.el, swedish-strings.el; flyttat definitionen av
	  lyskom-text-start till swedish-strings.el

	* swedish-strings.el: [ndrat endast prompten.

	* cache.el: I cache-add-session-info kollade vi aldrig om vi fick
	  felmeddelande tillbaka. Det small om n}gon hann logga ut snabbt
	  igen. Nu kollar vi det.

Sun Jun 30 03:16:30 1991  Inge Wallin  (inge at lysator)

	* vars.el: lyskom-header-separator {r nu 8-bitsascii.

	* commands1.el, swedish-strings.el: name-to-be-changedd ->
	  name-to-be-changed. 

	* async.el, swedish-strings.el: lyskom-is-fyll -> lyskom-is-full.

	* swedish-strings.el: lyskom-change-prefix var omblandat f|r å
	  och ä.

Thu Jun 27 18:17:28 1991  Linus Tolke  (linus at lysator)

	* commands1.el: lyskom-sub-member Nu kan man utesluta medlemmar ur
	  brevl}dor ocks}.

	* parse.el: lyskom-parse-success lyskom-decrease-pending-calls
	  anropades felaktigt med unparsed-bufferten vilket gjorde att
	  lyskom-number-of-pending-calls n{r den blev lokal inte
	  fungerade l{ngre.
	* startup.el: lyskom-number-of-pending-calls {r lokal igen.

Thu Jun 27 14:27:49 1991  Thomas Bellman  (bellman at lysator)

	* startup.el (lyskom-clear-vars): Kommenterat bort
	  lyskom-number-of-pending-calls.  Klienten h{ngde sig ibland
	  annars.  DETTA [R ETT SYMPTOM, INTE EN ORSAK!

Thu Jun 27 02:29:50 1991  Inge Wallin  (inge at lysator)

	* lyskom-rest.el: lyskom-get-error-text: ny funktion som sl}r upp
	  en felkod i lyskom-error-texts och returnerar klartexten om den
	  fanns. 

	* swedish-strings.el: lyskom-error-texts: en assoclista |ver alla 
	  felkoder i klartext (svenska).

Thu Jun 27 02:12:35 1991  Linus Tolke  (linus at lysator)

	* startup.el: lyskom-clear-vars lyskom-number-of-pending-calls {r
	  ju ganska lokal lagt till bland de lokala.
	  Motsvarande f|r variabeln lyskom-status-pers-unread fr}n
	  commands2.el	

Wed Jun 26 22:04:57 1991  Linus Tolke  (linus at lysator)

	* flyttat texterna f|r filerna: startup.el, internal.el,
	  commands1.el, commands2.el, view-text.el, async.el, flags.el och 
	  lyskom-rest.el till swedish-strings.el

	* commands2.el: kom-compile-bugreport: [ndrat antalet rader i
	  unparsed-bufferten som skall skickas med till det dubbla (10.)

	* lyskom-rest.el: iso-8859-1-map {ndrad n}got. sz => B ^0 > 0

Wed Jun 26 03:56:55 1991  Inge Wallin  (inge at lysator)

	* commands2.el: lyskom-status-pers-[4-6]: Status person skriver
	  nu ut hur många olästa personen i fråga har totalt om man
	  väljer att titta på medlemsskapen.

	* commands2.el: lyskom-status-pers-5: Alla m|ten d{r man har 0
	  ol{sta visar ingen siffra, utan bara en tom kolumn f|r antal
	  ol{sta. Det blir mer |versk}dligt p} det viset.

Wed Jun 26 02:58:38 1991  Linus Tolke  (linus at lysator)

	* edit-text.el: Lagt till funktionen overlay-map som används för
	  att man skall kunna ha keymappen från 2 moder samtidigt.
	  Behövs om man har en egen mode-map plus de lokala för
	  edit-bufferten.

Mon Jun 24 19:20:17 1991  Linus Tolke  (linus at robert)

	* commands1.el: lyskom-delete-conf vi skall g|ra
	  lyskom-end-of-command {ven n{r n}gon annan precis tog bort m|tet.

Sun Jun 23 05:38:44 1991  Inge Wallin  (inge at lysator)

	* startup.el: lyskom: [ndrat "LysKOM server" till "LysKOM-server". 

	* Fixat str{ngarna i parse.el, services.el, cache.el, review.el,
	  prioritize.el, edit-text.el och elib-string.el.

	* Ny fil: swedish-strings som skall inneh}lla alla str{ngar p}
	  svenska i elispklienten. Lagt till den tillf{lligt i Makefilen.

	* lyskom-rest.el: Nya funktioner: lyskom-format med
	  underfunktioner. 

	* commands2.el, startup.el: kom-{dis,en}able-adm-caps +
	  underfunktioner. Nya kommandon: \verg} till administrat|rs-/
	  normalmod.

Sat Jun 22 13:57:48 1991  Linus Tolke  (linus at lysator)

	* lyskom-rest.el: I funktionen lyskom-set-mode-line hanterades
	  inte fallet att man skickade med en conf-stat som argument
	  korrekt.

Sat Jun 22 00:45:18 1991  Inge Wallin  (inge at lysator)

	* de flesta filer: [ndrat namn p} lyskom-format till
	  lyskom-format-objects.  Jag vill anv{nda namnet lyskom-format
	  till den funktion som skall anv{ndas i st{llet f|r format n{r vi
	  internationaliserar klienten.

Wed Jun 19 06:14:55 1991  Inge Wallin  (inge at lysator)

	* startup.el: lyskom-start-anew-login-{1-5,2}: Nu talar klienten
	  om om man har en lapp p} d|rren vid inloggning

	* commands1.el: lyskom-{add,sub}-recipient med underfunktioner. Nu
	  talar funktionerna om vem man adderar resp. subtraherar som
	  mottagare. 

Mon Jun 17 21:02:26 1991  Inge Wallin  (inge at lysator)

	* commands2.el: Nytt kommando: St{ng av servern.
	  Nya funktioner: {,lys}kom-shutdown-server.

Sat Jun 15 18:08:04 1991  Inge Wallin  (inge at robert)

	* Releaseade 0.33.1 som fixar problemet med userarean. 

	* vars.el: 0.33 -> 0.33.1

Thu Jun 13 03:49:11 1991  Peter Eriksson  (pen at lysator)

	* vars.el: laila.lysator.liu.se -> kom.lysator.liu.se
	           (foo de som inte k|r DNS)

Thu Jun 13 02:07:23 1991  Linus Tolke  (linus at lave)

	* flags.el: Hmmmm Fixat buggen som gjorde att man inte kan anv{nda
	  en userarea utan separata areor f|r andra klienter {n
	  elisp-klienten. 

	* cache.el: cache-del-who-info 
	  fixat buggen som gjorde att man ibland f}r markerp nil n{r man
	  loggar in. N{mligen n}gon som {nnu inte {r inh{mtad loggar ut.

Wed Jun 12 21:13:32 1991  Linus Tolke  (linus at lysator)

    	* Distribuerat version 0.33           22:35.

	* startup.el: lyskom-previous-text skall ocks} vara bufferlokal.

Wed Jun 12 19:53:24 1991  Inge Wallin  (inge at lage)

	* commands2.el: lyskom-status-pers-5: Skriver ut "O" f|r alla
	  m|ten som personen {r organisat|r f|r.

Wed Jun 12 03:37:17 1991  Linus Tolke  (linus at lysator)

	* startup.el: define-key funkade inte l{ngre med 8-bitars emacs.
	  Jag har bytat \M- (vilket betyder s{tta }ttonde biten) mot \033
	  (escape) Detta {r egentligen ganska fult men jag {r inte helt p}
	  det klara med hur man skall hantera flaggorna meta-flag och
	  meta-prefix-char f|r att det skall bli snyggt.

	* lyskom-rest.el: lyskom-set-mode-line
	  Fixat s} att den klarar att man h}ller p} att }terse ocks}.

	* commands2.el: oktetter till tecken i status person.

Wed Jun 12 02:46:55 1991  Inge Wallin  (inge at lysator)

	* lyskom-rest: lyskom-set-mode-line: Ta reda p} antalet ol{sta i
	  det nuvarande m|tet och skriv det i moderaden.
	  lyskom-print-prompt: Anropa lyskom-set-mode-line.
	  lyskom-add-new-text: Anropa lyskom-set-mode-line.

Wed Jun 12 00:16:40 1991  Linus Tolke  (linus at lysator)

	* lyskom-rest.el: Ny funktion lyskom-set-mode-line
	  startup.el, commands1.el, lyskom-rest.el. Olika funktioner
	  anropar nu denna funktion ist{llet.

Tue Jun 11 21:52:11 1991  Linus Tolke  (linus at lysator)

	* startup.el: lyskom-debug-communications-to-buffer{,-buffer}
	  skall vara bufferlokala.
	  [ndring i lyskom-clear-vars

	* completing-read.el: Nu {r `-' }terigen del av ett ord.

Mon Jun 10 23:10:23 1991  Thomas Bellman  (bellman at lysator)

	* edit-text.el (kom-edit-send): G} till slutet av LysKOM-buffern
	  n{r ett inl{gg skickas in.

Mon Jun 10 15:19:26 1991  Linus Tolke  (linus at lysator)

	* lyskom-rest.el, startup.el: Nu anv{nder vi variablerna
	  lyskom-prompt-text och lyskom-prompt-executing-default-command-text.

	* flags.el, startup.el: N}gon (beroende p} om man har user-area
	  eller inte) lyskom-read-options s{tter lyskom-do-when-starting
	  ist{llet f|r lyskom-clear-vars. Nu har jag lyckats f} den att
	  exekvera de kommandon som fanns i user-arean.

	* lyskom-rest.el: Flyttade exekveringen av lyskom-do-when-starting
	  till en egen funktion: lyskom-maybe-do-when-starting.

	* flags.el, startup.el, vars.el: Nu kommer elisp-klienten ih}g
	  andra clienters delar av user-arean och sparar med den.
	  Variabeln heter lyskom-other-clients-user-areas.

	* internal.el: Nu fixar vi s} att om man f}r "no more processes"
	  felet s} behandlas det precis som "message to long". Jag tror
	  att detta {r r{tt s{tt att behandla det p}.

Mon Jun 10 05:00:23 1991  Inge Wallin  (inge at ruben)

	* commands1.el: lyskom-write-comment: Nu talar klienten om f|r
	  servern att anv{ndaren skriver en fotnot.

Mon Jun 10 04:37:28 1991  Thomas Bellman  (bellman at lysator)

	* edit-text.el (kom-edit-send): Stoppat in save-excursion inuti
	  let-satsen och delat upp den p} tv}.  Detta f|r att edit-buffern
	  inte ska scrollas.

Mon Jun 10 01:11:09 1991  Linus Tolke  (linus at lysator)

	* flags.el: Annat (snyggare) format f|r user-arean.

	* lyskom-read.el: lyskom-insert-before-prompt har nu till}telse
	  att skriva ett meddelande {ven n{r man v{ntar.

	* lyskom-rest.el: Ny funktion iso-8859-1-to-swascii som
	  konverterar en str{ng.
	  Om variabeln kom-emacs-knows-iso-8859-1 {r sann s} g|r vi ingen
	  konvertering. Annars g|r vi det.

	* commands1.el: Nya funktioner lyskom-add-membership,
	  lyskom-add-membership-2 som adderar ett medlemsskap till listan
	  av medlemsskap och l{gger in korrekt post i lyskom-to-do-list.
	  [ndringarna ber|r {ven n{r man g}r till ett m|te som man inte
	  var medlem i f|rut. (det fungerar.)
	  Kan t{nkas att lyskom-go-to-conf-handle-map inte l{ngre anv{nds
	  men jag vill kolla detta ett par g}nger till.

	* startup.el: lyskom-start-anew-login-1-5
	  Nu st{lls globala lyskom-default-password ocks} till nil n{r vi
	  anv{nt det.

Sun Jun  9 18:46:12 1991  Inge Wallin  (inge at ruben)

	* commands1.el: Nytt kommando: Fotnot. Ny funktion:
	  kom-write-footnote. kom-write-comment med underfunktioner
	  {ndrade.

	* commands1.el: {lys,}kom-review-presentation: Snyggat upp koden
	  samt gjort s} att den skriver ut vilket m|te/person man f}r
	  presentationen f|r.

	* startup.el: [ndrat lite i ledtexten n{r man loggar in f|rsta
	  g}ngen f|r att det skall bli tydligare. [ndrat fr}gan ocks}.

Sun Jun  9 13:27:34 1991  Linus Tolke  (linus at lave)

	* commands1.el, vars.el: lyskom-add-member-3
	  Nya variabler: kom-membership-default-placement
	  kom-membership-default-priority som g{ller n{r man blir medlem i
	  ett m|te.

	* commands1.el: lyskom-add-member, kom-add-self, 
	  lyskom-add-member-[23], lyskom-create-conf-handler
	  Nu anropas inte l{ngre lyskom-add-member-3 "utifr}n". Allt skall
	  g} genom lyskom-add-member-2 som ser till att
	  lyskom-add-member-3 f}r r{tt argument. ] andra sidan tar nu
	  lyskom-add-member-2 {ven argument f|r vilken funktion som skall
	  anropas sedan.

	* edit-text.el: kom-edit-send, lyskom-create-text-handler 
	  Nu kommer man tillbaka till den window-configuration som g{llde
	  n{r man startade editeringen direkt n{r man trycker 
	  C-c C-c <RET>

	* lyskom-rest.el: kom-extended-command funkar nu {ven om man anger
	  ett ord som matchar fullst{ndigt med felaktigt case.

Sat Jun  8 18:58:42 1991  Linus Tolke  (linus at lysator)

	* commands2.el: lyskom-status-pers-2. bytes -> skapade oktetter.

	* startup.el: lyskom-default-password m}ste beh}llas.

	* commands1.el: (kom-create-conf, lyskom-create-conf-handler,
	  lyskom-create-conf-handler-2) Nu blir man direkt medlem i m|tet
	  n{r man skapar det.
	  Ny funktion: lyskom-create-conf-handler-2.

	* vars.el: Fixat formatet p} lyskom-text-start och lagt in en
	  varningstext i view-text.el (vid lyskom-print-date-and-time) s}
	  att vi inte skall r}ka ut f|r samma problem igen.

Sat Jun  8 03:55:00 1991  Inge Wallin  (inge at laila)

	* commands2.el, startup.el: Nytt kommando S{tt livsl{ngd. Nya
	  funktioner: kom-set-garb-nice med underfunktioner.

Wed Jun  5 23:53:34 1991  Linus Tolke  (linus at laila)

	* edit-text.el: Lagt in Gertz bug-fix.

Tue Jun  4 19:29:25 1991  Thomas Bellman  (bellman at nanny)

	* edit-text.el (kom-edit-send): Lagt en save-excursion runt hela
	  let-satsen, och tagit bort det avslutande (set-buffer buffer),
	  som inte beh|vs l{ngre.

Tue Jun  4 15:34:48 1991  Linus Tolke  (linus at laila)

	* edit-text.el: Lagt in Anders Gertz addera mottagare med check
	  efter om han har en lapp p} d|rren. Eftersom
	  lyskom-edit-insert-misc nu (helt pl|tsligt :-) tar 4 argument
	  ist{llet f|r 3 s} funkade inte de i original men de funkar nu.
	  [ndringar: lyskom-edit-add-recipient/copy
	  Nya funktioner: lyskom-edit-add-recipient/copy-2 och
			  lyskom-edit-add-recipient/copy-3

	* edit-text.el: lyskom-edit-add-misc. Dokumenterat extra
	  argumentet (=> Inge du som lade till det f}r korrekturl{sa
	  kommentaren) och en save-excursion som g|r att det funkar lite
	  b{ttre. Vi skulle beh|va en save-excursion som sparade point och
	  mark i alla buffertar (eller i alla fall s{kert i
	  edit-bufferten) f|r att det skall fungera.

Tue Jun  4 00:54:32 1991  Thomas Bellman  (bellman at lave)

	* startup.el (lyskom-commands): Bytt namn p} "Subtrahera medlem"
	  till "Uteslut medlem".

	* commands1.el (lyskom-add-member-3): Placerar m|tet sist i en ny
	  medlems m|teslista och ger det prioritet 100, om det inte {r en
	  sj{lv man adderar -- d} fr}gar den.

	* commands1.el (lyskom-add-member-2, lyskom-add-member-3):
	  Personstatusen f|r personen plockas fram och skickas med till
	  l-a-m-3.  Denna anv{nds i l-a-m-3 f|r att ta reda p} hur m}nga
	  m|ten personen {r med i.

Mon Jun  3 21:33:56 1991  Thomas Bellman  (bellman at laila)

	* elib-string.el: Ny fil.  Kopia av den fr}n elib-paketet.  B|r
	  tas bort i framtiden och laddas via (require 'elib-string).

	* startup.el (lyskom-mode): F|rst|r inte l{ngre
	  mode-line-buffer-identification lika illa som den gjorde innan.

Mon Jun  3 21:03:38 1991  Linus Tolke  (linus at laila)

	* commands1.el, lyskom-rest.el: format funkar ej som det skall med
	  argumentet %-s27s s} jag bytte till concat.
	  [ndringar i lyskom-do-go-to-conf och lyskom-go-to-next-conf

Sun Jun  2 13:35:33 1991  Inge Wallin  (inge at lave)

	* commands2.el: Nu ger Status f|r Person ocks} vilka m|ten som
	  personen {r medlem i om anv{ndaren vill det.  [ndring i
	  lyskom-status-pers-2. Nya funktioner: lyskom-status-pers-[3-5].

Sat Jun  1 19:42:06 1991  Inge Wallin  (inge at laila)

	* view-text.el: lyskom-print-date-and-time har nu tv} mellanslag
	  mellan datum och tid i st{llet f|r ett.

	* commands2.el: Nu funkar Status f|r M|te n{r man v{ljer att titta
	  p} medlemmarna ocks} precis som i gamla QZ-KOM.  Ny funktion:
	  lyskom-status-conf-4.

	* services.el: Ny initiate-function initiate-query-read-texts

Thu May 30 22:23:29 1991  Inge Wallin  (inge at laila)

	* commands2.el: kom-status-conf med underfunktioner.  Nu kan man
	  f} upp vilka medlemmar som ett m|te har n{r man g|r Status f|r
	  m|te. 

	* commands2.el: kom-status-conf utnyttjar nu
	  lyskom-completing-read-conf-stat i st{llet.  

Mon May 27 00:10:58 1991  Linus Tolke  (linus at laila)

	* flags.el: Testad och funkar.

	* flags.el: Ny fil. Inneh}ller allt f|r att skapa sin user-area
	  och evaluera det hela. 
	  Otestat pga en serverbegr{nsning. Servern {r fixad men inte
	  startad. S} fort det {r startad skall jag testa.

Sun May 26 04:25:43 1991  Linus Tolke  (linus at laila)

	* commands1.el : lyskom-print-who-is-on anv{nder nu
	  lyskom-session-info ist{llet f|r f|rsta elementet i listan.
	  asterisken kommer allts} p} r{tt plats.

	* src: rensat lite. Flyttat peters grejor till -eng, willf|rs till
	  lw och bellmans till test-async. Uppmaning till dessa personer
	  att g|ra klart projekten! (Obs att ursprungskoden kan ha
	  utvecklats.)
	  Nu funkar grep hyfsat igen. :-)

	* commands2.el: lagt in funktionen kom-display-who-buffer.
	  vars.el: variabeln kom-who-buffer-size-when-displaying
	  startup.el: kommandot Visa vilka-listan.

	* lyskom-rest.el (commands1.el): lyskom-maybe-save-unread, heter
	  numera lyskom-maybe-move-unread och flyttar det m|tet man var i
	  sist i lista om den anropas med non-nil argument. (N{sta m|te
	  fungerar som det skall.)

	* commands2.el: lyskom-list-summary-all {ndrat Namn till
	  f|rfattare. 

Thu May 23 05:08:15 1991  Linus Tolke  (linus at laila)

	* review.el: kom-review-tree anropar nu lyskom-follow-comments
	  direkt och inte end-of-command bara en g}ng.

	* lyskom-rest.el: kom-view-next-text skall inte markera som l{st
	  om vi h}ller p} att }terse. (ful patch. med 0)

	* startup.el: Lagt till s} att vi b}de skall klara 8-bitar emacs
	  och 7-bitars emacs som tror att den {r 8-bitars.
	  Som tangentkommandon.

	* Dokumenterat {ndra organisat|r.

	* Dokumenterat scroll-down, M-p och M-n.

	* commands1.el: lyskom-write-comment, lyskom-write-comment-soon:
	  tar nu argument s} att man f}r r{tt text n{r man g|r kommentera
	  f|reg}ende.
	  startup.el, docen: Inlagt under 'annat'-menyn och dokumenterat.

Wed May 22 14:41:21 1991  Linus Tolke  (linus at lave)

	* doc/elisp-client-0.33.latexinfo: Skapat och stoppat in doc f|r
	  nya {rende-hanteringen.

	* commands1.el,commands2.el: lagt till s} att vi nu bara f}r
	  fr}gan om {rende efter det att vi skrivit texten. [ndringar i
	  kom-write-text, lyskom-do-send-letter

	* Skapat ett nytt dir (doc) d}r jag lagt alla doc-filerna. Jag har
	  {ndrat i makefilen men ej testat.

	* startup.el: Lagt till s} att l{, }terse och {ndra
	  tangenttryckningarna borde fungera p} iso-tangentbord.

	* who-buffer.el: Lite grejor som kanske borde stoppas in
	  n}gonstans. 

Mon May 20 04:24:45 1991  Linus Tolke  (linus at laila)

	* lyskom-rest.el,commands1.el,startup.el: Lagt till s} att vi
	  visar aktuellt m|te p} mode-raden.
	  [ndringar i: lyskom-clear-vars, lyskom-mode,
	  lyskom-do-go-to-conf och lyskom-go-to-next-conf

	* startup.el: scroll-down bundet till delete.

Mon May 20 02:36:42 1991  Inge Wallin  (inge at lage)

	* commands1.el: Nytt kommando, [ndra organisat|r. Nya funktioner:
	  kom-change-supervisor med underfunktioner.

	* commands1.el: kom-change-name med underfunktioner anv{nder nu
	  lyskom-completing-read-conf-stat i st{llet f|r
	  lyskom-completing-read. 

Sun May 19 23:49:09 1991  Inge Wallin  (inge at lage)

	* commands1.el: En kultpryl i lyskom-display-time (se sj{lva i
	  koden) . Linus:-)

Thu May 16 00:55:16 1991  Inge Wallin  (inge at lave)

	* cache.el, async.el, services.el, parse.el: Fixat s} att klienten
	  inte h{mtar alla who-info varje g}ng n}gon loggar in.  Detta
	  anv{nder initiate-get-session-info som jag ocks} fick skriva
	  samt lyskom-parse-session-info.

	* cache.el, async.el: Fixat s} att klienten inte h{mtar alla
	  who-info varje g}ng n}gon loggar ut. 

Thu May 16 00:52:26 1991  Linus Tolke  (linus at lave)

	* lyskom-rest.el, parse.el : Flyttat nollst{llningen av
	  mode-radens saving till lyskom-parse-unparsed.

Wed May 15 11:30:50 1991  Linus Tolke  (linus at lave)

	* commands1.el: Felkontroll i }terse det kommenterade {ven om man
	  inte har l{st ett inl{gg.

Mon May 13 01:39:20 1991  Linus Tolke  (linus at lage)

	* Makefile, README, vars.el: Lagt till not i koden om att vi g{rna
	  vill ha f|rb{ttringar oss tillhanda (inge och jag eller kom).

	* startup.el: Fixat en bug. (kom-comment-previous)

	* internal.el: Nu f}r man g|ra quit under det att en handler
	  anropas.

	* lyskom-rest.el: Lagt in Tommys nya kom-page-next-command.

	* edit-text.el: Fixat s} att den fr}gar efter {rende en extra
	  g}ng. Super-KOM g|r s} och det verkar smart.

Mon May 13 00:00:40 1991  Inge Wallin  (inge at laila)

	* commands1.el: Flyttat anropet till lyskom-end-of-command fr}n
	  kom-send-message till lyskom-send-message.

Sun May 12 18:53:06 1991  Inge Wallin  (inge at laila)

	* edit-text.el: lyskom-edit-insert-misc-conf + funktioner som
	  anropar den.  Tog hand om fallet att personen/m|tet inte finns
	  l{ngre. 

Wed May  8 07:38:07 1991  Thomas Bellman  (bellman at laila)

	* startup.el: Definierat "K" i lyskom-mode-map till
	  kom-comment-previous.

	* commands1.el: Lagt till funktionen kom-comment-previous som
	  kommenterar det n{st senast l{sta inl{gget.

	* vars.el: Lagt till variabeln lyskom-previous-text som h}ller
	  reda p} det n{st senast l{sta inl{gget.

Mon May  6 02:59:07 1991  Inge Wallin  (inge at lave)

	* startup.el: Nu skrivs serverns versionsnummer ut snyggt igen.

	* commands2.el: Fixat en bug som gjorde att raden med till}tna
	  f|rfattare blev konstig.

Sat May  4 13:15:18 1991  Linus Tolke  (linus at lage)

	* internals.el: Nu kan man addera kommentarer igen. Bugfix.

Fri May  3 23:04:45 1991  Per Cederqvist  (ceder at lave)

	* kom-quit: La till en bortgl|md lyskom-end-of-command (om man
	  svarar q).

Thu May  2 18:39:10 1991  Peter Eriksson  (pen at lage)

	* startup.el: 'nanny.lysator.liu.se' -> 'ftp.lysator.liu.se'
	              Tog bort punkten i "V{nta p} ett inl{gg.".

          startup-eng.el: Engelsktalande variant av startup.el

	  commands1.el: F} uppmuntran/F} sk{ll.. Skrev ut lite
	                extra mycket "F} uppmuntran"/"F} sk{ll".

	  commands1-eng.el: B|rjan till engelsktalande variant..
	  	     
Thu May  2 15:01:36 1991  Inge Wallin  (inge at laila)

	* lyskom-rest.el: lyskom-array-to-list - F|renklat betydligt och
	  gissningsvis {r det ocks} snabbare nu.

Thu May  2 01:37:47 1991  Linus Tolke  (linus at lave)

	* Gjort om docen f|r info-tr{det och stoppat in den p} lll (export
	  till nanny)

Wed May  1 00:24:47 1991  Linus Tolke  (linus at laila)

        * Distribuerat klient version 0.32	04:00

	* lyskom-rest.el: lyskom-next-command-or-scroll fixat s} att det
	  klarar g} till n{sta prioriterade m|te. (Har inte detta funkat
	  tidigare.)

	* Dokumenterat hookar, Lista {renden. V{nta.

	* vars.el: lyskom-login-hook borttagen.

Tue Apr 30 21:15:33 1991  Linus Tolke  (linus at laila)

	* commands1.el:kom-delete-text, lyskom-do-send-letter,
	  kom-write-text, kom-quit
	  lyskom-rest.el: ja-or-nej-p
	  ersatt read-string med lyskom-read-string och uppdaterat.

	* lyskom-rest.el: ny funktion: lyskom-read-string. Som read-string
	  men g|r lyskom-end-of-command om man trycker quit.

	* commands1.el: lyskom-send-letter ersatt av en
	  lyskom-completing-read-conf-stat in kom-send-letter.
	  Doc-str{ngar i lyskom-send-letter-3 och lyskom-do-send-letter.

	* lyskom-rest.el: lyskom-start-of-command st{ller nu point i
	  b|rjan av raden igen. Dessutom l}ter kom-page-before-command
	  promptens rad vara kvar p} sk{rmen.

	* lyskom-rest.el: {ndrat kom-view s} att den g|r
	  lyskom-start-of-command innan den fr}gar efter numret
	  (lyskom-read-number fungerar allts}).

	* commands2.el: [ndrat ledtexten till endast-fr}gan.

	* completing-read.el: fixat bug som gjorde att man var i fel
	  f|nster n{r man hade gjort completion.

	* Makefile, distribution-makefile, bin/lyskom-do-send:
	  Nya b{ttre skript f|r att s{nda iv{g klienten automatiskt.
	  Det skickas nu med make send

Tue Apr 30 18:28:19 1991  Inge Wallin  (inge at lave)

	* startup.el: Fixat en ful bug som gjorde att de sista 3 tecknen i
	  presentationen av serverinfot togs bort. Det visade sig vara
	  lyskom-start-of-command som gjorde det. Fixat genom att l{gga
	  till tv} mellanslag till "\n"-str{ngen. Fult, eller??

Tue Apr 30 15:11:04 1991  Linus Tolke  (linus at laila)

	* commands2.el: kom-busy-wait scrollar nu snyggt, dessutom s}
	  skriver den inte ut prioritet -2 l{ngre.

	* commands1.el: lyskom-jump. Bug-fix.

	* vars.el, cache.el: inf|rde lyskom-who-info-has-changed-hook,
	  som k|rs n{r who-bufferten {ndras.

	* async.el: Nu skall who-bufferten uppdateras n{r n}gon loggar in.

Mon Apr 29 13:28:56 1991  Inge Wallin  (inge at laila)

	* commands1.el: Nu hoppar Hoppa |ver fotnoter ocks} (tror jag).

	* prefetch-new.el: R{ttat ett antal buggar.

Mon Apr 29 11:38:24 1991  Per Cederqvist  (ceder at lave)

	* services.el: Nu {r alla anrop utom query-read-texts, sync,
	  shutdown och n}gra *-old implementerade. (Dock inte provk|rda).

Mon Apr 29 00:04:32 1991  Inge Wallin  (inge at laila)

	* prefetch-new.el: Skrivit om prefetchen till att anv{nda en
	  kombination av stack och k|er. Ny fil: prefetch-new.el

Sun Apr 28 16:25:26 1991  Linus Tolke  (linus at lave)

	* commands1.el: kom-sub-self, nu kan man g} ur brevl}dor.

Sun Apr 28 15:59:32 1991  Inge Wallin  (inge at laila)

	* commands2.el, startup.el: S{nda allm{nt meddelande borttaget.
	  S{nda personligt meddelande omd|pt till S{nda meddelande.
	  Dokumenterat.

	* clienttypes.el: Skapat typen lyskom-stack.

Sun Apr 28 03:59:02 1991  Linus Tolke  (linus at lave)

	* review.el: kom-review-clear tar nu bort {ven ur lyskom-to-do-list.

	* cache.el: patchat lyskom-set-who-info-2 (nu funkar who-bufferten
	  ser det ut som.)

	* lyskom-rest.el:lyskom-print-promt, jag flyttade
	  lyskom-start-of-command s} att nu hamnar den r{tt.

	* lyskom-rest.el:lyskom-start-of-command Nu byter vi till punkt
	  n{r vi ger defaultkommandot.

	* async.el:lyskom-add-new-text, nu skall den kunna fixa s} att man
	  f}r nya prompten L{sa n{sta text - om det kommer en text i det
	  m|tet.

	* lyskom-rest.el: lyskom-sentinel, lade till ett kolon i texten.

Sat Apr 27 18:05:05 1991  Per Cederqvist  (ceder at lave)

	* conf-stat->no-of-texts uppdateras i cachen varje g}ng en ny text
	  skapas i m|tet.

	* Gjorde conf-stat med mktype f|r att skaffa modifiers. (N{r
	  conf-stat genererades med mktype gjorde inte mktype n}gra
	  modifiers...) 

Fri Apr 26 22:01:06 1991  Per Cederqvist  (ceder at laila)

	* Nu skickas h|gst lyskom-max-pending-calls (fn. 20) anrop iv{g }t
	  g}ngen. [ndringar i lyskom-clear-vars, lyskom-parse-err,
	  lyskom-parse-success, lyskom-send-packet. Nya variabler:
	  lyskom-output-queue, lyskom-max-pending-calls,
	  lyskom-number-of-pending-calls. [ndringen ligger p} s} l}g niv}
	  att den inte borde p}verka n}got.

	* kom-prioritze-kill: Nu kan man inte l{ngre pusha raden efter den
	  sista raden. 

	* kom-membership med underfunktioner omskrivna fr}n grunden.

Fri Apr 26 20:10:10 1991  Linus Tolke  (linus at lage)

	* elisp-client-0.32.doc: Markeras default.

Fri Apr 26 12:44:03 1991  Per Cederqvist  (ceder at lave)

	* kom-membership: lyskom-membership skickas inte med som
	  parameter. Den {r ju global i alla fall... En "(let () ...)"
	  borttagen.

	* [ndrade p} alla st{llen d{r initiate-get-map anropas s} att inte
	  mer {n n|dv{ndigt h{mtas. [ndringar i: kom-membership med
	  underfunktioner , lyskom-list-unread-maybe-get-map och
	  lyskom-prefetch-handle-conf.

	* initiate-get-map: Nu h{mtas mappen i sm} delar om 50 texter.
	  [ndringen {r osynlig f|r programmeraren, men leder till stora
	  tidsvinster f|r stora mappar.

Wed Apr 24 17:54:28 1991  Per Cederqvist  (ceder at lave)

	* komtypes.el: Ett bindestreck fattades i set-text-list->texts.
	  (Det stog textlist i st{llet f|r text-list inne i
	  funktionskroppen).

	* clienttypes.el: read-list-delete-text: Den gamla varianten var
	  rekursiv. Skrev en iterativ variant efter klagom}l fr}n MeTa.
	  Den gamla varianten gick igenom cdr till varje cons-cell TV]
	  g}nger vilket resulterar i att den b|r ha tagit O(n^2/2) i
	  st{llet f|r det mer rimliga O(n) (n=antal m|ten med ol{sta
	  inl{gg i).

Wed Apr 24 03:53:51 1991  Linus Tolke  (linus at laila)

	* async.el:N{r n}gon loggar ut h{mtar vi all who-info till
	  who-info-bufferten p} nytt.

Tue Apr 23 10:29:56 1991  Linus Tolke  (linus at lave)

	* komtypes.el, clienttypes.el: Flyttat textpointers till
	  clienttypes (den hamnade fel f|rst.)

	* completing-read.el: lyskom-complete-test-exact-name struntar nu
	  i om det {r stora eller sm} bokst{ver. Dessutom {r docen f|r
	  denna funktion r{ttad.

Tue Apr 23 00:35:38 1991  Inge Wallin  (inge at laila)

	* Nya prefetchfunktioner.

	* diverse filer: Sett till att det read-info av typ CONF som {r
	  det m|te vi l{ser just nu kopieras till lyskom-reading-list i
	  st{llet f|r att flyttas. Det ligger allts} kvar i
